Welcome to DataPage

Help file last updated: 13 October,2011

Welcome to Datapage+ 2011 MR1

Datapage+ 2011 MR1 is the next generation of DataPage.

Differences from DataSuite 3.33

Older versions the DataPage for Windows DataSuite were comprised of these main applications:

  • DataPage/RT

  • DataPage/Editor

  • DataView

  • Monitor

Completely re-engineered from the ground up, Datapage+ takes all the best features of DataPage and Dataview and rolls them into a completely new user interface, with a non-proprietary database and completely customizable monitoring and reporting tools.

Main Documentation Sections

The main sections contained in this documentation are:

  • About the Demo Version

  • Getting Started Guide

  • Parts

  • Categories

  • High Level Queries

  • Features and Feature Variables

  • Variable Sets

  • Transactions

  • Trace Field Queries

  • To Excel

  • Feature Monitor Tab

  • Chart Tab

  • Text Tab

  • CAD Tab

  • Data Editor Tab

  • Report Tab

  • Account Management

  • Viewing and Querying Administrator Logs

  • Statistics and Report Generation Tools

  • Mathematical Formulas and Calculations Used

  • Troubleshooting Problems


About the Demo Version

If you do not have a portlock programmed to run Datapage+, you can request a demo version that will function just as the full version does for a limited time. Please contact the Hexagon Metrology sales staff for information.


Getting Started

Getting Started Guide

This section provides you with information needed to get the Datapage+ software up and running. It covers the following topics:

  • Installing Datapage+

  • Connecting to a Database

  • Registering and Logging In

  • Importing Existing Statistical Data

  • Sending Data from PC-DMIS to Datapage+

  • User Interface Overview

  • Usage Overview

You should you proceed through these topics sequentially if this is your first time using the software.


Installing Datapage+

  1. Insert your CD or DVD and then double-click on the setup.exe file on that drive. Or, if you're installing from a downloadable copy, extract the contents from the downloaded archive and double-click on the setup.exe file there:

Note: If you run the installation setup program and an existing version of Datapage+ already exists on your system, you will have the option of repairing or removing the existing installation.

  2. The Datapage+ Setup Wizard appears. Follow the instructions on the Wizard to install the software. Fill in any boxes and select desired options. Click Next at each screen.

  3. At the initial welcome screen, click Next to start the wizard:

  4. Type in your information and then click Next:

  5. Customize your installation by selecting only those components you want to install, and then click Next:

    • Datapage+ - This installs the main Datapage+ application.

    • Local demo database files - This installs the Demo database used in the legacy version of DataPage/RT.

    • Report Viewer - This installs a stand-alone report viewer, letting you view reports that were created and saved from within Datapage+.

    • Template Builder - This installs an application that lets you modify or build your own Datapage+ report templates.

  6. Continue choosing additional components to install from Customize Installation 2, and then click Next:

  • DataPageStats - This installs the DataPageStats.exe utility. This tool collects statistical data from older versions of PC-DMIS that don't support the STATS/ON command.

  • DataImporter - This installs the DataImporter.exe utility. This tool monitors a directory for statistical data and imports it into Datapage+.

  • ReportDelivery - This installs the ReportDelivery.exe utility. This tool automatically generates and sends reports.

  • HandGauge - This installs the GaugeHand.exe utility.

  6. Continue choosing additional components to install from Customize Installation 3, and then click Next:

    • SettingEditor - This installs the SettingEditor.exe utility. This tool lets you view and change registry entries used by Datapage+ and several of its tools.

    • HMSWebviewReportingTool - This installs the HmsWebViewReportingTool.exe utility.

  6. Type the folder pathway you want to install to, or use the Browse button to navigate to the folder.

    Decide whether you want to install Datapage+ for just yourself or for all users of the computer.

    If needed, the Disk Cost button displays how much space you have on your currently selected disk drive and how much space it will take to install the selected components.

    Click Next when you're ready to proceed:

  7. Click Next to confirm and start the actual installation:

  8. A progress bar will appear showing the installation process:

  9. Once Datapage+ has finished installing needed files and shortcuts, the Close button becomes available. Click that to close the wizard:

  10. Double-click on the Datapage+ shortcut installed to your desktop or from your program directory to launch Datapage+:

Back to Getting Started Guide Contents


Connecting to a Database

When you first launch Datapage+ you will see a login screen. Before you can login and use Datapage+, you need to first define and connect to a valid database. You will then login to that database.

The Database Connection Properties dialog box provides you with tools needed to access an existing database or to create a new database.

To access this dialog box, select Database Connection from the Tools menu:

Once the Database Connection Properties dialog box appears, you can choose from among the following options to connect to an existing database, create a new database, or test your connection to the database:

Database Connection Properties

Choose a local database instance: This option lets you choose a local database instance. Use the Browse button to navigate to the *.mdf file.

Attach database filename: This option lets you choose an existing database file (*.mdf file) stored locally on your computer. Use the Browse button to navigate to the *.mdf file. Note that the demo database that ships with Datapage+ resides in your user directory, usually in this location: c:\users\<username>\AppData\Roaming\DPPlusDatabase\ where <username> is your user name.

Use Database Connection String: This option lets you connect to remote (internet or network-based) database. When you click the Build... button the Connection Properties appears, letting you choose the data source and enter the server information (server name, user name and password) needed to connect to the database. For some information you may need to contact your database administrator.

Connection Properties dialog box

Use the Test Connection button to test your remote database settings. If everything is properly set up, a success message will appear:

In addition, the light bulb icon [image] in the Status Bar will indicate a successful connection by being lit up.

Upgrade: If you receive an error message prompting you to update your database, you can use this button to update it to the latest version.

Use the Advanced... button to access a properties sheet containing additional connection settings beyond the basic connection settings already contained in the Connection Properties dialog box.

Create Database: This button displays the Create Local Database Wizard. It walks you through the process of creating a database file, database instance, or ODBC. Using the wizard, you can specify the database name, location, and instance.

Input the database name you want created and specify a path for it.

The Create a database instance associated with local SQL Express check box lets you create a database instance. The default name is the database name.

The Create an ODBC Data Source check box lets you create an ODBC database. Once created, you can easily associate this database inside PC-DMIS for Windows. The default name is the database name.

For additional information on creating data sources or creating your own database, see the first step under the topic "Sending Data from PC-DMIS to Datapage+".

Back to Getting Started Guide Contents


Registering and Logging In

Once you've connected to a database, you need to login to that database. You can use the login screen to do that.

Datapage+ Login Screen

Registering a New Account

If you don't have an account with this database, you need to first use the Register button to create one. Clicking this button accesses the Register User dialog box.

Register User dialog box

Fill out this dialog box and click OK to register your account into an existing database. Required information is indicated by the asterisk character (*).

The Browse... button at the bottom of the dialog box lets you choose to add your own photograph or other picture to your user account.

Activating your Account:

Once you register your account, the software's administrator must use the Tools | Account menu item to activate your account, changing its status from WaitingForApproval to some other privilege level. Until that happens, you cannot log into the database. See "Account Management" for more information.

Important: If you are the system administrator and you need to setup user account privileges for the first time, use the following credentials to log into the built-in administrator account:

User Name: Administrator
Password: 123456

Once you have logged into this account, you should change your password to something more secure. To do this, access the Edit User dialog box for the Administrator account by clicking on the linked Administrator text from the main toolbar:

Then fill out the Edit User dialog box with the new password.

Once you have registered an account with the current database, you can type your user name and password into the appropriate fields, and then click the Login button to access the database.

By default, the Remember Me check box is marked. This causes Datapage+ to remember your user name and display it along with your selected photo or user icon in the scrolling list next to the edit boxes the next time you login. Clicking the photo for an account automatically inserts the associated user name into the User Name box. Click the small black triangles at the top or bottom of the list to scroll through any remembered accounts.

If you do not want your user name to appear in the scrolling list, edit the login.user text file located in the installation directory using a text editor. Remove your user name, and save the changed .user file. The next time you start Datapage+ to login, the user name will be hidden from view. This does not delete your account; instead, it merely hides your user name from the login screen, thereby providing another level of security. Note that marking the Remember Me? check box will once again remember your user name, so you will need to keep that cleared when logging in.

Switching Languages

Datapage+ supports many different languages. The current language flag is displayed above the User Name box and in the bottom left of the login screen, on the status bar.

To change the current language, simply select the language from the menu on the lower-left side of the login screen:

Datapage+ will immediately close and reopen in the selected language.

Back to Getting Started Guide Contents


Importing Existing Statistical Data

If you have existing statistical data you want to import into your defined Datapage+ database, you can easily do so by following the steps outlined in the Datapage+ Data Import Wizard. Access this wizard by clicking the Import Data item from the Tools menu.

Click Next. The second screen appears.

This screen provides these options:

Choose a data file you want to import - The box and Browse button allow you to define the pathway to the file to import.

Choose the data file type - This lets you select the following supported file types:

    • An ASCII dump file (*.dmp) exported from the legacy DataPage/RT application's database.

    • A Comma Separated Values file (*.csv).

    • A Dmis Output file (*.dmo).

    • An Extensible Markup Language file (*.xml).

    • A Rich Text Format file (*.rtf).

    • A Mitutoyo Text File

    • A Generic Excel Format

    • A CTO File (from CoreView)

    • A Quindos (from the Brown & Sharpe Quindos application)

    • A Blade Files (from PC-DMIS Blade)

    • A Tmp File (from PC-DMIS's XSTATS11.tmp file)

File encoding - This allows you to specify the language character set used for the data file selected to import.

Enable line switch - This enables the Line Switcher box, allowing you to specify what character is used as a line switcher. A line switcher is a special character that exists in some data files where a line of data for a record wraps to more than line. Rather than reading the second line as a second record, the line switcher informs the software that the data line continues on the next line. For example, in the sample code of a DMO file type given below, the $ character is the line switcher (shown in yellow highlight):

OUTPUT/FA(LLOCH_5HX)

FA(LLOCH_5HX)=FEAT/CPARLN,INNER,ROUND,CART,3249.26,-522.994,672.056,$

0.1322933,-0.1684738,0.9767881,0.0329236,-0.984159,-0.1742041,10.68,6.264

DA(PCS_LOKAL)=DATSET/TRMATX,0.,-1.,0.001,1.,0.,0.001,-0.001,0.001,1.,$

3999.244,4808.764,-2431.642

Use saved settings - The wizard may contain Save buttons for the file type you're importing that let you save your current settings as the defaults for future imports of that file type. This check box, when marked, uses those saved settings. If the check box is cleared, the Datapage+ factory defaults are used.

Note: You can only import data if your user account has administrator privileges, otherwise the Import Data menu item will not be available for selection.

Back to Getting Started Guide Contents


Importing a DMP File

A dump file (DMP) is an ASCII text file exported from the Legacy Datapage. See Exporting a Dump (*.dmp File) if you need information on exporting a dmp file.

Exporting a Dump File

If you don't have a dump file readily accessible, you will need to export the file using the legacy DataPage/RT application.

  1. Inside the legacy DataPage/RT Editor application, select the Database | ASCII Archive | Dump... menu option. The ASI DataBase Dump dialog box appears:

ASI DataBase Dump dialog box

  2. Type the pathway and name of the ASCII file that will contain the data, or use the Browse button to locate an existing ASCII file where the data will be dumped.

  3. If you want to dump only data for a specific part, click on the List DB button and select the part whose data will be dumped. Otherwise, all data in the current database will be dumped.

  4. Click on the Start/End Date button to choose a specific date or group of dates for the selected part. Otherwise, all data in the current database will be dumped.

  5. Select the Dump Queries check box if you want queries to be included in the dump file.

  6. Click the Dump button located in the bottom left side of the window.

The dump file (*.dmp) is now available for import into Datapage+.

  1. Once you have a dump file, on the Choose a data file screen of the wizard, choose the dmp option, click Browse, and select the dump file. Click Next to customize your selection on further screens by selecting individual parts, transactions, variable sets, and variables to import.

  2. On the Customize the data 1 screen, choose one or more parts to import. Click Next.

  3. On the Customize the data 2 screen, select one or more transactions to import. Click Next.

  4. On the Customize the data 3 screen, select one or more variable sets to import. Click Next.

  5. On the Customize the data 4 screen, select one or more variables to import. Click Next.

  6. The Complete the Wizard screen shows a summary of the items you have selected. Click Finish.

  7. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported part(s), transaction(s), variable set(s), and variable(s) will be available for selection from within Datapage+.


Importing a CSV File

A Comma Separated Value file (CSV) is a text file with values generally separated by commas. Many third party tools support a CSV export of measurement data, including Datapage+. This CSV import lets you import these data files into Datapage+.

  1. Once you have a csv file, on the Choose a data file screen of the wizard, choose the csv option, click Browse, and select the csv file. Click Next.

  2. On the Customize the data 1 screen, choose whether or not the first row contains field names. If you marked that check box then the import wizard will treat the first row as header data. Click Next.

  3. On the Customize the data 2 screen, use the available tools to match columns in the CSV file with required column names understood by the database or with trace fields.

    1. To do this, select a column to map from Original column list.

    2. In the Map to area, choose one of these three options depending on what columns you want mapped:

      • Fixed column - This refers to a fixed column of data in the database.

      • Trace field - This is used to track part-specific data that may change from part to part. If you choose Trace field, you will need to give that column of data a trace field name.

      • Skip - This cause Datapage+ import wizard to ignore a column of data.

    3. Click Set to associate the original column with the specified database column or trace field or to skip the selected column. In the preview window, the column headers text will change to indicate what you have mapped for each column of data.

    4. Continue selecting columns until all the desired columns are mapped.

  4. If desired, click the Save button to save CSV settings for future CSV imports. If you later mark the Use saved settings check box on the first screen of the wizard, the CSV import will use those settings.

  5. Click Finish. The Performing Operation... screen shows details of the import process. Once this finishes, click Cancel to close the wizard. The imported data will then be available for selection from within Datapage+.


Importing a DMO File

A Dmis Output File (DMO) contains measurement data in a DMIS format. This DMO import lets you import these data files into Datapage+.

  1. Once you have a dmo file, on the Choose a data file screen of the wizard, choose the dmo option, click Browse, and select the dmo file.

  2. Determine whether or not line switching is needed. If so, mark the Enable line switch check box, and define the character to use in the Line Switcher box. See "Importing Existing Statistical Data" for information on line switchers.

  3. Click Next.

  4. On the Customize the data 1 screen, choose where the imported data should reside. You have these options:

    • Choose an existing part - This imports the data into the database part that you specify.

    • Import data into a new part - This creates a new part in the database and then imports data into that part.

    • Retrieve part name from TEXT/OUTFIL statement - This retrieves the part name from the TEXT/OUTFIL statement of the DMO file and imports the data into that part, creating a new part in the database as needed.

  6. Click Next.

  7. On the Customize the data 2 screen, specify the transaction name for the imported data. You have these options:

    • Create a new transaction - This lets you create a new transaction date and time. The drop down list provides fields where you can create your own date and time of the transaction.

A - Clicking this field allows you to type the transaction date in MM/DD/YYYY format.

B - Clicking this icon displays a calendar from which you can choose transaction date using your mouse.

C - Clicking these fields allow you to type the hour, minutes, and seconds of the transaction in 24-hour HH:MM:SS format.

D - Clicking these spinners will increment or decrement the selected field HH:MM:SS field.

    • Retrieve transaction from one TEXT/OUTFIL statement - This populates the list below it with any transaction dates and times by retrieving them from the TEXT/OUTFIL statments. You can then select the transaction to use.

    • Retrieve transaction from two TEXT/OUTFIL statements - This acts like the option above, except it populates two lists, one with dates and one with times. You can choose a date and a time for the transaction from each list.

  7. Click Next.

  8. On the Customize the data 3 screen, mark the check boxes of those features you want to import. Click Next.

  9. On the Customize the data 4 screen, mark the check boxes of those dimensions you want to import. Click Finish.

  10. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Importing an XML File

An Extensible Markup Language file (XML) is a text file that has been encoded electronically to contain data structures. Many third party tools export measurement data as an XML file. The xml option allows you to import those data files into your database. PC-DMIS 2010 MR3 and later also allow you to export statistical data using the XMLSTATS command.

  1. Once you have an xml file, on the Choose a data file screen of the wizard, choose the xml option.

  2. Click Browse, and select the xml file.

  3. Click Finish to import the data.

  4. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Importing an RTF File

A Rich Text File (RTF) is a cross-platform text document that supports textual data formatting. Many third party tools export measurement data as an RTF file. The rtf option allows you to import those data files into your database.

  1. Once you have an appropriate rtf file, on the Choose a data file screen of the wizard, choose the rtf option, click Browse, and select the rtf file. Click Next.

  2. On the Customize the data 1 screen, choose whether or not the first row contains field names. If you marked that check box then the import wizard will treat the first row as header data. Click Next.

  3. On the Customize the data 2 screen, use the available tools to match columns in the RTF file with required column names understood by the database or with trace fields.

    1. To do this, select a column to map from Original column list.

    2. In the Map to area, choose one of these three options depending on what columns you want mapped:

      • Fixed column - This refers to a fixed column of data in the database.

      • Trace field - This is used to track part-specific data that may change from part to part. If you choose Trace field, you will need to give that column of data a trace field name.

      • Skip - This cause Datapage+ import wizard to ignore a column of data.

    4. Click Set to associate the original column with the specified database column or trace field or to skip the selected column. In the preview window, the column headers text will change to indicate what you have mapped for each column of data.

    5. Continue selecting columns until all the desired columns are mapped. These columns must be "set":

      • These three column: Part, Axis, and Measured

      • One of these columns: FeatureName or DimensionName

      • One of these: one DateTime column or two columns, Date and Time.

  4. If needed, use the Advanced button to perform column operations. These include adding new columns, deleting columns, and splitting and merging existing columns. See "Performing Advanced Column Operations Below".

  5. If you want to store these settings as a template, click the Save button. Datapage+ will default to your current settings the next time you perform an RTF import.

  6. Click Finish to import the data. The Performing Operation... screen shows details of the import process. Once this finishes, click Cancel to close the wizard. The imported data will then be available for selection from within Datapage+.

Note: If the Finish command fails to complete due to non-existing columns not being "set", see the "Performing Advanced Column Operations" below to add and set these columns.

Performing Advanced Column Operations

The database expects a certain number of columns and columns containing specific data. If your import file does not contain the necessary information, you may need to use column operation tools to add, merge, or split columns to come up with the needed column types. These tools are available by clicking the Advanced button from the Customize the data 2 screen during the RTF import wizard. This opens the Column Operation dialog box:

Depending on what you select this dialog box changes to include additional controls.

Add - This button changes the Details area of the dialog box to read "Add a new Column Operations". This lets you add new columns through certain operations.

Type - This drop-down list contains these column operations:

Const - This operation constructs a new column. For example, if you needed to create your own Date column, you could type "Date" in the Name box and then select the %CurrentDateTime% variable from the Data list.

Name - The name of the column.

Data - The type of data the field should contain. Currently only the %CurrentDateTime% variable is supported. You do not have to select an item from the Data list. You can leave it blank to create an empty column that you can map or set to a needed column type.

Merge - This operation creates a new column by appending column 2 onto column 1 with the linker character in between the data.

Column1 - The first column

Column2 - The second column

Linker - The character used to link the data together. You can later split the columns by this character if needed.

SplitBySeparator - This operation creates new columns by splitting a single column at the defined separator character, resulting in two or more additional columns. For example, if a field in your column contained a string of characters like this ABC123-DEF456 and you typed - as the separator character, the software would split the string at the - resulting in two fields of data containing ABC123 and DEF456.

Column - The column to split.

Orientation - This defines whether or not the separator is searched for from string's left side or from its right side.

Separator - This defines the character location at which the software will split the data.

SplitByCharCount - This operation creates new columns by splitting a single column at a specified number of characters, resulting in two additional columns. For example if a field in your column contained a string of characters like this ABC123-DEF456 and you typed 5 for the number of chars with an Orientation of left, the software would count five characters from the left and split the data at that spot. The new columns would contain ABC12 and 3-DEF456 respectively. If you set the Orientation to right, instead, the software would count from the right and would get EF456 and ABC123-D respectively.

Column - The column to split.

Orientation - This defines whether or not the characters are counted from the right or from the left.

Separator - This defines the number of characters to count for the splitting location.


Importing a Mitutoyo Text File

A Mitutoyo Text File (TXT) file is a simple text file containing measurement data in a format used by Mitutoyo. Some third party tools export measurement data into this type of text file. The Mututoyo Text File option allows you to import those data files into your database.

  1. Once you have an appropriate text file, on the Choose a data file screen of the wizard, choose the Mitutoyo Text File option.

  2. Click Browse, and select the .txt file.

  3. Click Next. The Mitutoyo text file components screen appears.

  4. Use the Header lines and Keyword Column lists to specify the file header and keyword column. Use the Refresh button to visually see in the preview window of rows and columns how your changes will affect the import.

  5. Click Next. The Customize mitutoyo product screen appears.

  6. At this point, in order to complete the mitutoyo text import, you need to define product information for the imported text file. You can do this by either importing an existing product file or by creating your own. The product files are actually just XML files with the .mpf (mitutoyo product file) filename extension.

  7. Use the command buttons next to Defined product list to import, reorganize and manage project files. Once you have sufficient product information a green check mark [image] appears next to the item in the Defined product list. Items that still need information have a red X.

    • Up - Moves the selected product up in the Defined product list.

    • Down - Moves the selected product down in the Defined product list.

    • Export - Exports the defined product as an MPF file (mitutoyo product file).

    • Import - Imports an MPF file (mitutoyo product file) into the defined product list.

    • New - Defines new Mitutoyo product information.

    • Edit - Edits the selected product file in the Defined product list. This lets you remap cells defining product information and edit feature and dimension variables in the text file.

    • Delete - Deletes the selected product file in the Defined product list.

  8. Click Finish to import the data.

  9. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.

Creating / Editing Mitutoyo Product Information

The New or Edit buttons display the Mitutoyo Product dialog box. Use this dialog box to define or edit product information. It contains two tabs, a General tab lets you define needed product information and a Variables tab that lets you define feature and dimension variables.

General:

General Tab

Use the General tab to type a product name and then select columns (A,B,C and so on) and rows (1,2,3, and so on) to locate specific cells of data to assign to the available fields in the tab.

Variables:

Variables Tab

Use the Variables tab to create or edit feature or dimension variables.

The available buttons are:

  • New - Enables the necessary boxes to define a new feature variable.

  • Delete - Deletes the variable from the list.

  • Edit - Enables the necessary boxes to edit the selected feature variable.

  • OK - Closes the Mitutoyo Product dialog box, saving all your product information and variable changes.

  • Cancel - Closes the dialog box without saving anything.

The available boxes and lists are:

  • Feature Name - Type the feature name for the variable. Something like PNT1, CIR4, CYL2 and so forth.

  • Dimension Name - Type the dimension name for the variable.

  • Axis - Type an axis code to define the variable's axis (such as D, M, TP, X, Y, Z and so forth).

  • Nominal - Define the nominal value for the variable.

  • Upper Tolerance / Lower Tolerance - Type the tolerance values for the variable.

  • Measured (Col) - Select the column of data the software will use for this variable's measured data; then use the Rows map (keywords) area to select the rows from the column of data you will use to define this variable's measured values.

  • Rows map (Keywords) - Once you have filled in the information above, this area becomes available for you to map specific rows to the column defined in measured col. This results in a specific field of data to use.

A newly defined variable will look something like this:

Sample Feature Name


Importing a Generic Excel Format

An Excel format is an .xls or .xlsm file from Microsoft's Excel spreadsheet application. Many third party tools export measurement data as an .xls file. The Generic Excel option allows you to import those data files into your database.

The file you are to import should contain, at a minimum, the following pieces of data:

  • A part name

  • A measured date

  • A measured time

  • Feature IDs

  • Measured values for each axis

  • Upper Tolerance Values

  • Lower Tolerance Values

  1. Once you have an .xls or .xlsm file, on the Choose a data file screen of the wizard, choose the xlsm option.

  2. Click Browse .An Open dialog box appears. Select the xls or xlsm file. By default, the software filters to only show the xlsm files. Type *.xls in the File Name box if you want to select an *.xls file type.

  3. Click Next. The software begins the import process and then displays the Customize the data 1 screen.

  4. Use this screen to define general information, such as the part name and transaction date and time.

    • On the Customize the data 1 screen map the Part name field to the cell in the xls file containing your part name. For example, using something like =B1 will pull in the value from the B1 cell.

    • Do the same for the Measured date and Measured time fields. Alternately, you can select %CurrentDate% and %CurrentTime% from the drop-down list to use the current date and time from the system.

  3. Click Next. The software displays the Customize the data 2 screen.

  4. Use this screen to add and map trace field data.

    • Click New to add a new trace field. It will appear in the Traces area.

    • Type the name for the trace field in the in the Trace Name column.

    • Use the Trace Value Map column to map the appropriate information from the .xls file.

  5. Click Next. The software displays the Customize the data 3 screen.

  6. Use this screen to define your feature variables.

    • By default, a sample CIR1 with three variables (X, Y, and D) appears in the Variables list.

    • You can click Edit to modify these existing variables, or you can click Delete on each one and then click New to recreate your own.

    • Once the right-side of the screen is in edit mode (either from clicking Edit or from clicking New), specify the values for the Feature Name, Dimension Name, Axis, Nominal, Upper Tolerance and Lower Tolerance fields. You can either type these values into each field directly or map them to their respective cells in the Excel sheet. If you map the values, the mapped value appears to the right of the field.

    • In the Samples area, use the fields in the Cell Map column and map the cells from the Excel sheet that contain measured values for the selected feature variable.

  7. Click Finish to import the data.

  8. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Importing a CTO File

A CTO file is a file format used by CoreView. The CTO option allows you to import those data files into your database.

  1. Once you have a CTO file, on the Choose a data file screen of the wizard, choose the CTO option.

  2. Click Browse, and select the CTO file.

  3. Click Next.

  4. On Customize the Data 1 screen, mark Treat loop(s) as transaction(s) if you want each loop through the data to be treated as a separate transaction.

  5. Click Finish to import the data.

  6. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Importing a Quindos File

A Quindos file format can be a number of file formats depending on how the file was saved from the Quindos application.

  1. Once you have the Quindos file selected, on the Choose a data file screen of the wizard, choose the Quindos option.

  2. Click Browse, and select the Quindos file.

  3. Click Finish to import the data.

  4. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Importing a Blade BSF File

Importing a Blade File

Blade generates files in the BSF (Blade Statistic File) file format from the PC-DMIS Blade application.

  1. Once you have the Blade file selected, on the Choose a data file screen of the wizard, choose the Blade option.

  2. Click Browse, and select the .bsf file.

  3. Click Finish to import the data.

  4. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Importing a Tmp File

Importing a Temporary Statistics (Tmp) File

This lets you import the temporary file, XSTATS11.tmp, that PC-DMIS automatically generates when a part program's stats are sent to a legacy Datapage database.

  1. Once you have the .tmp file, on the Choose a data file screen of the wizard, choose the TmpFile option.

  2. Click Browse, and select the .tmp file.

  3. Click Next. On the Customize Tmp file screen, mark the check box next to the part or parts you want to import.

  4. Click Next. The screen changes to show the available transactions.

  5. Mark the check box next to the transactions you want to import.

  6. Click Finish to import the data.

  7. The Performing Operation... screen shows details of the import process. Click Cancel to close the wizard. Once the dialog box closes, the imported data will be available for selection from within Datapage+.


Sending Data from PC-DMIS to Datapage+

This section walks you through the steps needed to start importing data from PC-DMIS into the Datapage+ database.

  • Before You Begin

  • Step 1: Create a Data Source

  • Step 2: Import data from PC-DMIS to Datapage+


Before You Begin

Install .NET Framework v3.5

Datapage+ makes use of the Windows Presentation Foundation (WPF). For this to function, you must have the .NET Framework v3.5 installed.

Before you proceed, ensure that the .NET Framework v3.5 is installed. To check,

  1. Click your Window's Start button and select Run.

  2. Type Microsoft.Net. If the .NET Framework is installed, a Microsoft.NET directory opens inside Windows Explorer.

  3. Access the Framework directory. If a v3.5 directory resides there then it is already installed.

If you need to install it, you can download and install it from this location:
http://msdn.microsoft.com/en-us/netframework/default.aspx

Note: Datapage+ comes bundled with the .NET Framework, so in most cases, you just need to install Datapage+.

Windows Vista Users – Ensure the TCP/IP Protocol for SQL Express is Enabled

If you have a Windows Vista operating system, after you have installed SQL Express as part of the .NET Framework, you must enable TCP/IP:

  1. Click the Window's Start button.

  2. Point to All Programs, Microsoft SQL Server 2005, Configuration Tools, and then SQL Configuration Manager.

  3. In the left pane, expand SQL Server 2005 Network Configuration.

  4. In the left pane, expand Protocols for SQLEXPRESS.

  5. In the right pane, TCP/IP should be enabled. If it is disabled, right-click on TCP/IP and select Enable from the shortcut menu that appears.

  6. Re-start the Services for SQL Server.

    • Select SQL Server 2005 Services from the left pane.

    • Right-click on SQL Server (SQLEXPRESS) in the right pane, and select Restart.

  7. Also, ensure sure that the SQL Server Browser service shows "Running" in the State column and that it displays "Automatic" in the Start Mode column. If it doesn't, right-click on it and select Restart.

Next Step


Step 1: Create a Data Source

Step 1: Connect to a Data Source

You have two options. Connect to an existing database or create a new database. These procedures are described below.

Option 1: Connecting to the Demo Database

This procedure assumes that you are going to connect to the demo database that came with the Datapage+ install to send information from PC-DMIS). If you are using a different database, you can use that instead.

  1. Open up Datapage+ and select Tools | Database connection.

  2. This opens up the Database Connection Properties dialog box.

  3. Click the Browse button and navigate to the directory containing the demo database. By default, this should be in a sub-directory off of your user directory: Note that the demo database that ships with Datapage+ resides in your user directory, usually in this location: c:\users\<username>\AppData\Roaming\DPPlusDatabase\ where <username> is your user name.

  4. Select the Demo.mdf database and click Open. The dialog box should look something like this:

  5. If needed, click Upgrade to update the database to work with the latest version.

  6. Click OK to close the Database Connection Properties dialog box.

If you matched the above picture, this will tie Datapage+ to work with the existing Demo.mdf database.

Note: The demo database is intended for viewing purposes only. If you want to send actual statistical data from PC-DMIS to Datapage+, create a new database or load an existing one.

Option 2: Creating a New Test Database

If you prefer, you can also create a brand new empty local database called "Test" using the tools in Datapage+ by following this procedure:

  1. Open up Datapage+ and select Tools | Database connection.

  2. This opens up the Database Connection Properties dialog box.

  3. Click the Create Database button. The Create Local Database Wizard appears.

  4. Select check boxes and fill out the fields in the wizard as shown in the picture below. You may use different names or path to store the database if desired.

  5. Click OK to close the Create Local Database Wizard. The wizard creates your database file and data source name.

  6. Click OK to close the Database Connection Properties dialog box.

If you matched the above picture, this will create a database and data source named "Test" which you can now use within PC-DMIS.

Next Step


Step 2: Import Data from PC-DMIS to Datapage+

Create a simple PC-DMIS part program with at least one feature and a dimension for that feature. Once that is done, before features are measured, you need to insert a STATS/ON command that points to your defined data source. You can then execute your part program to send data to your database.

Note: The demo database is intended for viewing purposes only. If you are want to send actual statistical data from PC-DMIS to Datapage+, create a new database or load an existing one.

Procedure for PC-DMIS 2009 and Later

  1. Place your cursor at the top of your part program.

  2. Select Insert | Statistics Command | Statistics to access the Statistics Options dialog box.

  3. Select the data source you just created from the Data source drop–down list.

See the "Using the Statistics Options Dialog Box" topic in the PC-DMIS Core documentation for more specific information on how to use this dialog box.

  4. Enter your user name and password if needed.

  5. Click Test Connection and then click OK.

  6. PC-DMIS inserts the STATS/ON command:

  • STATS/ON,SPC_DATABASE,DataPageLocal

  7. Execute your part program. Once execution finishes, the data will get sent to the SQL database.

  8. Now, launch the Datapage+ application, and log in.

  9. Select All Parts from the side bar. You will see a newly added CAD thumbnail image in the main view. This new "part" contains the data sent from your PC-DMIS part program. For information on working with parts, see the "Parts" section.

Procedure for PC-DMIS 4.3 and Earlier

You cannot do this using the usual STATS/ON command with these versions of PC-DMIS because they do not support the newer Datapage+ database format. For legacy versions of PC-DMIS, you will need to use some statistics tools provided by the Datapage+ installation to convert and send your data as XML files into a Datapage+ database. See the "Statistics Tools" topic for information on using these tools.


User Interface Overview

When you first login to your defined database, Datapage+ will display a screen that looks like this. Click on portions of the image below to see more in-depth information on that portion of the user-interface:

  1. Main Menu Bar - Contains menus and toolbar icons for navigation, user account control, tools and settings and access to the help file.

  2. Side Bar - The side bar provides you with tools to access and select part data for display.

  3. Main View - Lists the main information for the current selection of parts or part data. This portion of the user interface remains blank until you select a category of parts or click All Parts from the sidebar.

  4. Toolbars - Toolbar icons on the main menu bar and in the main view and side bar (once a part is selected) provide a quick, easy-to-use way of performing different functions and operations. Once you click on a part, several new toolbar icons exist for the different tabs.

  5. Status Bar - Lists information about number of parts in current selected category. It also displays information about the database currently used.

Back to Getting Started Guide Contents


Main Menu Bar

At the top of the Datapage+ window is the main menu bar. It contain navigation elements as well as menus and icons to change database connection settings, import data, modify your user account profile, and access the help file.

Main Menu Bar

The menu bar contains these elements:

Toolbar Item

Description

Clicking this image accesses the pcdmis.com web site. See http://www.pcdmis.com/.

Similar to a web browser, these Back and Forward navigation icons move you back and forth within a history of opened screens and accessed items.

Minimize - This minimizes the window to the taskbar.

Maximize - This maximizes the window to fill your monitor's screen dimensions.

Normal - This reverts the maximized window back to its previous location.

Close - This closes down the Datapage+ application, .logging you out of any database and terminating any database connections.

The blue underlined Current User button displays the Edit User dialog box, allowing you to modify your personal profile. It contains the same form as used during the registration process. The Logout button logs out the current user and returns the window to the initial login screen. See "Registering and Logging In".

The Current Selected Part button performs these tasks:

  • It displays the category, name, and associated image of the currently selected part.

  • It displays a drop-down of menu items allowing you to import a 3D CAD model or a CAD image, associating it with your part data when applied to the CAD tab and CAD-based reports:

Upload Solid and wireframe CAD Model - This uploads a combined solid and wireframe CAD model to your part. Supported file types include .cad or .iges.

Upload Solid CAD Model - This uploads a solid CAD model to your part. Supported file types include .cad, .iges, or .xamlsolid.

Upload Wireframe CAD Model - This uploads a wireframe CAD model to your part. Supported file types include .cad, .iges, or .xamlwireframe.

Upload CAD Image - This uploads a simple image file to your part. This allows you to supply some sort of drawing or picture to a part when you don't have an actual CAD model. While you can still rotate and zoom in and out on the image in the CAD tab, just as you would a CAD model, note that 3D rotation will not function in the same way as a CAD model, because you're working with a two-dimensional image. Supported file types include .jpg, .bmp, and .png.

Note: This button only appears if you've selected a part to work with from the sidebar.

Depending on what you currently have selected in Datapage+, the software will display one or more of these menu items. Once you activate a part, the Tools menu will contain more items:

Import Data

- This item accesses the Datapage+ Data Import Wizard. See "Importing Data".

Database connection

- This item displays the Database Connection Properties dialog box. See "Connecting to a Database".

Account

- Depending on your privileges, this item lets you work with user accounts on the system. See "Account Management".

View logs

- This displays logged data detailing many different operations taken by the various users in the data base. This menu item only appears if you have Administrator privileges. See "Viewing and Querying Administrator Logs".

Variable Type Selection

- This displays a Variable Type Selection dialog box allowing you to set the initial view of the sidebar display when you access a part.

The dialog box contains these options:

    • Feature Variable

    • Dimension Variable

    • Feature

    • Dimension

The side bar already contains a drop-down list allowing you to switch between these items, but with this dialog box, you can change what initially appears. Choose what you want to display and click Save. The Default button resets the dialog box back to the software default.

Variable Calculation

- This displays the Variable Calculation dialog box. This lets you determine whether a summarized multi-report calculates its information based on the last transaction or on all transactions. See "Applying Multiple Parts at Once" for more information.

View Selection

- This displays the View Selection dialog box which lets you choose what tabbed windows to display in the main view.

Simply mark the items to display and click Apply; also click Save if you want your configuration to remain when you return to Datapage+ in a later session.

Dimension Color

- This accesses the Dimension Color dialog box, allowing you to define colors for different tolerance zones. See "Understanding Feature Colors" for more information.

Default Template Set

- This displays the Default Template Set dialog box.

This allows you to set the default templates used based on your particular locale. Selecting an option button and clicking Apply and Save will modify the paper size your reports will print on.

Options

- This lets you set system options. It displays an Options dialog box with two tabs:

General tab - This lets you set how certain items are displayed inside of the Datapage+ software. This does not change the actual data in the database only how it is displayed.

    • Company name: This defines your company name and will appear on some reports.

    • Decimals - This sets the number of decimal places.

    • Max width - This controls the maximum width of each column in the Column Chart.

    • Font size - This sets the font size of text displayed on tabbed windows and in the sidebar. It does not change the size of text on the main menu bar. The text size is limited between 0 and 18. A font size of 0 will reset the font to its default size.

    • Date format - This defines the date format for displayed transactions.

yyyy - represents the four digits for the year.

MM - represents the two digits for the month.

dd - represents the two digits for the day.

    • Time format - This defines the time format for displayed transactions.

HH - represents the two digits for the hours, in 24 hour time.

mm - represents the two digits for the minutes.

ss - represents the two digits for the seconds.

    • Unit - This defines the measurement unit used.

    • Show dialog when create XLS/CSV file - This check box lets you control the visibility state of the Excel Output dialog box that initially appears when you click the To Excel toolbar icon [image] on the side bar. If you have hidden this dialog box, marking this check box will cause it to appear again when the To Excel toolbar icon is next used.

Definition tab - This tab contains several items used in various outputs or generation processes. This lets you match these items to existing trace fields in your database.

    • CNC - Computer Numerical Control machine tool. This identifies the trace name of the machine tool. This is used in these locations:

      • The Exel Output dialog box, General tab. See the "To Excel" topic.

      • The Calculated Control Limits dialog box. See the "Options Icon (for Data Editor tab)" topic.

    • CMM - Coordinate Measuring Machine. This identifies the trace name for a CMM or a gage. This is used in RAG Text reports. See the "Text Reports" topic.

    • Process number - Production processes, stages in manufacturing. This is used in these locations:

      • RAG Text reports. See the "Text Reports" topic.

      • RFT Charts. See the "Right First Time (RFT) Chart" topic.

    • Part serial number - The part's serial number.

      • RAG Text reports. See the "Text Reports" topic.

      • RFT Charts. See the "Right First Time (RFT) Chart" topic.

    • Batch number - The batch number. Batches handle a collection of items together. This is used in RAG Text reports. See the "Text Reports" topic.

    • Inspection tool - The inspection tool used. This is used in RAG Text reports. See the "Text Reports" topic.

    • Operator - The operator who performed the measurement. This is used in the Measured Text report. See the "Text Reports" topic.

    • Part drawing - The part drawing number. This is used in XBarR Excel Output. reports. See the "To Excel" topic.

Update

- This menu lets you define when the system performs an update and queries for new statistical data that has been sent into the database. It contains these menu items:

Auto... - This menu item displays an Options dialog box that lets you define how often Datapage+ should update its content with the latest database information. This is useful when you are working with continuous real time data collection and you want to view the latest information.

Options dialog box for View Update

      • Enable Update - This turns on the defined update interval. When the specified time passes, Datapage+ will pause for a moment as it updates its contents with the latest statistical data from the database.

      • Minutes and Seconds - These boxes define the time that must pass before an update occurs.

      • Default - This resets the update interval to the default time of zero.

      • Save - This button does not immediately apply any changes you have made; instead, it stores the changes applying them when you next restart Datapage+.

      • Close - This closes this dialog box.

      • Apply - This applies your changes only temporarily, allowing you to preview the time before clicking Save. If you only click Apply and then Close, the update interval will continue to function for that part until you completely close Datapage+.

Manual - This performs a manual update of the Datapage+ software with the latest database information.

Calculations

- This displays the Calculations dialog box.

This dialog box contains buttons that let you change the calculation styles that affect different chart types used in the Chart and CAD tabs.

    • Control Tests

    • Capability Threshold

    • Subgroup Parameters

    • Control Charts

The Help menu lets you access the Datapage+ help file as well as the About dialog box; this dialog lets you view information about the current version and any modules programmed.

Back to Getting Started Guide Contents


Side Bar

The side bar on the left of your screen changes depending on what you're currently doing with the software.

Initial Side Bar

Initially, after logging into a database, the side bar displays information about Parts, Categories, and high-level queries.

You can use these areas to view all your parts in the database, create categories and assign parts to those categories, and define high-level queries. See these topics for more information:

  • Parts

  • Categories

  • High Level Queries

Side Bar for a Selected Part

Once you double-click on a specific part the side bar changes, providing you with areas that let you view more specific statistical data tied to that part, including features, feature variables and transactions. You can also use variable sets and trace queries to further limit the information displayed. See these topics for more information:

  • Features and Feature Variables

  • Variable Sets

  • Transactions

  • Trace Field Queries

In addition, these icons become available down the side of the side bar:

  • Apply to - This applies or sends data for the marked items in the side bar to the current tab in the main view.

  • Apply to all - This applies or sends data for the marked items in the side bar to all the tabs in the main view.

  • Append to - This appends data for the marked items in the side bar to the end of the current tab in the main view.

  • To Excel - This exports the data for the marked items in the side bar as a specified report. See the "To Excel" topic

Side Bar for the Report Tab

Clicking the Report tab for a part will change the side bar to display the current default reports that come with Datapage (ChartRpt, TextRpt, and CadRpt), as well as any customized saved reports and report groups. See these topics for more information:

  • Report Tab

Side Bar for Account Management

If you have privileges to modify account information, clicking Tools | Account will display the Account Viewer window or Account Management window. This window contains its own side bar allowing you to define departments. See these topics for more information:

  • Account Management

Resizing the Side Bar's Width

You can expand or shrink the side bar's width by dragging on the vertical line between the side bar and the main view. This is useful for some lists, like Transactions where there may be trace field data hidden from view until you expand the width.

Resizing the Height for a Side Bar's List

You can change the height of different lists in the side bar by dragging on the horizontal line between lists. This is useful for some lists, such as the Feature Variables or Transactions where you may want to display more data in a particular container vertically.

Back to Getting Started Guide Contents


Main View

The main view of the screen lists the main information for the current selection of parts or part data. This portion of the user interface remains blank until you select a category of parts or click All Parts from the sidebar. It then shows a thumbnail images of each of the parts assigned to the currently selected category:

Example of the Main View Showing A Selection of Parts

Once you double-click on a part from this list of parts, this main view changes to show tabbed windows into which you can send part data:

Example of the Main View Showing Tabbed Windows

The available tabs are shown here: (Click on the tabs in the image below to see information on each tabbed window.)

Initially, if you click on these tabs inside Datapage+, the resulting window will not contain any information. To populate these tabs with data, you first need to select (mark check boxes) for the transactions and features on the side bar and then click the Apply or Apply to All icons to get information into the current or all tabs respectively.

If you want to configure which tabbed windows are displayed and which are hidden, use the Tools | View Selection menu item from the main bar. Then mark the items you want displayed and clear the items you want hidden. See the "Main Menu Bar" topic where the View Selection dialog box is discussed.

Back to Getting Started Guide Contents


Status Bar

The status bar at the bottom of the screen displays information about number of parts in the current selected category, the pathway to your currently selected database, and your currently used template when viewing reports.

The Status Bar

On the login screen, it also displays the different languages that Datapage+ supports.

This icon displays the status of the database connection. If the database is connected successfully, the light bulb will be lit up, otherwise the light will be off. Clicking this icon also brings up the Database Connection Properties dialog box. This does the same thing as selecting Tools | Database Connection.

Database Connection Properties dialog box

See "Connecting to a Database" for information on using this dialog box.


Toolbars

Toolbar icons are necessary to access much of the powerful functionality contained within Datapage+. You can find descriptions for the toolbar icons for the different user interface elements covered in the topics where those elements are discussed.

These topics include:

  1. Main Menu Bar

  2. Applying Part Data to the Main View

  3. Main View (Specifically toolbar icons are contained within the Chart tab, Text tab, CAD tab, Data Editor tab, and the Report tab)

  4. Side Bar


Usage Overview

This topic of the Getting Started Guide provides you with an overview on navigating and using the software. If you need information on specific tasks, consult the appropriate topic from this documentation.

This topic covers the following sub topics:

  • Navigating the Software

  • Right-click Functions

  • Common Operations


Navigating the Software

Mouse Driven Application

Datapage+ is more of a mouse-driven application than a menu-driven one. While some menus exist on the main menu bar, the bulk of functionality and common operations are done by clicking on toolbar icons, right-clicking to use shortcut menu items, or by using mouse combinations on charts.

  • Toolbars

  • Right-click Functions

  • Common Operations

  • Working with Charts

Also, you can use a mouse-wheel to scroll through report pages and to zoom in and out of charts and reports.

Back and Forward Navigation

Clicking or double-clicking on certain items will drill down to more specific information, sometimes changing the displayed screen contents. When this happens, Datapage+ remembers where you were, and you can use the Back and Forward browse icons on the main menu bar to move back and forth between screens.

For example, when you login to the software, the Back browser icon becomes enabled for selection. Clicking that button will take you back to the login screen. Another example is double-clicking on a part in the main view where the parts are listed. The main view and side bar will change, but with the navigation icons, you can easily get back to where you were and make a different selection if desired.


Right-Click Shortcut Menus

Datapage+ commonly uses right-click menu items to perform operations with items you have selected. The available shortcut menus, how to access them, and their menu options are described here:

Main View (Parts List) Shortcut Menu

Categories List Shortcut Menu

Queries List Shortcut Menu

Features List Shortcut Menu

Graphic Window Shortcut Menu

Transaction List Shortcut Menu

Data Point Shortcut Menu

Feature Monitor Shortcut Menu

Reports List (Report Tab) Shortcut Menu

Current Reports List (Report Tab) Shortcut Menu

CAD Pages Shortcut Menu

Report Objects Shortcut Menu

Department List (Account Management ) Shortcut Menu

CAD Image Shortcut Menu

Data Editor Shortcut Menu

Main View (Parts List) Shortcut Menu

To Access: First select a category of parts or All Parts from the side bar. Then right-click on a part thumbnail displayed in the main view.

Menu Item

Description

Apply to

Opens up the part information. This is the same as double-clicking on the thumbnail.

RFT Chart...

Displays a Right First Time (RFT) chart for the selected part. See "Right First Time (RFT) Chart".

Set control limits...

You can calculate control limits for the selected part or parts by selecting this option. If multiple parts are selected, you'll see this dialog box:

  • Year & month - Choose the desired month for this operation by clicking on the calendar control.

  • Select CNC - Choose the CNC for this operation. If nothing is selected then all CNCs are used.

Setting control limits is discussed in the "Options Icon (for Data Editor tab)" topic.

Remove part from database

Removes the part and any associated data from the database. You can only select this if you click on All Parts from the side bar first.

Remove part from category

Removes the part from the category. You can only select this if you click on a category from the side bar first.

Change part thumbimage...

Displays a dialog box letting you change the thumbnail image for the part.

Export Data

Exports all the data stored for the selected part to an XML file (all variables and all transactions). If you want to export only specific transactions or feature variables, see Export Data in the "Feature List Shortcut Menu" subtopic.

Two styles of XML outputs are supported:

  • MDI - This is an xml format used in InfinityQS software products.

  • XML - This is a generic xml format used to export data so it can be imported into another database.

    See "Exporting Part Data as an XML File".
    See "Importing an XML File".

Sort by

This provides two ways of sorting the list of parts in the main view. These include:

  • Part Name - This alphabetizes the list according to each part's name.

  • Creation Date - This orders the list according each part's creation date.

Show

This lets you choose the information to display for all the parts displayed in the main view. Available options include:

  • Part Name - This displays the part's name.

  • Revision Number - This displays the part's revision number.

  • Serial Number - This displays the part's revision number

  • Part UID - This displays the part's unique ID value that is generated by PC-DMIS.

  • SID - This displays the unique number that defines the part within the database. Your first ever imported part will have a value of 1, and then 2, and so on.

Categories List Shortcut Menu

To Access: Right-click on the Categories list in the side bar. Some items only appear if you right-click on a predefined category in that list.

Menu Item | Description
Apply to | Applies the statistics for parts assigned to the selected category to the Chart tab in the main view. The Chart tab in this mode will only display an overview chart of the selected items. Different charts are only available if applying a single part.
Add Category... | Adds a new category to the Categories list in the side bar.
Edit Category... | Lets you rename the selected category in the Categories list in the side bar.
Remove Category... | Removes the currently selected category from the side bar.
Export Category Data to XML | Exports all the part data in the selected category to a generic XML format so it can be imported into another database. See "Exporting Part Data as an XML File".

Queries List Shortcut Menu

To Access: Right-click on the Queries list in the side bar. Some items only appear if you right-click on a predefined query in that list.

Menu Item | Description
Apply to | Applies the statistics for parts retrieved from the selected query to the Chart tab in the main view.
Remove Query... | Removes the selected query from the Queries list.
Edit Query... | Lets you edit the selected query in the Queries list in the side bar. It displays the Queries dialog box.

Features List Shortcut Menu

To Access: First, double-click on a part, and then right-click on the Features list, Dimensions list, Feature_Variable list, or Dimensions_Variable list in the side bar.

Menu Item

Description

Apply to

Sends the statistics for the selected items to the current tab you're looking at in the main view.

Apply to all

Sends the statistics for the selected items to all the tabs in the main view.

Append to

Adds the statistics for the selected items onto the end of the report.

Select

Marks one or more check boxes for one or more highlighted features or feature variables.

Unselect

Clears check boxes for the current selection of highlighted features or feature variables.

Select all

Marks the check boxes for all the features or feature variables.

Unselect all

Clears the check boxes for all the features or feature variables.

Measured order

This determines how items are sorted in this list:

  • If marked, Datapage+ sorts the items according to the order in which they were measured or the listed order in an import file.

  • If cleared, Datapage+ sorts the items alphabetically.

Set as new variable set

This creates a new variable set from any check marked items. When you select this variable set, from the drop-down list, only those items that were check marked will be displayed in the list.

Export Data

Exports data for the selected feature variables and selected transactions to an XML file.

Two styles of XML outputs are supported:

  • MDI

  • XML

Exported data can be imported into another database using "Importing an XML File".

These options are discussed in "Main View (Parts List) Shortcut Menu" above.

Graphic Window Shortcut Menu

To Access: First, double-click on a part, and then click on the Graphic Window icon from the side bar. When the Graphic Window appears, right-click on the CAD window.

This menu contains the same options discussed in the "CAD Image Shortcut Menu" shortcut menu.

Transaction List Shortcut Menu

To Access: First, double-click on a part, and then right-click on the Features list or Features_Variables list in the side bar.

Menu Item | Description
Apply to | Sends the statistics for the selected transaction(s) to the current tab you're looking at in the main view.
Apply to all | Sends the statistics for the selected transaction(s) to all the tabs in the main view.
Select | Marks the check boxes for only the selected transactions.
Unselect | Clears any marked check boxes for only the selected transactions.
Select all | Marks the check boxes for all the transactions.
Select last # | Marks the check boxes specified number of last transactions made. For example a 5 would select the 5 most recent transactions collected by the database for the selected part.
Set for recall later | This saves the state of the transaction list so it can be recalled and used later.
Recall Selected | This recalls the transaction list, setting it to the state it was at when Set for recall later was last selected.
Export Data | See the "Main View (Parts List) Shortcut Menu" subtopic where this item is already discussed.

Data Point Shortcut Menu

To Access: First, double-click on a part, then right-click on a data point displayed in a chart. Charts are displayed in the Chart tab, Feature Summary tab and Report tab

Menu Item

Description

Add Cause

Displays a small edit box allowing you to display a short note for the selected data point. The note appears directly above the selected point in the chart.

This is generally used as a way to display why a point was marked as ignored.

Edit Cause

This menu item appears if you right-click on an existing cause message in a chart. Selecting this displays the message in a small edit box so you can modify or delete the cause message.

Ignore/Restore

This toggles the display status of the selected data point.

  • If the point is visible when you select this option, it hides the point and redraws the chart as if that point didn't exist. A red point is drawn in its place.

  • If the point is hidden when you select this option, it redraws the chart to display the hidden point.

See "Working with Charts".

Feature Monitor Shortcut Menu

To Access: First, double-click on a part; second, Apply the data from the sidebar for the part to the Feature Monitor tab; third, select one or more items from the Feature Monitor tab; fourth, right-click on the selection.

Menu Item

Description

Alarms

Acknowledge to Current - This menu item acknowledges the selected variables displayed in the alarm colors. Acknowledging out of control or out of tolerance variables has the following effects:

  • The date and time of the acknowledgment is recorded.

  • The cause is recorded.

Set Acknowledge Date - This displays the Acknowledge dialog box.

Acknowledge dialog box

  • Last DateTime - Uses the date and time used on your last Acknowledged item. If this is your first Acknowledged item, it uses the current date and time.

  • Current DateTime - The date and time for the Acknowledged item is set to your current system time.

  • Other DateTime - The drop down provides you with tools to define your own date and time for the Acknowledged item.

  • Select cause - This lets you choose the cause to be displayed for the Acknowledged item. Causes can be defined by a user with administrator privileges using the Data Editor tab.

Unacknowledge - This menu item returns out of tolerance or out of control variables to unacknowledged status. The system will calculate control limits for unacknowledged variables using all available data.

View Acknowledged Date - This menu item displays a small message box with the date and time that the selected item was Acknowledged:

Control Limits

The Feature Monitor tab can calculate and freeze control limits at their current values for any selected variable(s). When new data is brought into the database, control limits for these variables will not be affected. You can unfreeze the limits later, if you wish.

Control limits detect signals in the process data, indicating unpredictable or out of control processes.

Set Out of Tolerance/Control - This lets you manually calculate control limit parameters. This option displays the Select Transactions dialog box:

Select Transactions dialog box

Manual Selected - This option will use any transactions you selected manually from the transaction list before accessing this dialog box.

Auto select - This option will use a query you select from the drop-down list.

One month - This check box option lets you select an entire month of transactions. Simply define any day of the month you want and all transactions for that month will be used.

When you click OK, the control limits are automatically calculated in the background.

Usually, when you apply part data to one of the tabs in the main view, the control limits are calculated automatically. This option is useful if you plan on exporting part data to an Excel file without ever applying data to a tab.

See also:

  • The Set Control limits menu item contained under the Options toolbar icon of the Data Editor tab.

  • Control Limits

Freeze Control Limits - This freezes control limits at their current level for the selected variables, so that the limits will not be recalculated when new data is added to the database.

Unfreeze - This allows the software to recalculate control limits for the selected variables each time new data is added to the database.

View Frozen Control Limits - This displays the frozen control limits for the selected variable.

Note: Use the Calculations dialog box (Tools | Calculations) to view or change the methods used to calculate control limits.

To Chart Report

Sends the selected data to the Chart tabbed window, overwriting what's already there.

To Text Report

Sends the selected data to the Text tabbed window, overwriting what's already there.

To CAD Report

Sends the selected data to the CAD tabbed window, overwriting what's already there.

Reports List (Report Tab) Shortcut Menu

To Access: First, double-click on a part, click on the Report tab, and then right-click on the side bar under Saved Reports.

Menu Item

Description

Apply to

This lets you open a saved report or reports. It sends the selected items to the Report tab, overwriting whatever is displayed there.

Select all

This selects all the reports in the Saved Reports area of the side bar.

Edit Report...

This lets you edit the selected report. It displays the Report dialog box. Simply edit the report in the dialog box and click OK to update your report. See the "Save Report" topic for information on working with this dialog box.

Delete Report...

This deletes the selected report, removing it from the Saved Reports area of the side bar.

Export...

This exports the selected report to a directory of your choice and gives the file a .WebReportFile filename extension. This is actually a text-based XML file.

If you export a single report, a Save As dialog box appears allowing you to choose the filename and directory.

If you selected multiple reports and then selected export, you can only browse to the target directory. Datapage+ will use the report name as the exported file's name.

The .WebReportFile file type can then be imported into the Saved Reports area of the side bar on other computer systems running Datapage+ 2011 or later. See the Import menu option below.

Import

This imports an XML file as a .WebReportFile file type into your Save Reports area of the side bar. This submenu contains two options:

From file - This lets you import any .WebReportFile. These are usually XML files exported from other computer systems.

From another webreport - This lets you import a copy of web reports already in the Save Reports area of the side bar. This is useful for creating mirrored reports. The Report Selection dialog box appears letting you select and mirror any report associated with the selected part. This dialog box is discussed in the "Exporting or Importing Reports" topic.

See "Report Tab".

Current Reports List (Report Tab) Shortcut Menu

To Access: First, double-click on a part, click on the Report tab, and then right-click on the side bar under Current Reports.

Menu Item

Description

Apply to

There are three standard reports that you can send to the Report tab, as long as you have first sent transactions and features to the corresponding tabs in the main view. These are:

  • Chart Report (Chart Rpt)

  • Text Report (Txt Rpt)

  • Cad Report (Cad Rpt)

See "Report Tab".

CAD Pages Shortcut Menu

To Access: First, double-click on a part, add items to the CAD tab. You then have two areas where you can access this menu. 1) Right-click on any pages in the CAD tab. 2) Access the Report tab, and apply CAD Report data to the report. Right-click on a page containing CAD report data.

Important: For any of the "Add" items in this menu, you must hold down both the left and mouse button when dragging it out onto the CAD window.

Menu Item | Description
Add TextBox | This lets you add and position typed information directly into the report in the form of a text box. See "Adding Custom Report Objects" for more information.
Add Cad | This lets you add and position a copy of the CAD model into your report. See "Adding Custom Report Objects" for more information.
Add Trihedron | This lets you add and position a trihedron object into your report. See "Adding Custom Report Objects" for more information.
Add Section Cut | This lets you add and position a section cut object into your report. See "Adding Custom Report Objects" for more information.
Duplicate Page | This duplicates the current page in your report and makes the next page the duplicated page.
Remove Duplicated Page | This removes the current duplicated page from your report.
Show Previously Unused Labels | This displays labels on the duplicated page that were previously hidden in the original page prior to the duplication.
Hide Main CAD | This hides the main CAD in the current page.
Show Main CAD | This displays the main CAD in the current page if hidden.

Report Objects Shortcut Menu

To Access: First, double-click on a part, add items to the CAD tab or Report tab. Right-click on any label, text box, or other reporting object. The items that appear vary depending on what object you select.

Menu Item

Description

Delete

Deletes the selected object from the report.

Grouping

This menu provides you with two menu items that lets you group or ungroup multiple objects.

Group - Groups the selected objects together. Grouped objects are treated like a single object when positioning or performing other object operations.

Ungroup - Separates grouped objects into their individual objects.

Order

This menu lets you place a selected object (or objects) in front or in back of other objects. This is helpful when you have multiple objects on top of each other and you want certain objects to be visible.

Bring Forward - This brings the selected object or object up one level in the stack of objects.

Bring to Front - This brings the selected object or objects to the top of the stack of objects.

Send Backward - This brings the selected object or object down one level in the stack of objects.

Send to Back - This brings the selected object or objects to the bottom of the stack of objects.

Change Background

This displays a Color Selection dialog box so you can change the background color or set the background to transparent for any selected text box objects.

Change Font

This accesses the Font Chooser dialog box. You can use this dialog box to modify the text box's font, font style, font weight, font size, affects, and as well as change the font color.

Font Chooser dialog box

Change Shape

This changes the shape of any selected text objects.

Rectangle - The text box is drawn using a rectangle shape:

Ellipse - The text box is drawn using an ellipse shape:

Show/Hide LeaderLines

This menu item shows or hides leader lines from any selected label objects. This menu is hidden from display for non-label objects.

Show/Hide Labels

This menu item shows or hides any selected label objects. This menu is hidden from display for non-label objects.

Department List (Account Management ) Shortcut Menu

To Access: Select Tools | Account, and then from the Account Manager window, right-click on the side bar under Departments.

Menu Item | Description
View All | Displays a listing of all users assigned to that department.
Add Department | Adds a new department to the Departments list in the side bar.
Remove Department | Removes the currently selected department from the side bar.
Edit Department | Lets you rename the selected department in the Departments list in the side bar.

See "Account Management"

CAD Image Shortcut Menu

To Access: First, double-click on a part; second, click on the CAD tab and apply feature variables or features to the tabbed window; third, double-click on the CAD image to activate it; fourth, right-click on the CAD image.

Menu Item

Description

CAD View

This submenu shows those items you can use to rotate and or display your image in a desired view:

X+

Displays the image rotated to the X+ view.

X-

Displays the image rotated to the X- view.

Y+

Displays the image rotated to the Y+ view.

Y-

Displays the image rotated to the Y- view.

Z+

Displays the image rotated to the Z+ view.

Z-

Displays the image rotated to the Z- view.

ISO View

Displays the image rotated to an isometric view.

Wireframe

Displays the part image as a wireframe model.

Solid

Displays the part image as a solid model.

Fit (Ctrl + Z)

Zooms in and out, scaling the image to fit within the activation box.

Rotation Center (Alt + Mouse Left)

Changes the center of rotation for the part image. You can either press Alt + a left mouse click on the part image to set the new center of rotation, or select this menu item to display an input box that lets you set the center of rotation using XYZ coordinates.

2D Rotation Angle

Performs a one time 2D rotate using the angle in the box connected to the menu item.

Rotate with Main CAD

This determines whether or not Datapage+ rotates the selected CAD object with the same 3D rotation as the main CAD object.

A check box appears next to the menu item when you enter this rotation mode. While marked, whenever you rotate the main CAD, this CAD object will use the same rotation as the main CAD.

Keep Trihedron with Alignment

This determines whether or not Datapage+ positions and rotates the trihedron according to the part program's defined alignment.

If this is cleared, the trihedron will return to CAD model's original position.

Rearrange Labels Position

This resets the position of the labels around the CAD object to their default positions.

See "Manipulating the CAD Image".

Data Editor Shortcut Menu

To Access: First, double-click on a part; second, click on the Data Editor tab and apply feature variables or features to the tabbed window; third, right-click on selected feature variable name rows or fields or right-click on a transaction column. Under the Options icon you may need to change the Selection Mode.

Menu Item | Description
New Variable | Creates a new feature variable, displaying the Create New Variable dialog box.
Edit Variables | Displays a dialog box allowing you to edit the feature variable.
Copy Variables | Copies the selected feature variables.
Paste Variables | Pastes the copied feature variables as new rows in the data grid.
Delete Variables | Deletes the selected feature variables from the data grid.

See "Data Editor Tab".


Common Operations

Applying Items

The most common operation is to apply an item, query, or selection to the database. This queries the database for the information associated with the selected item you are applying. For example, if you right-click on a part and select Apply to from the shortcut menu, the database will pull up a listing of all features and database transactions for that part.

Using the Apply to or Apply to all toolbar icons located in between the side bar and the main view applies part-specific data to specific tabbed windows in the main view.

You can use this functionality with parts, categories, features, transactions, and queries.

See "Applying Part Data to the Main View".

Appending Items

Similar to applying items, you can also append information to the end of existing data displayed in a tabbed widow on the main view.


Parts

About Parts

Adding New Parts / Refreshing Parts

Removing Existing Parts

Changing the Thumbnail Image

Flipping the Part to View/Change Additional Information

Applying Part Data to the Main View

Applying Multiple Parts at Once

Sorting Parts

Exporting Part Data as an XML File


About Parts

Your Datapage+ database is built around part data. You can't do anything in Datapage+ without first sending statistical data to the defined database. Until you do so, the database remains empty. Once Datapage+ contains part data, that part becomes visible for selection in the main view when you select All Parts from the side bar.

By default, the parts listed in the main view will show thumbnail images (if available) and names. You can right-click and use the Show menu to change the level of part information displayed. See the "Main View (Parts List) Shortcut Menu" topic.

Once a part is in the main view, you can then double-click on the part to access available features and transactions from which you can create your report.

  • Adding New Parts / Refreshing Parts

  • Removing Existing Parts

  • Changing the Thumbnail Image

  • Flipping the Part to View/Change Additional Information

  • Applying Part Data to the Main View

  • Applying Multiple Parts at Once

  • Sorting Parts

  • Exporting Part Data as an XML File


Adding New Parts

Adding New Parts / Refreshing Parts

There are several ways to add new parts into your database:

  • Use measurement software to measure part data and send it to the database as part of the measurement process

  • Import data from an existing export or dump (.dmp) file

  • Use the Add button on the side bar to add a generic empty part

Sending Measurement Data During Execution

To do this, you need to access your measurement software and tell it to send statistical information into that database as part of the part's measurement process.

  1. Using PC-DMIS for Windows, you can do this by using the Datapage+ option located on the Statistics Options dialog box (Insert | Statistics Command Statistics). This dialog box inserts a STATS/ON command.

  2. Place this command before any trace field and dimension commands that you want to send to the database.

  3. Insert a STATS/OFF command after these commands.

  4. Execute your part program.

See "Sending Data from PC-DMIS to Datapage+" for information on how to do this.

Refreshing Parts

You can use the Refresh all parts icon in the Parts list of the side bar (or press F5) to update Datapage+ with any newly added parts that have been sent to the database while Datapage+ has been running in the current session. You can also refresh the database at timed intervals by using the Update menu item located on the Tools menu. See the "Main Menu Bar" topic for information on the Tools menu.

Importing Data

To do this you must first have exported an existing legacy Datapage database as a dump (.dmp) file. You can then use Tools | Import Data to import the data into the Datapage+ database. See "Importing Data" where this is discussed.

Adding a Generic Empty Part

You can use the Add a New Part icon in the Parts list of the side bar to add a generic empty part into the database for cases where you want to manually add your variables and part data.

A New Part input box appears so you can type the part's name.

Type the name and click OK. The empty part is added into the database and appears in the main view. You will then need to access the Data Editor tab to add data to the new part.


Removing Existing Parts

Only a user with the appropriate access can remove part data from the database.

  1. Select All Parts from the side bar.

  2. Select one or more parts in the Parts list in the main view.

    • To select multiple, non-consecutive items, hold down the CTRL key and click on each item.

    • To select a range of consecutive items, click on the first one, hold down the SHIFT key, and click on the last one.

  3. Right-click on the selection and select Remove part from database from the shortcut menu. The part or parts and all associated data are removed from the database.


Changing the Thumbnail Image

By default, when you first add a part to the database, the part model's image will be the initial thumbnail image for the part in the database. To change this default image, do the following:

  1. Select All Parts or a category containing the part from the side bar.

  2. Right-click on the part and select Change part thumbimage from the shortcut menu. On Open dialog box appears letting you browse to and select a supported image file. Supported image types include .jpg, .bmp, .png, and .gif.

  3. Select the image and click Open. The image file is copied into the database and used for that part until you specify a different part image later on.

You can also change the thumbnail by clicking on the small icon [image] at the top right of each part's image to flip the part and use the browse button located there. See "Flipping the Part to View/Change Additional Information".


Flipping the Part to View/Change Additional Information

You can "flip" the part to view and change additional information tied to the part.

  1. Click on the part in the main view. The part is selected.

  2. Click on the small icon the upper-right side of the part image.

  3. The part image "flips" over to show additional information on its reverse side.

  • Alias: - This lets you define an alias that the part will use instead of its main part name. You can use this to give the part a more descriptive name while working with it inside of the software.

  • Thumbnail: - This displays an even smaller thumbnail image of the part. It also contains a ... button so you can browse your computer system and choose a different thumbnail image.

  • Belongs to: - This lists the categories to which the part is assigned.

Note that flipping one part over will change the display mode for selected parts. While flipped over, any part will automatically show it's reverse side when clicked on.


Applying Part Data to Main View

Applying Part Data to the Main View

To access a part's statistical data stored in the database, do the following:

  1. Select All Parts or a category containing the part from the side bar.

  2. Double-click on the part, or right-click on the part and select Apply to. Datapage+ lists the features and transactions available to the part in the side bar.

  3. From the side bar, mark the check boxes next to the features and transactions you want to view. Right-click on the side bar to access its shortcut menu and use the Select All or Select Last # as desired.

  4. Click Apply to, Apply to all, or Append to icons.

  • Apply to - Sends the statistics for the selected feature(s) or feature variable(s) to the current tab you're looking at in the main view.

  • Apply to all - Sends the statistics for the selected feature(s) or feature variable(s) to all the tabs in the main view.

  • Append to - Sends the statistics for the selected feature(s) or feature variable(s) to the end of the current tab in the main view.

Note: Be sure to select at least one transaction and one feature or feature variable. Otherwise the Appy to and Apply to all menu items will be disabled.

See "Common Operations".


Applying Multiple Parts at Once

You can apply the statistical data for multiple parts to the main view, thereby displaying a quick summary of the status of one or more selected parts. To do this, follow this procedure:

  1. Assign the parts you want to view to a category.

  2. Right-click on that category and choose Apply to. The side bar changes to list all the parts in the category. The main view changes to show only a Chart tab.

  3. From the Tools menu on the main bar, select View Selection. The View Selection dialog box appears.

  4. From the View Selection dialog box, select a single item to view, and click Apply. Datapage+ displays the selected tab in the main view.

  5. Click Close.

  6. From the side bar, select the parts you want to send to the main view and click the Apply to icon.

  7. The information appears in the specified tab in the main view:

Using Variable Calculation to View All Transactions or Last Transaction

You can use the Variable Calculation dialog box (available from the Tools | Variable Calculation menu item) to determine what transactions to show:

Variable Calculation dialog box

  • The Last Transaction - This option limits this summarized report to only show information from only the most recent transaction.

  • All Transactions - This option expands the summarized report to show information from all available transactions.


Sorting Parts

You can sort the listed parts according to part name or part creation date by right-clicking on the main view, and from the resulting shortcut menu, choosing Sort by and then clicking on the desired item (Part Name or Creation Date).


Exporting Part Data as an XML File

You can export part data to a generic XML format so it can be imported into another database. The export includes the following information for each transaction for the selected part or parts:

  • Part names

  • Features

  • Axes

  • Nominal values

  • Measured values

  • Plus tolerance values

  • Minus tolerance values

  • Variable sets

  • Queries

  • Trace fields

  • To export all part data from the database - Right-click on All Parts in the side bar and choose Export All Data to XML. All the part data will be exported.

  • To export part data from a category - Right-click on the category and choose Export Category Data to XML. All the data for parts assigned to that category will be exported.

  • To export data from one or more parts - Select the parts in the main view. Right-click and choose Export Data and then XML. The data for the just the selected part or parts will be exported.


Categories

About Categories

Adding, Removing, and Editing Categories

Assigning a Part to a Category

Removing a Part from a Category


About Categories

By assigning parts to categories you can keep your parts organized. Perhaps you would like to organize them by serial number, or by company name, or any other category. This is easily done in Datapage+. Once create a category, assign parts to it, and then click on that category, Datapage+ will then filter all the parts in the database, to only show those parts assigned to that category.

  • Adding, Removing, and Editing Categories

  • Assigning a Part to a Category

  • Removing a Part from a Category

Viewing Part Data for All Parts in the Category

You can also view data for all the parts assigned to a category, by following the information in the "Applying Multiple Parts at Once" topic.


Adding, Removing, and Editing Categories

The Categories toolbar, located in the side bar when you initially log into the database, is the main tool used to create, remove, and edit categories. In addition, you can also right-click inside the side bar and use that shortcut menu to work with categories.

The Categories Toolbar

Icon | Description
 | Create a new category. This icon will display an input dialog box allowing you to type the name of the new category. The new category will be added to the Categories list in the side bar.
 | Delete the selected category. This icon deletes the selected category from the Categories list in the side bar.
 | Edit the selected category. This icon will display an input dialog box allowing you to edit the name of the selected category from the side bar.

Adding a Category

  1. Click the Create a new category icon [image] from the toolbar or from the shortcut menu.

  2. An input box appears.

  3. Fill out the dialog box. It has these options:

    • Name - This defines the name of the new category

    • Image - The selected image appears next to this category in the Categories list in the sidebar. The drop down list shows all the images currently used in the Categories list on the side bar. The Browse button lets you locate and add a new image.

    • Type - This defines the type of category. The following types are available: Common, ProductCategory, and ProductModel. If you don't select anything, the category will automatically be assigned to the Common category type.

  4. Click OK.

  5. The new category appears in the categories list in the side bar.

Adding a Subcategory

  1. Select the parent category for the new subcategory from the side bar.

  2. Click the Create a new category icon [image] from the toolbar or from the shortcut menu.

  3. An input box appears with the parent category's name appended by a 0 character. The Type list will have the same category as the parent category.

  4. Modify the name, image, or type as desired.

  5. Click OK.

  6. The new subcategory appears in the categories list, directly under the parent category in the side bar.

Removing a Category

  1. Select the category you want to delete.

  2. Click the Delete the selected category icon [image] from the toolbar or from the shortcut menu.

  3. The category is removed from the list in the side bar.

If the category contains any subcategories, you must delete those first; otherwise, the Delete the selected category icon will be disabled.

Editing a Category

  1. To edit a category's name, click the Edit icon [image] from the toolbar or from the shortcut menu.

  2. The input box appears with the existing name.

  3. Modify the name, image, or type as desired.

  4. Click OK.

  5. Any modifications made are applied to the category.


Assigning a Part to a Category

To assign a part to category, select the part from the main view, and with the mouse depressed, drag the part on top of the desired category in the side bar.

Release the mouse button and Datapage+ assigns the part to that category. Thereafter, whenever you click on that category, the part will appear in the main view.


Removing a Part from a Category

  1. Select the category from the side bar. The parts assigned to that category appear in the main view.

  2. In the main view, right-click on the part you want to remove from that category.

  3. Select the Remove part from category item from the shortcut menu. The part is removed from that category.


High Level Queries

In the web-based version of Datapage+, Web Reporter, given the proper privileges, you can perform high-level, managerial queries of the database.

You cannot perform high-level queries in the desktop version.

See "Trace Field Queries" for defining queries within a specific part.


Features and Feature Variables

Features/Dimensions and Feature Variables/Dimension Variables

About Features/Dimensions and Feature Variables/Dimension Variables

Selecting and Applying Features or Feature Variables

Understanding Feature Colors

Using the Graphic Window


About Features and Feature Variables

About Features/Dimensions and Feature Variables/Dimension Variables

Each part consists of a number of feature and feature variables. Features are the elements that make up the part. Every time the part is measured, a data value is stored for each feature variable and a name is assigned to each set of stored data values. A feature variable is a quality characteristic with a definite value. A feature variable's name is usually set in the measurement program.

For Coordinate Measuring Machines, the feature variable's name consists of a feature name and an axis. For instance, the feature CIRCLE11 represents the eleventh circle measured. If that circle has an X position, a Y position, and a diameter then three variables will be stored in the database: CIRCLE11.X, CIRCLE11.Y and CIRCLE11.D, where X, Y, and D are the axes. Feature variables have a number of values associated with them. All variables have a nominal and an upper and lower tolerance. These values are also set in the measurement software, but can be edited using the Data Editor tab.

You can choose to display the feature list, the feature variable list, the dimension list, or the dimension variable list (assuming dimensional data is present in the database) when you double-click on a part to access its statistical data. By default, the feature variable list appears. To switch between the feature list and the feature variable list, click on the drop down list at the top of the window. Either list contains a series of entries with a small colored icon displaying its feature type along with a check box allowing you to select desired items and apply them to the main view. The colored icon corresponds to the dimension and feature toolbar icons used in PC-DMIS.

Feature and Dimension Toolbars Used in PC-DMIS

You can view the stored statistical data by selecting entire features or dimensions; or by selecting individual feature variables or dimension variables from the side bar for more specific reports, and then applying the selected information to the main view.

Feature Variable list

Feature list

Note: While this topic only lists diagrams of the Feature Variable and Feature lists, the Dimension Variable and Dimension lists are laid our similarly to the above diagrams.

  1. Select All. This icon marks all of the check boxes in the current list.

  2. Drop-down List. This switches between Feature_Variable, Feature, Dimension, and Dimension_Variable.

  3. X of Y. This lists the number of selected items (X) out of the total number of items (Y).

  4. Graphic Window. This icon lets you apply display settings to any CAD views using the Graphic Window. See "Using the Graphic Window".

  5. List box. This lists the feature variables (Feature Variable list) for each or a simple list of features (Feature list).

  6. Variable Sets list. Beneath the Feature Variable list you will find the Variable Sets list. You can use variable sets to store saved searches and sub-selections of the entire Feature Variable list to further limit or filter what is displayed there.

    The Variable Sets icon [image] lets you create a variable set. You can choose a predefined variable set, selecting it from the filter drop-down list. In addition, you can type a temporary filter on the fly directly into the box; you can use the asterisk (*) wild characters to represent one or more characters. For example, if you wanted all the items with the number 4 in their names, you could type *4*.

    The software automatically filters the list as you type.

See "Selecting and Applying Features or Feature Variables" for information on sending feature data to the tabbed main view.

See "Data Editor Tab" for information on creating and editing feature variables.


Selecting and Applying Features or Feature Variables

To select and apply data, mark the desired feature or feature data you want to send to the tabbed windows in the main view, and then right-click and select Apply to or Apply to All (or click the equivalent icons from the side bar).

You must also mark at least one transaction. See "Applying Part Data to the Main View" for additional information.


Understanding Feature Colors

In some charts and tabs feature variables will appear as color-coded bordered items to reflect the tolerance zone within which each item falls (or out of tolerance items).

Note: Currently, the colors used in Datapage+ are completely independent of the dimension color scheme used in PC-DMIS.

Sample Colors in the Feature Monitor Tab

The colors used correspond to the color-coded tolerance zones specified in the Dimension Color dialog box, accessible from the Tools | Dimension Color menu item. Your colors may be different than those displayed in the screen captures in this documentation.

Dimension Color dialog box

To see what the colors represent, select the drop down list in this dialog box.

By default, there is a single tolerance zone, bounded by negative and positive out of tolerance zones:

  • Out of 100% of Negative Tolerance.

  • 0-100% of tolerance.

  • Out of 100% of Positive Tolerance.

For example, in this image the green zone is the single tolerances zone:

Sample drop down list with a single (green color) tolerance zone

The current colors and tolerance zones will also appear in a colored bar that exists on some reports. This is called a "color map".

Sample Color Map with four tolerance zones

For information on the color map see, "Moving and Sizing the Color Map".

Changing the Tolerance Zones

In the Number of Tolerance Zones box, you can add additional zones. Type the number of zones and Datapage+ will divide up the in-tolerance percentage of 100 among those zones. So, if you changed the zone to 4, there would be four zones of 25% each: 0-25%, 25-50%, 50-75%, and 75-100%.

Sample drop down with four tolerance zones

The On tolerance check box changes "Out of 100% of Negative Tolerance" to "On 100% Tolerance".

Selecting a New Color

The Dimension Color dialog box provides a number of ways to define the color for the currently selected tolerance. The easiest way to choose a new color for the currently selected tolerance zone is to simply click on the desired hue from the grid of available colors.

If you want a color or hue that is not available on the grid, hover your mouse over the grid and click the flip button [image] when it appears. The grid flips over to display a Color Picker and Color Slider. You can then use the Color Picker after using the Color Slider to get the base color. Additional boxes allow you to specify numerically an exact color out of the many possible combinations.

The following graphic describes these areas of the dialog box:

  1. Color Picker. This area shows all the gradations or hues from black to white within the selected base color. To choose your color, simply click on the hue you want within the Color Picker. It will appear in the Selected Color box.

  2. Color Slider. This chooses a base color.

  3. Selected Color. This area shows the currently selected color that will be used. It also contains a read-only field displaying the RGB values as hexadecimal number with the # prefix to define the color. 0 to 255 is translated as 00 to FF in hexadecimal.

  4. sRGB Boxes. These (R)ed, (G)reen (B)lue boxes allow you to mix any color by typing in the intensity of the R, G, or B color value by using numbers between 0 and 255 for each box. (A)lpha controls the transparency of the pixels when items using this color are overlaid on top of other colors: 0 is completely invisible. 255 is completely opaque.

Show Colors in Two Directions

The Show Colors in Two Directions check box determines whether or not your tolerance zones for the current part program displays the same color range in two directions, one heading towards the Positive Out of Tolerance range and the other heading towards the Negative Out of Tolerance range. This effectively expands the lower dimension color range to –Tol instead of zero. You can then define the negative dimension colors and positive dimension colors separately.

Example of Four Tolerance Zones Showing Colors in Two Directions with Custom Colors

Buttons

Default - Sets the default color to the current selection and tolerance zone scheme for other parts.

Save - Saves the current color and tolerance zone scheme so that you can use them again in subsequent uses of the software.

OK - Utilizes the currently selected color scheme for the current session. If you log out and log back in, the previous colors will be used unless you click Save.


Using the Graphic Window

This icon displays the Graphic Window. The primary goal behind the Graphic Window is to provide you with the same functionality you used to have when setting up the CAD model in the legacy Dataview product. This window lets you easily define in advance the CAD orientation, zoom level, and what features will be displayed in the main CAD object in the CAD tab. The window contains tools to select and display features based on vector, window position, tolerance percent, deviation and so forth; you can then append or apply the selection to the CAD tab.

If you don't use this window, Datapage+ defaults to showing the Z+ view of the CAD model in the CAD tab and you will have to modify the CAD object on each page manually.

Graphic Window

This window contains the following items:

Show Features area. This area lets you show features in the Graphic Window that meet the selected criteria. You can then use the Select button to select the shown features from the side bar. Shown features are indicated with a small colored ball drawn in your dimension colors. The colored balls provide you with a way to visually see what features are in or out of tolerance.

  • By vector - This check box lets you show features by a selected vector. It shows only those features that use the same vector as the one defined.

  • By window area - This check box lets you show features based on their location in this window. Imagine that an invisible overlay covers the CAD view in this Graphic Window, thereby dividing it into four quadrants, like this:

    A     - Top-Left
    B     - Top-Right
    C     - Bottom-Left
    D     - Bottom-Right.

    For example, if you select Bottom-Right then the software only shows those features that are within that quadrant.

  • By tolerance percent (%) - This check box lets you show features based on a tolerance percentage range. The range is greater than or equal to the value of the left box and less then or equal to the value in the second box.

  • By deviation - This check box lets you show features based on a deviation range. The range is greater than or equal to the value of the left box and less then or equal to the value in the second box.

  • Clip Region - This clips the region of the CAD object to display only the region containing the shown features.

  • All - This shows all the features, regardless of the zoom level.

  • All in window - This shows only those features that could be displayed in the window given the CAD image's current zoom level and location.

  • Show Features - This button shows the features in the this Graphic Window based on the items you selected above.

Select - This selects the features in the Feature Variable side bar using the criteria in the Show Features area.

Apply to - This applies the selected features and the CAD model's pan, zoom, and rotation state to the CAD model, replacing any existing pages in the CAD tab.

Apply to all - This applies the selected features to all the tabs (except the Report tab), replacing whatever is there.

Append to - This appends the selected features and the CAD model's pan, zoom, and rotation state to the CAD tab, adding the selected content as additional pages.

Close - This closes the Graphic Window.

Also, the Graphic Window works closely with its right-click shortcut menu which is described in detail in the "Right-click Shortcut Menus" topic.

Process to Define the CAD and Selected Features

To define the CAD's pan, zoom, and rotation state, and to select features for display, do the following:

  1. Access the Graphic Window.

  2. Right-click on the CAD image in this window.

  3. From the shortcut menu, choose the desired orientation of the CAD model (X+, X-, Y+, Y-, Z+, or Z-).

  4. Right-click again.

  5. From the shortcut menu, choose to display the CAD model as a Solid or a Wireframe. The default shows the CAD as a solid.

  6. Pan, zoom, and rotate the model as desired.

  7. Do one of the following to select the features to display:

    • Select the desired features from the side bar manually or by using variable sets.

    • Use the Show Features area to show the features you want to display and then click Select to select them from the side bar.

  8. Click Apply to from the Graphic window.

  9. Now, repeat the above and click Append to if you want a different view or different features.


Variable Sets

About Variable Sets

Creating a New Variable Set

Deleting an Existing Variable Set

Editing an Existing Variable Set


About Variable Sets

You can use variable sets to store saved searches or sub-selections of the entire list box for the Feature Variables, Features, Dimensions, or Dimension Variables lists to further limit or filter what is displayed there.

In the side bar, beneath the list box for the above items, you will find the Variable Sets list. You can type a temporary quick filter by typing directly into the box. This is already discussed in the "About Features/Dimensions and Feature Variables/Dimension Variables" topic.

Variable Sets list

- The Variable Sets icon displays the Variable Sets dialog box.

Use this dialog box to work with new or existing variable sets.

- The drop down arrow for drops a list down to display all the available variable sets.

Once you make your selection from the list, Datapage+ immediately limits the items displayed in the list box accordingly.

The following topics provide you with in-depth information on working with variable sets.

  • Creating a New Variable Set

  • Deleting an Existing Variable Set

  • Editing an Existing Variable Set


Creating a New Variable Set

  1. From the side bar, under the list box, click the Variable Sets icon.

  2. The Variable Sets dialog box appears with the top-most variable set already selected:

  3. Click the New... button and name the variable set by typing the name in the resulting input box:

  4. Click OK. Datapage+ adds the name into the Variable Set list in the Variable Sets dialog box and automatically selects it so you can start adding to it.

  5. To add specific known items into your set, simply add them into the variable set from the Variable list. It contains all the feature variables for the current selected part. You can switch between displaying feature variables or entire features in the Variable list by using this Variable list drop-down list.

  6. Click the Add Variable arrow [image] to add them into the Variable set entry list on the left. To add all the diameter values (.D items), for example, you could simply grab each item ending in .D, and then click the icon to assign that item to the variable set.

  7. To add filtered items, or items that meet the criteria defined by a variable filter, use the Variable Filter box. You can use the * wildcard characters in this box to dynamically filter all items that meet the specified criteria:

    *     represents one or more characters.

    So, if you wanted to add in all the X values for all features, instead of clicking each one to move them over, you could simply type *.X into the Variable Filter box, like this and add that instead:

  8. To remove any items from the Variable Set Entry List, select the item and then click the Remove icon.

  9. Once you have finalized your variable set, click OK. Datapage+ automatically applies the filter to the list in the side bar. In our example, we've manually selected all the diameter values (CIR0.D, CIR1.D, and so on) and we've also added in a variable filter to grab anything that ends in .X:


Deleting an Existing Variable Set

  1. From the side bar, under the list box, click the Variable Sets icon.

  2. The Variable Sets dialog box appears with the top-most variable set already selected:

  3. Select the desired variable set from the Variable Set list.

  4. Click Delete.

  5. A message appears asking if you want to delete the selected variable set.

  6. Click Yes.

  7. Datapage+ removes the variable set.


Editing an Existing Variable Set

  1. From the side bar, under the list box, click the Variable Sets icon.

  2. The Variable Sets dialog box appears with the top-most variable set already selected:

  3. Select the desired variable set from the Variable Set list.

  4. Make any changes and click OK to update the variable set.


Transactions

About Transactions

Adding New Transactions

Merging Two Transactions

Editing or Removing Transactions

Selecting and Applying Transactions


About Transactions

Transactions represent additions to the database for a particular part. These additions can come from either a dump file (.dmp) that is imported from another database, or they can come from your measurement software as it sends statistical data to the database during part program execution.

Once you double-click on a part to access it, Datapage+ displays transactions in the Transactions list in the side bar underneath the Feature or Feature Variable lists.

Transactions list displayed in side bar

The transactions list contains the date of the transaction and any trace field information listed in columns to the right. It looks something like this:

A sample expanded Transactions list showing date and time and additional trace field data (operator names and so forth) for each transaction

  1. Select All. This icon selects all the transactions in the list.

  2. X of Y. This text shows the number of transactions selected (X) out of the total number (Y)

  3. Transaction Date/Time. Notice that the date/time field is listed as a series of double-digit numbers with this format:

YY-MM-DD-HH-mm-SS

Where YY=Year,
         MM=Month, DD=Day,
         HH=Hour, mm-Minutes,
         and SS=Seconds

Note that while the transaction list uses this abbreviated format of YY for year, you should use a date format of YYYY-MM-DD when using dates in queries (where YYYY is the year, MM is the month, and DD is the day). See "Creating New Trace Field Queries".

  4. Trace Field Data. These columns, to the right of the date/time, contain trace field data for the part.

Note: You may need to expand the side bar to the right to see all the data provided in the Transactions list.

See these topics for additional information on working with transactions.

  • Adding New Transactions

  • Merging Two Transactions

  • Editing or Removing Transactions

  • Selecting and Applying Transactions

  • Copying and Pasting Transactions (in Data Editor tab)

  • Deleting Existing Transactions (in Data Editor tab)

  • Clearing Transaction Values (in Data Editor tab)

You can use Trace Field Queries to only select transaction that match specified trace field data.


Adding New Transactions

You can add new transactions in these ways:

  • By using the import function to import statistical data into the database. See "Importing Existing Statistical Data".

  • By executing your part program. In PC-DMIS, for example, as long as STATS/ON and STAS/OFF commands surround your trace field and dimension commands, transactions will be appended to that part's Transaction list.

  • By manually adding new transactions using the Data Editor tab. See "Creating New Transactions" in the "Measurement Data" topic.

Follow the information listed in the "Adding New Parts" topic since the same steps need to be taken to get new transactions into the database.


Merging Transactions

You can use the Transactions list in the Side bar to merge the data from a source transaction into a target transaction. This is useful if you need to give variables that don't contain a value (that say Null), the merged value from the source transaction.

To Merge a Transaction with another Transaction

  1. Select two transactions from the Transactions list in the side bar.

  2. Right-click anywhere in the Transactions list and choose the Merge Two Transactions menu item from the resulting shortcut menu. A Merge Transaction dialog box appears asking you to choose a target transaction.

  3. Choose the desired target transaction, and click OK. The software merges the two transactions in this manner:

    • If the target transaction variable is empty (or null), it will take the value of the source transaction.

    • If the target transaction contains a non-empty value, it will not take the source value but will retain its original value.

    • The software then deletes the source transaction.

For example, suppose you were merging these two transactions, and you chose the left transaction as the target transaction:

After the merge, the transaction data would look like this:

Notice that the source transaction was deleted and that the null values were replaced with data from the source transaction.


Editing or Removing Transactions

To edit or delete transactions you have to have administrator privileges. You can then edit or delete transactions by using the Data Editor tab. See the "About the Data Editor Tab" topic.


Selecting and Applying Transactions

To select and apply data, mark the desired transactions you want to send to the tabbed windows in the main view, and then right-click and select Apply to or Apply to All. You must also mark at least one feature or feature variable. See "Applying Part Data to the Main View" for additional information.

Saving and Recalling Selected Transactions

  • To save selected transactions for later use, right-click on the Transaction list and choose Set for Recall Later from the shortcut menu.

  • To restore these saved transactions, right-click again on the Transaction list and choose Set for Recall Later.

See the "Transaction List Shortcut Menu" topic.


Trace Field Queries

About Trace Field Queries

Creating New Trace Field Queries

Editing Trace Field Queries

Deleting Trace Field Queries

Understanding Query Operators


About Trace Field Queries

Trace fields consist of data input by the part program's programmer during creation of the part program, or by an operator during a program's execution. Some common uses for trace fields are to send to the database the operator's name, the CMM used, and so forth.

In Datapage+ you can create and use trace field queries. A query is basically a statement that tells the database to look at the search criteria provided and to return any information that falls within that criteria. So, for example, if you wanted to select all transactions where operator JOE was using CMM B, you could easily do this using a trace field query.

In the side bar, beneath the Transactions list, you will find the Queries list.

Queries list

The Queries icon displays the Queries dialog box. You can use this dialog box to create, delete, or edit queries.

Queries dialog box

  • Query Name - This lists all the queries for the current part.

  • New - Lets you create a new query name.

  • Rename - Renames the selected query.

  • Delete - Deletes the selected query.

  • Link multiple clauses with - Uses either the logical AND or OR operators to link multiple rows (or clauses) together. Using AND will select data that meets all of the query clauses you enter. Using OR selects data that meets at least one of the clauses you enter.

  • Trace Name - This list contains all the trace field names.

  • Operator - This list contains comparative and other operators you can use in the query. See "Understanding Query Operators".

  • Trace Value 1 - This list contains values stored in the database for the name selected in Trace Name. You can also press DELETE and type your own value here.

  • Trace Value 2 - As Trace Value 1, this secondary list only becomes active if the BETWEEN operator is used in the Operator list. You can also press DELETE and type your own value here.

  • Red X - This deletes the current row or clause.

- The drop down arrow in the Queries list displays all the available queries.

The following topics provide you with in-depth instructions for working with trace fields.

  • Creating New Trace Field Queries

  • Editing Trace Field Queries

  • Deleting Trace Field Queries

  • Understanding Query Operators


Creating New Trace Field Queries

  1. Double-click on a part to access it.

  2. From the Queries list, click the Queries icon. The Queries dialog box appears.

  3. Click the New... button. An input box will appear.

  4. Type the name for the query and click OK.

  5. Now, back at the Queries dialog box, you will work from left to right on the first row, and then top to bottom to define your search criteria.

  • Choose a trace name from the Trace Name list. So, if you wanted to look for transactions that were done by the CMM operator named JOE, you would choose the OPERATOR: from the drop down list.

  • Choose a mathematical operator from the Operator list. If you wanted an exact match of JOE you would choose the = operator.

  • Choose a value from Trace Value 1. Note that these trace values are specific to your current part program. In this case, we'll select JOE.

  • If you chose BETWEEN as your operator, Trace Value 2 would become active and you could have it search for trace fields between two values.

  • If you want to use multiple clauses, continue to the next row and continue making additional selections. Select the desired Link multiple clauses with option (either the AND or OR option). Using AND will select data that meets all of the query clauses you enter. Using OR selects data that meets at least one of the clauses you enter.

Sample query defined to select all records with JOE

  • When you're done, click OK to save your changes. The Queries dialog box closes.

Querying Dates: Be aware that Datapage+ requires that you use a date format of YYYY-MM-DD when querying by date (where YYYY is the year, MM is the month, and DD is the day). So, if you were querying for a dates between October 1, 2009 and October 5, 2009, your query Trace Value 1 and 2 fields would use 2009-10-01 and 2009-10-05 respectively. See "About Transactions" for information on the differences in the date format displayed in the Transactions list

  6. Select the query from the Queries list in the side bar. Datapage+ will limit the displayed transactions to match your query.

Example query limiting the transactions to show only those with JOE as the operator


Editing Trace Field Queries

  1. To edit an existing query, select the Query icon from the Queries list from the side bar.

Queries list

  2. The Queries dialog box will appear.

  3. From the Query Name list, select the query you want to change.

  4. Use the items in the Queries dialog box to make changes to the query. For information on these dialog box items and how to use them, see "About Trace Field Queries" and "Creating New Trace Field Queries" topic.

  5. Click OK to save your changes.


Deleting Trace Field Queries

  1. To delete an existing query, select the Query icon from the Queries list from the side bar.

Queries list

  2. The Queries dialog box will appear.

  3. From the Query Name list, select the query you want to delete.

  4. Click the Delete button.

  5. A message appears asking if you want to delete the selected variable set.

  6. Click Yes.

  7. Datapage+ removes the query.


Operator

Understanding Query Operators

The Operator list in the Queries dialog box contains the operators you can use in queries.

The table below explains their meaning.

Operator | Description
= | Selects all data that exactly matches the value in T race Value 1.
!= | Selects all data that contains values not equal to the value in T race Value 1.
< | Selects all data less than the value in T race Value 1.
> | Selects all data greater than the value in T race Value 1. Alpha characters use the order of the alphabet
<= | Selects all data that is less than or equal to the value in Trace Value 1. Alpha characters use the order of the alphabet.
>= | Selects all data that is greater than or equal to the value in Tr ace Value 1. Alpha characters use the order of the alphabet.
CONTAINS | Selects all data that contains any part of the value in the T race Value 1.
BETWEEN | Selects all data that matches and falls between the values in Trace Value 1 and Trace Value 2. Alpha characters use the order of the alphabet.
SORT ASC. | Selects all data containing trace values for the item selected in Trace Name and sorts it from ascending (lowest to highest). Alpha trace values are sorted according to the order of the alphabet.
SORT DESC. | Selects all data containing trace values for the item selected in Trace Name and sorts it descending (highest to lowest). Alpha trace values are sorted according to the order of the alphabet.


To Excel

In Datapage+ version 2011 and later the specific excel reports (Data, Variable, PPAP, ISIR, XBarR, Spreadsheet) are accessible from the To Excel toolbar icon [image] on the side bar.

When you click this icon, the software displays the Excel Output dialog box; it allows you to choose the report type to export as an .xls or .csv file, depending on the type of output.

Excel Output dialog box

Output - This area defines two output options for your report.

  • Directory - Use this if you want the software to automatically save the report with an automatically generated name to the specified directory. Use the Browse button to select the desired directory. The exact file name that will be generated uses this format: "<Report type> yyyy-mm-dd--hh-mm-ss.xls" based off of the time when the report was generated. yyyy represents the four digit year, mm the two digit month, dd the two digit day; hh the hour in 24 hour time, mm the minutes, and ss the seconds. <Report type> refers to the type of report selected in Report Type area.

  • File name - Use this if you want to give the output a specific name. Type or use the Browse button to select the directory and file name to which you want to output the data.

Report Type - This area defines the report type and the final file format.

  • Save as - This list lets you choose the report type to export. Available types are:

    • Data Report - Exports as either .xls or .csv.

    • Variable Report - Exports as either .xls or .csv.

    • PPAP Report - Exports as either .xls or .csv.

    • Spreadsheet Report - Exports as either .xls or .csv.

    • ISIR Report - The ISIR Report (Initial Sample Inspection Report) is only available as an .xls export.

    • XBarR Report - This report is only available as an .xls export.

    • Editor Report - This report exports selected measured values and marks out-of-tolerance values in a red color.

  • Save as type - This defines the output format as either an excel (xls) or a comma separated value (csv).

XBarR Option - This area becomes available for selection if you select XBarR Report as the report type. It lets you specify options specific to an XBarR report.

  • Select month - Use the icon to chooses a day in a month. Data for the entire month will be exported.

  • Subgroup size - This sets the number of individual observations per subgroup.

  • Verifier - In this box you can define an automatic signature that will appear for each subgroup.

  • Shift - If marked, this check box splits the measured data into two parts, a night shift and a day shift.

  • From X to Y - This becomes enabled if Shift is marked. It defines a time range for the day shift, where X represents the first box, the shift's start time, and Y represents the shift's closing time. The time format must be in 24-hour time. Data within this range will be assigned to the day shift portion of the report. Data within the range after the closing time of Y but before the next day's start time of X will be assigned to the night shift portion of the report.

Don't show this dialog - This hides the Excel Output dialog box for the remainder of the session. Once you have a report and an output directory or file defined, and you mark this check box and then click OK, Datapage+ will automatically output using the specified report to the selected directory or file whenever you click the To Excel icon [image] from the side bar. The dialog box remains hidden until you mark the Show dialog when create XLS/CSV file option available from the General tab of the Options dialog box, accessible from Tools | Options.

OK - This outputs the report to the specified directory or file and closes the dialog box. You can view the text on the status bar while the report generates to view the status of the report. It displays Generating... in red text when processing and when the report generation is done, the text changes to Finished.

Cancel - This closes the dialog box without creating a report.

For a customized excel report, see the "Exporting Customized Excel Reports".

To Export a Report with the Excel Output dialog box Visible:

  1. Select the transactions and features or feature variables you want to export.

  2. Click the To Excel icon from the sidebar.

  3. Fill out the Excel Output dialog box.

  4. Click OK. A message box appears, informing you when the report was created.

Sample Exported Excel Report

A sample Variable report, exported to as an Excel File


Feature Monitor Tab

About the Feature Monitor Tab

Applying Features to Reports

Feature Monitor Tab Toolbar Icons

Using the Detailed Mode

Using the Chart Plot Mode


About the Feature Monitor Tab

Feature Monitor Tab - Simple Mode

The Feature Monitor tab lets you “monitor” incoming data without needing to generate any reports. This functionality is useful for shop floor users or quality managers who want to leave this screen up and keep track of incoming inspection data to catch any problems early on.

This tab reads your database each time you start it as well as at timed intervals that you can set while it remains open. It evaluates the variables for the current part and reports out of control and out of tolerance conditions in real time. The Feature Monitor tab window lists all the variables of the currently selected part in color codes that indicate the status of each. At a glance, you can see which variables have become out of control or tolerance or both.

See "Understanding Feature Colors".

You can view the items in the Feature Monitor tab in these modes accessible from the Show Text/Charts toolbar icon:

    • Simple Mode - This mode, shown in the example to the left, shows the feature or feature variables in the dimension color.

    • Detailed Mode - This mode displays the items in a sortable, table-like view of statistical data with rows and customized columns.

    • Chart Plot Mode - This mode displays each item in its own run chart.

These topics provide specific information on things you can do with this tab:

    • Applying Features to Reports

    • Feature Monitor Tab Toolbar Icons


Applying Features to Reports

From within the Feature Monitor tab, you can choose to send a sub-selection of features or feature variables to the Chart, Text, or CAD tabbed windows. To do this, select the desired items, right-click on them, and select the report to which you want to send those items: To Chart Report, To Text Report, or To CAD Report.

This overwrites whatever info may already exist in that tab.

Shortcut menu for Feature Monitor tab

Selecting Items

A blue highlight surrounds the items you select:

Example of selected items in blue highlight color

  • To select multiple, non-consecutive items, hold down the CTRL key and click on each item.

  • To select a range of consecutive items, click on the first one, hold down the SHIFT key, and click on the last one.


Feature Monitor Tab Toolbar Icons

  • View Icon

  • Pie Chart Icon

  • Refresh Icon

  • Show Chart/Text Icon


View Icon

The View icon is used on toolbars for these tabs:

  • Feature Monitor tab

Clicking the View icon displays these two menu items:

Update... - This menu item functions lets you define how often Datapage+ should update its contents with the latest database information. This is already documented in Auto... menu item in the "Main Menu Bar" topic.

Detail... - This menu item only functions if the detailed mode is enabled for the Feature Monitor tab. It displays an Options dialog box that allows you to change what is displayed within the Feature Monitor tabbed window.

Options dialog box for View Details

    • Report statistics - These items determine what column headings appear in the summary table view. Items that are already displayed have a light-gray background color. These basic columns are always on and cannot be deselected: Part, Variable, and Chart View.

    • Decimals - This box determines the number of decimal places for any fields where numerical decimal values are displayed.

    • Default - This resets the summary view to the default settings.

    • Save - This button does not immediately apply any changes you have made; instead, it stores the changes applying them when you next restart Datapage+.

    • Close - This closes this dialog box.

    • Apply - Applies your changes only temporarily. If you only click Apply and then Close, the changes will remain applied to the part until you completely close Datapage+. When you next restart Datapage+, the previous saved settings (or default settings if there are not any saved settings) will be applied.

For information on what each column displays, see "Description of Column Names".


Feature Monitor Refresh Icon

Refresh Icon

Press the Refresh button to update the screen whenever any changes have been made to the Feature Monitor tab screen.


Pie Chart Icon

The Pie Chart icon is used on toolbars for these tabs:

  • Feature Monitor tab

  • Feature Summary tab

The Pie Chart icon provides a visual display of the state of all the features in the part in the form of a pie chart graph with the colored slices representing the different tolerance and out of tolerance zones for the features in the tab.

A sample pie chart graph showing using custom colors and four tolerance zones

You can click on the colored slice or on the tolerance zones under the VARS text to select all the items that fall into that zone.

The number next to each tolerance zone indicates the number of feature variables in the Feature Monitor tab that fall into that zone.


Show Chart/Text Icon

Show Chart/Text

The Show Chart/Text icon is used on toolbars for these tabs:

  • Feature Monitor tab

This allows you to change between these display modes:

  • Simple Mode - This mode shows the feature or feature variables in the dimension color. See "About the Feature Monitor Tab" for an example of this mode.

  • Detailed Mode - This mode displays the items also in dimension color, but in a sortable, table-like view of statistical data with rows and customized columns. See "Using the Detailed Mode"

  • Chart Plot Mode - This mode displays each item in its own run chart. See "Using the Chart Plot Mode".


Using the Detailed Mode

The Feature Monitor tab's detailed mode displays the items in a sortable, table-like view with rows and customized columns of statistical data to give you a more detailed overview of the condition of the part.

The contents of a sample detailed mode look something like this:

The Feature Monitor Tab - Detailed Mode using custom colors with four dimension tolerance zones

To access this mode, from the Show Text/Chart toolbar icon, select Show Text, and then Detail. To switch from the detailed view back to the simple view, access the same menu, and select Simple.

Note: Be aware that Datapage+ hides items in the detailed mode if they do not have any measurement data.

These topics provide specific information for this mode:

  • Description of Column Names

  • Sorting and Changing the View


Description of Column Names

The following are all the columns available to the detailed mode of the Feature Monitor tab. You can show or hide columns by selecting Detail from the View toolbar icon. See "View Icon". Note that Part, Variable, and Chart View cannot be hidden.

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Part

The name of the part.

Variable

The feature variables.

PP% (PpPercent)

Capability percentage (3 sigma estimate).

Pr

Capability ratio (3 sigma estimate).

Pp

Capability index. Pp is calculated based on normal distribution parameters.

`Pp = ((USL) *( LSL)) / (6sigma)`

See "Calculations of Capability Based on Normal Distribution Parameters".

PpK

`Ppk = M\i\nim\um(Ppu, Ppl)`

(If no lower tolerance exists, then `Ppk = Ppu`)

Capability index, uncentered, based on normal distribution parameters. By default, a value of 1.33 is used, but you can set the value for Ppk by clicking the Capability Threshold button accessed through the SPC Calculations menu option from the Chart tab's Chart Options icon.

See "Calculations of Capability Based on Normal Distribution Parameters".

PC%

`PC% = 100.0 / (C p)`

A capability percentage indicating the percent of specification used. PC% is the ratio of the process width (6 ) to the specification width (USL-LSL) expressed as a percentage.

Cr

`Cr = (6sigma)/(Tol)`

Where Tol is the total tolerance.

Capability ratio. The capability ratio is used to determine whether or not the process produces products that meet the expected distribution. Usually, if Cr is 1. or greater, the process is not capable ( i.e., the process width is greater than the specification limits). Cr equals 6 divided by the total tolerance.

Cp

`Cp = (Tol)/(6sigma)`

Where Tol is the total tolerance width.

The potential capability index (Cp) helps to determine whether or not the process produces products within specification limits. Cp is a measure of how many 6 sigma curves can fit between given specification limits. If Cp is greater than 1, the entire process may fit within specification limits. A Cp of less than 1 indicates that the process has too much spread to meet specifications; that is, the process is not capable. Cp equals the total tolerance divided by 6 (the total tolerance width is calculated by subtracting the lower specification limit from the upper specification limit).

See "Capability Indexes: Table of Calculations".

CpK

`Cpk = MINIMUM(CpU, CpL)`

For one-sided measurements like flatness, `Cpk = CpU`

Actual capability index, based on subgroup size and the current control chart’s standard deviation. (For calculations of standard deviations for control charts, see Estimates of Standard Deviation Based on Control Charts.)

Cpk is a measure of how many 3 sigma half curves will fit between the process center and the closest specification limit. A value of 1.33 (i.e., the center is 4 sigma away from specification limits) or greater is a typical target.

See "Capability Indexes: Table of Calculations".

Estimates of Standard Deviation Based on Control Charts

Nominal

Target value.

Lsl

LSL = Nominal + Lower Tolerance

Lower specification limit. The LSL equals the nominal + lower tolerance.

Usl

USL = Nominal + Upper Tolerance

Upper specification limit. The USL equals the nominal plus the upper tolerance.

MeanDev

The average deviation from the nominal.

Mean

The overall average value of measurements in a sample.

Est Sigma

EST STD DEV

Estimated standard deviation.

Sigma

Standard deviation, represented as `sigma`. Sigma is a unit of measure indicating the width or spread of the process distribution.

See "Estimates of Standard Deviation Based on Control Charts".

3 Sigma

3S or 3 STD DEV or 3SIGMA

Three times the standard deviation. This value is generally used to define control limits

`(bar X +-3sigma)`

6 Sigma

6 STD DEV or 6SIGMA

Six times the standard deviation.

UCL

Upper control limit. This is the upper limit for points plotting above the center level on control charts. The upper control limit is used as a criterion for evaluating whether or not the process is in control.

LCL

Lower control limit. This is the lower limit for points plotting below the center level on control charts. The lower control limit is used as a criterion for evaluating whether or not the process is in control. In DataPage for Windows, the LCL is calculated from actual measurement data in the X (upper) portion of Individual and Subgroup Charts.

Actual Low

The actual lowest value in the sample.

Actual High

The actual highest value in the sample.

Est Low

`EST\ LOW = MEAN - 3sigma`

The estimated lowest value that is in control, based on the distribution.

Est High

`EST\ HIGH = MEAN + 3sigma`

The estimated highest value that is in control, based on the distribution.

% Out Spec

Actual percentage of measurements that are out of specification (that is, that are greater than the upper specification limit or less than the lower specification limit).

% Est Out Spec

Estimated percentage of measurements out of specification, based on the mean, standard deviation, and distribution type.

Samples

A “sample” is the total number of transactions used in the calculation(s) for the current operation.

In Control

Indicates by Y or N whether all selected AT&T Tests were passed successfully.

PpK Capable

Indicates by Y or N whether or not the process is capable in relation to the PpK.

See "Calculations of Capability Based on Normal Distribution Parameters".

Cpk Capable

`Cpk = MINIMUM(CpU, CpL)`

For one-sided measurements like flatness, `Cpk = CpU`

Actual capability index, based on subgroup size and the current control chart’s standard deviation. (For calculations of standard deviations for control charts, see Estimates of Standard Deviation Based on Control Charts.)

Cpk is a measure of how many 3 sigma half curves will fit between the process center and the closest specification limit. A value of 1.33 (i.e., the center is 4 sigma away from specification limits) or greater is a typical target.

See "Capability Indexes: Table of Calculations" and "Estimates of Standard Deviation Based on Control Charts".

25th Quartile

Twenty-five percent quartile value. This is the point midway between the median and the lowest value. 25% of all data points fall below this value and 75% fall above.

Median

The middle point of a set of data values. When used with subgroups, the median is the middle point of the subgroup values. Exactly 50% of the values are higher than the median and 50% of the values are lower. For sets containing an odd number of members, the exact middle value is used. For sets containing an even number of values the median is the average of the two middle results.

75th Quartile

Seventy-five percent quartile value. This is the point midway between the median and the highest value. 75% of all data points fall below this value and 25% fall above.

Range

The difference between the highest measurement value and the lowest measurement value in the sample.

Skewness

A distribution statistic that provides a measure of asymmetry. Negative values indicate data is skewed to the left (there are more values that are less than the mean than values that are greater than the mean). Positive values indicate data is skewed to the right (there are more values that are greater than the mean). A skewness of 0 indicates that the data is perfectly symmetrical.

Kurtosis

A distribution statistic that provides a measure of the flatness of the distribution curve as compared to normal data. Negative values indicate data is flatter than normal data. Positive values indicate data is steeper than normal data.

Upper Tol

The highest amount of acceptable deviation from the nominal.

Lower Tol

The lowest amount of acceptable deviation from the nominal. The lower tolerance should always be less than the upper tolerance. Datapage+ calculates specification limits by using the following equations:

`LSL = Nomi\nal + Lower\ Tol\erance`

`USL = Nomi\nal + Upper\ Tol\erance`

The lower tolerance should be negative so that its value is less than the nominal.

High Deviation and Low Deviation

The High Deviation is the largest deviation based on your selected transactions, while the Low Deviation is the smallest. For example, if you selected three transactions with deviations of 0.01, 0.02, 0.03, then High Deviation is 0.03 and Low Deviation is 0.01. The software calculates the range by the following:

`Rang\e = High\ Deviation – Low\ Deviation`

The range is an absolute number. For example, if you had a negative number, such as in a High Deviation of 0.05 and a Low Deviation of -0.06, the range would still be 0.11.

ChartView

Displays either a Bar-Whisker Chart or a Run Chart for each feature variable. See "Changing the Chart View Column".


Changing the Summary's Contents

Modifying Columns

You can modify what columns appear by using the View icon, selecting Detail..., and then selecting or clearing the desired items. See the information on the Detail... menu item in the "View Icon" topic.

Sorting Columns

You can sort by a column's heading by clicking on that heading to sort the rows by that column's data in ascending order. Clicking again on it sorts the rows again in descending order. A small red arrow head appears showing the column being sorted and in descending (down arrow) or ascending (up arrow)

Changing the Chart View Column

The right-most column in the Feature Summary tab is the Chart View column. You can switch between Run Chart or the default Bar-Wisker Chart by using the drop down arrow there.

Sample Bar-Whisker Chart | Sample Run Chart

You cannot manipulate the chart data in this tab.


Using the Chart Plot Mode

The Feature Monitor tab's chart plot mode displays each item in its own Run chart. This allows you to see trending data in incoming data without needing to generate any reports.

The contents of a sample chart plot mode look something like this:

The Feature Monitor Tab - Chart Plot Mode

To access this mode, from the Show Text/Chart toolbar icon, select Show Chart Plot.

For information on manipulating individual charts inside the chart column, see the "Working with Charts" topic in the "Chart Tab" section. While that topic deals specifically with charts in the Chart tab, you can use some of the techniques presented there in the Feature Monitor tab's chart plot view as well.


Chart Tab

About the Chart Tab

Defining Default Settings (Chart Tab)

Working with Charts

Jumping to a Feature Variable in a Chart

Chart Tab Toolbar Icons

Chart Descriptions

SPC Calculations

Chart Display


About the Chart Tab

Datapage+ supports a wide variety of charts useful for displaying your collected statistical measurement data in a particular format. Using the Charts tab you can quickly and easily switch among available charts. You can also use this the items in this tabbed window to define SPC calculations and modify display options for some charts.

A sample Chart tab displaying a set of four run charts

These topics provide specific information on things you can do with this tab:

  • Defining Default Settings (Chart Tab)

  • Working with Charts

  • Jumping to a Feature Variable in a Chart

  • Chart Tab Toolbar Icons

  • Chart Descriptions

  • Modifying SPC Calculations

  • Modifying Chart Display Options


Defining Default Settings (Chart Tab)

Clicking the Chart Options icon [image] from the toolbar and then selecting Default Setting... displays the Default Setting dialog box. This dialog box lets you determine the default charts Datapage+ will use when accessing the Chart tab.

Default Setting dialog box

Default type for variable - Determines what type of chart to use for variables.

Default type for feature - Determines what type of chart to use for features.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Working with Charts

There are several operations you can do when you work with charts in the Charts tab and in other areas of Datapage+ where charts may also be used. Many of them involve using the mouse.

Chart Operation

Operation Description

Performing the Operation

Zoom in and out (stretch operation)

This zooms in and out on a portion of the chart. This is more of a stretch operation, than a true zoom; because it increases the distance in between individual data points, making them appear farther apart and therefore more readable.

  • Not recommended for the AT&T Test chart and the Stats and Capability chart; doing so behaves much like the traditional zoom operation.

  • This also works inside of the Feature Monitor tab's plot chart mode.

To Zoom In:

  1. Ensure that your mouse is not directly over a data point.

  2. Click the Edit icon [image] from the toolbar if available.

  3. Hold down CTRL and push your mouse's scroll wheel away from you. Depending on the chart type, Datapage+ may take a little while to process the zoom request.

To Zoom Out:

  1. Ensure that your mouse is not directly over a data point.

  2. Click the Edit [image] icon from the toolbar if available.

  3. Hold down CTRL and pull your mouse's scroll wheel toward you. Depending on the chart type, Datapage+ may take a little while to process the zoom request.

Zoom in and out (traditional zoom)

This zooms in and out on a portion of the chart. This is more like using a magnifying glass. The graphical lines and dots increase in size as you zoom in.

To Zoom In and Out:

  1. Click the Pan and Zoom icon [image] on the toolbar.

  2. Use the mouse wheel to zoom in and out on the entire screen.

    • Pushing the mouse wheel away from you zooms in on the chart.

    • Pulling the mouse wheel towards you zooms out of the chart.

Click 100% icon [image] to reset to the page to its default size.

Reset

This returns a stretch-zoomed item back to normal.

Press CTRL and then double-click on the chart.

Zoom in and out on just one chart

This zooms in on one particular chart, or on a portion of a stretch-zoomed chart, causing it to fill the tabbed window.

Click the Zoom One Chart icon to zoom in. Click the icon again the return to multiple chart views per page.

Alternately, you can double-click on the chart.

Reset Zoom

If you used the right-mouse drag operation to zoom in on the chart, this resets the zoom level to the default size.

Double-click on the chart.

Pan

This pans (or moves) the chart. This is useful when you're zoomed in on a portion of a chart or page and would like to see another portion of the chart or page without zooming out and then zooming back in.

When panning, the underlying chart is moved in the direction you drag the mouse.

  • If you're zoomed in on a chart using the stretch zoom, hold CTRL and then click and drag the left mouse button.

  • If you're using the normal enlarge zoom, you need to first select the Pan icon [image] from the toolbar and then click and drag the left mouse

Cycle Pages

This moves through different pages of your chart.

If in General Mode:

  • Push the mouse wheel away from you to go back a page.

  • Pull the mouse wheel towards you to move forward a page.

Or use the Page Up, Page Down, and Page X of Y icons.

If in Book Mode:

  • Double-click on the left page to go back a page.

  • Double click on the right page to go forward a page.

Or use the Page Up, Page Down, and Page X of Y icons.

Ignoring and Restoring a Data Point

There may be times when you want to ignore a data point so that it doesn't appear on the chart. This is useful for "what-if" type analyses. Datapage+ lets you do this by hiding the data point.

This only works on the Run chart.

To Hide (Ignore) a Data Point:

  1. Click the Edit icon [image] from the toolbar to ensure you're in edit mode.

  2. Hover your mouse over a data point. The cursor will change to a yellow circle with target lines.

  3. Right-click on the data point and select Ignore/Restore. Datapage+ removes the point and draws a small red x in it's place to indicate a removed point.

To Show (Restore) a Data Point:

  1. Click the Edit icon [image] from the toolbar to ensure you're in edit mode.

  2. Hover your mouse over the red x that indicates a removed data point. The cursor will change to a yellow circle with target lines.

  3. Right-click on the data point and select Ignore/Restore. Datapage+ restores the point

Adding and Editing Causes

Causes are short notes you can add to a chart's data point. The note appears directly above the selected point directly in the chart.

This is generally used as a way to display why a point was marked as ignored.

This only works on the Run chart.

To Add a Cause:

  1. Click the Edit icon [image] from the toolbar to ensure you're in edit mode.

  2. Hover your mouse over a data point. The cursor will change to a yellow circle with target lines, as shown in this enlarged view of a data point.

    Note that transaction information and point data also appear next to the point as long the mouse hovers over it.

  3. Right-click on the data point and select Add Cause. A small Cause Selection dialog box appears letting you select the cause from the drop-down list.

  4. Click OK. Datapage+ adds the note directly above the selected point in the chart.

To Create or Edit a Cause:

Causes can be defined or edited by a user with administrator privileges using the Cause Codes tab under the Data Editor tab.

To Edit or Remove a Cause:

  1. Click the Edit icon [image] from the toolbar to ensure you're in edit mode.

  2. Hover your mouse over a data point. The cursor will change to a yellow circle with target lines.

  3. Right-click on the data point and choose Select Cause. The Cause Selection dialog box will appear with the previous cause's text selected.

  4. To edit the cause, choose a new one from the drop-down list. To remove the cause, choose the empty cause item.

  5. Click OK. The cause is edited or removed.


Jumping to a Feature Variable in a Chart

When you've accessed the Chart tab or the CAD tab, notice that the Feature Variable list in the side bar now contains numbered boxes next to each feature variable:

A sample Feature Variable list with page numbers

Once you've applied the selected variables to the Chart or CAD tab, these numbered boxes reflect the page number on the tabbed window of where that feature variable is located. Simply click on the numbered box to immediately open that page number in the Chart or CAD tab.


Chart Tab Toolbar Icons

  • Change Charts Type

  • Chart Options

  • Print Options

  • Save Report

  • Refresh

  • Template Selection

  • Set Current Template as Default

  • General Mode

  • Book Mode

  • Tiles

  • Zoom

  • Pan

  • Edit

  • 100%

  • Page X of Y

  • Page Up

  • Page Down

  • Zoom One Chart


Change Charts Type Icon

The Change Charts Type icon displays a drop down menu of all the available charts, allowing you to select a specific chart and load it into either the Chart or CAD tab. For the CAD tab, most of the charts are displayed in the labels around the CAD model. Click on the chart in the images below to jump to information on that chart.

Change Charts Type for Chart Tab | Change Charts Type for CAD Tab

  • The icons in the menu give an indication of the type of chart.

  • The current chart is listed in bold and has a check mark next to it and its icon is displayed as the Change Charts Type icon.

Note: The Target Individual Chart and Target Group Charts are grayed out if the Feature Variable list is displayed in the toolbar. These charts require a selection from the side bar's Feature list. See "Features and Feature Variables".


Chart Options Icon

The Chart Options icon contains these menu items:

  • Default Settings - This allows you to change the default charts to use

  • SPC Calculations - This allows you to change the calculation styles that affect different charts.

  • Chart Display - This provides menu items that let you change what is displayed on some specific charts.


Print Report Icon

This displays a standard Print dialog box, allowing you to send the current contents of the tab to an installed printer.


Save Report Icon

This displays the Save Report dialog box for the current tab.

This dialog box lets you save the contents of the tab into one of two different formats:

  • WebReporter report - This type of report is a "macro report". This means if you selected the last 10 transactions; the next time this report is open, it will query the database for the last 10 transactions thereby updating the report to the latest data if any changes to the database are available. This happens for all relevant items you can select such as the Variable Set, Queries and so on.

    Selecting this item and clicking OK displays a Report dialog box. This box also appears if you are editing a saved WebReporter report.

    You can use this dialog box define your saved report. You can define the report's name, the chart type to display, variable sets and queries to focus and limit the report. These can be applied to one or more sections of your report. When you click OK, Datapage+ stores the report in the database under the Reports heading on the side bar. You can then load this report (or a customized version of the report) whenever you like into the Report tab. See "Report Tab".

Report name - This defines the name of the report. When you save the report this is what will appear in the side bar. Once you click OK, you cannot change the name.

Section tabs - Tabs titled Section1, Section2, Section3, and so on, appear if you have more than one type of report content. These tabs allow you to apply modifications made to this dialog to that specific section. If you have more than one section, an Apply All button appears. This lets you apply modifications made to one section to all the other sections, otherwise clicking OK just performs the modification on the selected section.

Keep user's modification, Label Position, CAD Viewset, Chart Options etc. - By default, this check box is marked. This means Datapage+ will use the initial report modifications made by the report creator when displaying this report. If cleared, you can choose the type of chart to use from the Type drop down list or the features to report on from the Features list.

Type - Depending on the report content (Section1, Section2, or Section3 tab), this determines the type of chart or text report to use.

Features - This list, unless limited by a variable set or initial report content, displays all the feature variables available to the part. If it is filtered in any way, you can always clear the Keep user's modification... check box discussed above and remove the feature variable sets to gain access to all the features. You can then select those features you want.

The drop-down list under the Features list lets you apply any predefined variable sets to the Features list to filter the feature variables displayed.

Transactions - The list of transactions in this area, much like the Features list, may be limited by a query or by the initial transactions selected by the report's creator. By default, the transactions list is disabled from selection. It contains these option buttons:

Select last - This option button when selected enables the box next to it. The box defines the last number of transactions to select. If you typed 15, the last fifteen transactions would be selected automatically from the transaction list.

Select all - This option button causes the software to select all available transactions for the part.

Specify transactions - This option button enables the transaction list so that you can pick specific transactions or use the query list to use subset of transactions with the report.

The drop-down list under the transaction list lets you apply any predefined queries to the transaction list to filter the transactions displayed.

Cad Viewset - This area lets work with any CAD objects in the report, choosing their orientation and so forth.

User define viewset - This check box determines whether or not the CAD objects in the report will be oriented using a custom orientation from this dialog box. By default, this check box is cleared so that the CAD objects use the report creator's originally defined orientation. If you mark this check box, the Report dialog box expands to include additional information; also the View orientation drop-down list becomes enabled for selection.

View orientation - This drop-down list is hidden initially until you mark User define viewset. Once enabled, you can choose the view orientation in this list. This orients the CAD objects so that the selected axis of the CAD object is pointing out of the screen.

Scale - This box only becomes available to edit if User Define viewset is marked and View orientation is set to Customized. It defines the scale factor of the CAD objects. A value of 1 means 100%. A value of .1 means 10% and .01 means 1%. So, if you typed .5, all CAD objects in the report would be zoomed out to 50% their original size.

Translation - These boxes only appear if User define viewset is marked and View orientation is set to Customized. These allow you to reposition the CAD object in the report by changing the X and Y values.

Rotation- These boxes only appear if User define viewset is marked and View orientation is set to Customized. These allow you to rotate the CAD object in the report by the defined angle. Type a 1 in either the X, Y, or Z boxes to define the axis about which the rotation occurs. For example, a value of X=0, Y=0, and Z=1 with an angle of 45 will cause the part to be rotated from it's original orientation by 45 degrees about the Z axis.

  • ReportViewer report - This type of report is stored on your computer or any desired external media. When you select this type of report, the Browse button and a field displaying the file path way become available for editing. You can use those to define where the report is saved. The Save CAD Model check box lets you save the current CAD model as well. That check box only becomes available if you're saving this report from the CAD tab. This report generated using ReportViewer is static. You can open and view this report using the Report Viewer application. Using Report Viewer you can rotate the CAD and move labels around, and zoom in and out, but you cannot adjust the content in any other way.

This type of report is only available in the web-based version of Datapage+. It is not available in the desktop version.


Chart Tab Refresh Icon

Press the Refresh button to update the screen whenever any changes have been made to the Chart tab screen.


Template Selection_Icon

Datapage+ ships with some standard templates that allow you to easily change how the contents of supported tabs are displayed. The Template Selection icon lets you choose to use a new template for the current tab. When you click this icon, an Open dialog box appears with some templates that you can use with that tab.

A sample ChartRpt templates, usable in the Chart tab

Templates are used in the following tabs. The available standard templates are also listed below:

  • Chart tab - DefaultTemplate1.ChrtRpt, DefaultTemplate2.ChrtRpt, SummaryReport.ChrtRpt

  • Text tab - DefaultTemplate1.TxtRpt

  • CAD tab - DefaultTemplate1.CadRpt, DefaultTemplate3.CadRpt, DefaultTemplate5.CadRpt, DefaultTemplate6.CadRpt

The status bar will display the currently loaded template.

You can also use this to load in any saved modifications for the CAD tab.

See also: Save Report Mods Icon


Set Current Template as Default Icon

After you load a new template for a tabbed window, you can click the Set Current Template as Default icon to set that template as the new default template for that tab. Whenever you open that tabbed window in the future, the new default template will be used to display the contents of that tab. The status bar will also display the currently loaded template.

See also: Template Selection


General Mode Icon

The General Mode icon is the default view of items in the current tabbed window.

  • For the Chart tab, it displays four charts in a landscape view.

  • For the Text tab, it displays a single page of text in the main view. The page of text may expand or shrink to fit the main view.

  • For the CAD tab, it displays a single display of the CAD model in a landscape view.

To navigate pages in General Mode, you can use the Page Up, Page Down, and Page X of Y icons. You can also use your mouse wheel:

  • Push the mouse wheel away from you to go back a page.

  • Pull the mouse wheel towards you to move forward a page.


Book Mode Icon

The Book Mode icon displays two pages at a time for the display of items in the current tabbed window. This mode acts as a book, a left page and a right page where double-clicking on a page will "turn the page" in an animated manner, going back or forward a page, depending on where you click.

  • Double-clicking on the right page will turn the page, putting that info onto the left page and display the next page of information on the right page.

  • Double-clicking on the left page will turn the page, putting that info on the right page and display the previous page of information on the left page.

You can also use the Page Up, Page Down and Page X of Y icons to navigate in Book Mode.


Tiles Icon

The Tiles icon shrinks all pages and displays all of them in a single view, providing you with an overview of how everything will look in the report.

Viewing the Current Page

If you right-click on a page and select Go to current page, Datapage+ will open that page in the General Mode view.

Deleting the Current Page (Report tab only)

If you're viewing the Report tab, you can use the Tiles icon to delete a page by right-clicking on that page and selecting Delete current page, Datapage+ will remove that page from the report.

Rearranging Pages (Report tab only)

If you're viewing the Report tab, you can use the Tiles icon to rearrange report pages. Simply click on a page to highlight it, and then drag and drop it on top of another page. The mouse icon will change to this when you drag:

When you release the mouse, Datapage+ will move the dragged page to the dropped location and shift all the other pages accordingly.


Zoom Icon

This zooms in and out on a portion of the chart. This is much like using a magnifying glass. The graphical lines and dots increase in size as you zoom in.

To Zoom In and Out:

  1. Click the Zoom icon [image] on the toolbar.

  2. Use the mouse wheel to zoom in and out on the entire screen.

    • Pushing the mouse wheel away from you zooms in on the chart.

    • Pulling the mouse wheel towards you zooms out of the chart.

Click 100% icon [image] to reset to the page to its default size.

Note: This icon only works in General Mode. In other view modes it is grayed out.

See also: Working with Charts


Pan Icon

This pans (or moves) the chart. This is useful when you're zoomed in on a portion of a chart or page and would like to see another portion of the chart or page without zooming out and then zooming back in.

When panning, the underlying chart is moved in the direction you drag the mouse.

  • If you're zoomed in on a chart using the stretch zoom, click and drag the left mouse button.

  • If you're using the normal enlarge zoom, you need to first select the Pan icon [image] from the toolbar and then click and drag the left mouse

For information on the different zoom types, see

See also: Working with Charts


Edit Icon

This places the current tabbed window into an edit mode where you can show and hide data points, add causes, or zoom in and out on a portion of the chart by dragging the mouse.

Note: This icon only works in General Mode. In other view modes it is grayed out.

See also:

  • Working with Charts


100% Icon

This restores the displayed contents to the default zoom state. This is useful after zooming in and out.

See also:

  • Zoom


Page X of Y

This shows the current page and the total number of pages. It also jumps to the desired page by displaying its contents in either General Mode or Book Mode. Simply select the page in the edit box. Datapage+ will immediately display the selected page.


Page Up Icon

This displays the previous page.


Page Down Icon

This displays the next page.


Zoom One Chart Icon

The right-most zoom icon zooms in on one particular chart, causing it to fill the tabbed window. Click the icon again to zoom out to the usual view of four charts per page available in General Mode.

You can use CTRL + Left Mouse Click as a shortcut for this functionality.

Note: This only functions with the Chart tab and with the General Mode view.


Chart Descriptions

The following topics provide samples and descriptions of the charts that Datapage+ supports.

Charts in Charts Tab

Charts in CAD Tab

  • Bar Whisker Chart

  • Individual Chart

  • Subgroup Chart

  • Histogram Chart

  • Cumulative Probability Chart

  • AT&T Test Chart

  • Stats and Capability

  • Process Report

  • Run Chart

  • Target Individual Chart

  • Target Group Chart

  • Pareto Variable Chart

  • Pareto 6 Sigma Chart

  • Multi Chart

  • Multi Run Chart

  • Qualified Rate Chart

  • Histogram Chart

  • Run Chart

  • Target Individual Chart

  • Pareto 6 Sigma Chart

  • Column Chart

  • Single Deviation Label

  • Multi Deviation Label

  • Multi Deviation Column Label

  • Normal Variable - Type1

  • Normal Variable - Type2

  • Normal Variable - Type3

  • Normal Feature - Type1

  • Normal Feature - Type2

  • Custom Label


Bar & Wisker Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Bar Whisker Chart (or Bar & Whisker) provides a compact representation of the distribution and capability properties of the process. The chart includes three sections: a header that identifies the part name and chart type; the Bar & Whisker Chart itself; and a list of configurable statistical values for each selected variable.

Sample Chart

Two kinds of Bar & Whisker Charts are available in Datapage+:

  • Bar & Whisker Chart - A type of Bar & Whisker Chart that shows sever outlier, mild outlier, high and low non-outlier, 75% and 25% quartiles, and mean.

  • Capability Chart - A type of Bar & Whisker Chart that shows mean, high and low values, and plus and minus 3 sigma limits.

These two charts contain slightly different information in the graphical chart section.

Capability Chart

Bar and Whisker Chart

  1. Plus 3 Sigma Value

  2. High Value

  3. Mean

  4. Low Value

  5. Minus 3 Sigma Value

  1. Severe Outlier

  2. Mild Outlier

  3. High Non-Outlier

  4. 75% Quartile

  5. Median

  6. 25% Quartile

  7. Low Non-Outlier

Use the Chart Options icon and then select Chart Display | Bar and Whisker Chart to change the chart type displayed.

See also:

  • Chart Display - Bar and Whisker Chart

  • Control Tests


Individual Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

Individual charts show individual observations and range and/or individual observations and moving range. Two additional statistical parameters, CP and CPK, also appear on the chart. The upper section shows the individual values plotted against the control limit, while the lower section plots range values.

You can also control the number of individual observations per subgroup by using subgroup parameters.

You can change the type of subgroup chart displayed by using the Configure Charts dialog box described in the "Control Charts" topic.

Sample Chart

See also:

  • RX Chart

  • XMR Chart

  • XMR(2) Chart

  • XMR(3) Chart

  • Control Limits for Individual Charts

  • Capability Indexes: Table of Calculations

  • Chart Display - Control Chart


RX Chart

Sometimes referred to as a "Paired Range Chart", the RX Chart is a type of Individual Chart that shows individual range. The upper section shows the individual values plotted against the control limits, while the lower section plots the range between subsequent pairs of data points. Two additional statistical parameters, CP and CPK, also appear on the chart.

See also:

  • Capability Indexes: Table of Calculations

  • Control Limits for Individual Charts

  • Process Chart


XMR Chart

A type of Individual Chart. X Moving Range Charts are control charts for the individuals (X) and the moving range (MR). The upper chart is similar to a Run Chart: it shows the individual values plotted against the control limits. The lower chart shows the moving ranges. Two kinds of XMR Charts are available: XMR(2) and XMR(3), where 2 and 3 indicate the sizes of the moving subgroups used for the range portion of the chart.

See also:

  • Control Limits for Individual Charts

  • Capability Indexes: Table of Calculations


XMR(2) Chart

An XMR Chart that plots the ranges between pairs of successive data points. In an XMR(2) Chart, the range between points 1 and 2 would be plotted, then the range between points 2 and 3, then the range between points 3 and 4, and so on. Two additional statistical parameters, CP and CPK, also appear on the chart.

See also:

  • Control Limits for Individual Charts

  • Capability Indexes: Table of Calculations

  • Process Chart


XMR(3) Chart

An XMR Chart that plots the ranges between pairs of successive data points. In an XMR(2) Chart, the range between points 1 and 2 would be plotted, then the range between points 2 and 3, then the range between points 3 and 4, and so on. Two additional statistical parameters, CP and CPK, also appear on the chart.

See also:

  • Control Limits for Individual Charts

  • Capability Indexes: Table of Calculations

  • Process Chart


Subgroup Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

Subgroup Charts show subgroup range, subgroup median value, subgroup mean, and/or subgroup standard deviation. Two additional statistical parameters, CP and CPK, also appear on the chart.

Available Subgroup Charts are the XBar & R Chart, XBar & S Chart, and XTilde & R Chart.

Just same with Individual Chart you can control the number of individual observations per subgroup by using subgroup parameters.

You can change the type of subgroup chart displayed by using the Configure Charts dialog box described in the "Control Charts" topic.

Sample Chart

See also:

  • XBAR & R Chart

  • XBAR & S Chart

  • X Tilde & R Chart

  • Subgroup Parameters

  • Control Limits

  • Capability Indexes: Table of Calculations

  • Chart Display - Control Chart


XBar & R Chart

The most commonly used type of Subgroup Chart. The upper chart plots the subgroup mean, with out-of-tolerance points in a red color, while the lower chart plots the subgroup range. Two additional statistical parameters, CP and CPK, also appear on the chart.

See also:

  • Capability Indexes: Table of Calculations

  • Control Limits for XBar & R Charts

  • Process Chart


XBar & S Chart

A type of Subgroup Chart that shows mean and standard deviation. The XBar & S Chart plots subgroup mean on the upper chart (in exactly the same way as the XBar & R Chart), with out-of-tolerance points in a red color, and subgroup standard deviation on the lower chart. Two additional statistical parameters, CP and CPK, also appear on the chart.

This S Chart is considered a better measure of process variation than the R Chart, since it is less sensitive to special causes of variation that may produce only a single unusual value in the subgroup. When the subgroup size is greater than 25, this chart should always be used as the Subgroup Chart.

See also:

  • Capability Indexes: Table of Calculations

  • Control Limits for XBAR & S Charts

  • Process Chart


X Tilde & R Chart

A type of Subgroup Chart that plots median and range. The X Tilde & R Chart consists of two charts: the upper chart is a plot of the subgroup medians, with out-of-tolerance points in a red color; the lower chart shows the subgroup range. Two additional statistical parameters, CP and CPK, also appear on the chart.

The X Tilde & R Chart yields similar conclusions as the XBar & R Chart, but the median is more robust in that one outlier within the subgroup does not affect the median. For subgroups with an odd number of members, the median is the middle value. For subgroups with an even number of members, the median is the average of the two central values.

See also:

  • Control Limits for X Tilde & R Charts

  • Capability Indices: Table of Calculations

  • Process Chart


Histogram Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Histogram Chart is a chart displaying the observed measurement distribution in bar format, with a distribution curve superimposed. Use the histogram to visually compare the measurements to the theoretical distribution and to recognize abnormalities such as bimodal distributions and outliers.

This type of chart is used in both the Chart tab and CAD tab.

To tailor a specific chart to show various reference lines, including upper and lower specification limits or control limits, or up to six sigma limits, select the Chart Options icon then Chart Display | Histogram.

Sample Chart

See also:

  • Chart Display - Histogram


Cumulative Probability Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Cumulative Probability Chart, is a graph of Z-scores against the observed values. The Z-score axis is non-linear so that a normal distribution will plot as a straight line. The normality of the data is quantified in the correlation coefficient.

Sample Chart


AT&T Test Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

Sometimes referred to as Western Electric Tests, The AT&T Test Chart contains a series of tests for unnatural patterns that indicate the process may be out of control. AT&T tests are performed on individual observations and ranges and subgroup means and ranges. The following AT&T Tests are available in Datapage+:

Sample Chart

See also:

  • Control Tests


Stats and Capability Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Stats and Capability Chart displays distribution statistics on the top half of the chart and a capability table on the bottom half of the chart for each feature variable you applied to the Chart tab.

Sample Chart

See also:

  • Distribution Statistics

  • Chart Display - Distribution Parameters


Process Chart

Process Report

The Process Report is comprised of a selection of statistical charts that together provide a complete definition of a variable’s process, including its distribution, control, capability characteristics, and assigned cause codes.

The Process Report includes Individual Charts, Subgroup Charts, AT&T Tests, Histogram, Capability Table, Cumulative Probability Plot, distribution statistics, and the Inference.

Sample Chart


Run Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Run Chart is an ordered plot of raw data points that is used to study the behavior of a critical variable as it varies over time. Points are plotted against the specification limits and/or control limits.

This type of chart is used in the Chart tab, the Cad tab, and in specific views of the Feature Monitor tab.

As with other charts that display individual data points, you can assign causes to be displayed for specific data points on this chart. In addition, you can cause specific data points to be ignored. See "Working with Charts" for more information.

Sample Chart

See also:

  • Control Limit Calculations for Run Charts

  • Chart Display - Run Chart


Target Individual Chart

This chart type requires the selection of Features. If the Feature Variable list is displayed in the side bar, this chart icon will be grayed out. Access the Feature list in the side bar, and apply some features to the tabbed window to display this chart type.

The Target Individual Chart displays the positions of variables for a single feature, or the average positions of variables in a subgroup. The center of the plot represents the nominal position of each point. The upper tolerance for each variable is used to draw the radius of the inner circle (or ellipse or rectangle, depending upon your tolerancing configuration), which is equal to the value of the tolerance. Out of tolerance is determined by whether or not the points lie outside of the first (innermost) circle, ellipse, or rectangle.

This type of chart is used in both the Chart tab and CAD tab.

You can select to show up to six specification limits, which are drawn as additional circles, ellipses, or rectangles outside the innermost one. The radius of each outer circle, ellipse or rectangle is incremented by one tolerance value. The deviations of the measured values are then plotted and labeled with letters, and the centroid of the measured points is calculated and shown as the intersection point of two dashed lines. This layout allows you to compare the plotted points to the nominal and tolerances.

Sample Chart

Data Requirements:

In order to successfully create a Target Plot, the required data for the type of tolerancing you have selected must exist in the database:

  • For True Position Tolerancing, three variables must exist in the database: two dimensional variables with associated data, and one true position variable named with a .T extension. The .T variable does not require associated data; it just has to exist as a variable record that defines an upper tolerance.

  • Elliptical and Rectangular Tolerancing require that two dimensional variables with data exist in the database. Instead of using the true position variable with the .T extension, these two types of tolerancing use the upper tolerances of the two dimensional variables to create the plot.

See also:

Important: True Position Tolerancing is the default tolerance for the first Target Plot you create. See "Chart Display - Target Plot" for information on changing the tolerancing. If you are creating your first Target Plot and the T. variable required for True Position Tolerancing does not exist in the database, you can just create a plot anyway (it will display “No Valid Data”), and set your configuration later, or you can use the Data Editor tab to create or rename the .T variable, and then create the plot. See "Data Editor Tab".


Target Group Chart

This chart type requires the selection of Features. If the Feature Variable list is displayed in the side bar, this chart icon will be grayed out. Access the Feature list in the side bar, and apply some features to the tabbed window to display this chart type.

The Target Group Chart plots the positions of several features. The center of the plot represents the nominal position of each point. The upper tolerance for each feature is used to draw the radius of the inner circle (or ellipse or rectangle, depending upon your tolerancing configuration), so that the radius is equal to the tolerance. Out of tolerance is determined by whether or not the points lie outside of the first (innermost) circle, ellipse, or rectangle. Note that the tolerances may be different for the features; however, the ratio of the X to the Y tolerances must be identical or the system cannot create the plot.

The Target Plot’s layout allows you to compare the plotted points to the nominals and tolerances. You can select to show up to six specification limits, which are drawn as additional circles, ellipses, or rectangles outside the innermost one. The radius of each outer circle, ellipse or rectangle is incremented by one tolerance value. The deviations of the measured values are then plotted and labeled with letters, and the centroid of the measured points is calculated and shown as the intersection point of two dashed lines. Datapage+ reports the centroid and tolerance values differently depending upon whether the tolerances for all features are the same or not. If the tolerances are not identical, the average tolerance and a weighted centroid value are reported. See Calculations of Centroid Values for Group Target Plots.

Sample Chart

See also:

  • Chart Display - Target Plot

  • Target Individual Chart

  • True Position Tolerancing

  • Elliptical Tolerancing

  • Rectangular Tolerancing

  • Troubleshooting Problems

Important: True Position Tolerancing is the default tolerance for the first Target Plot you create. See "Chart Display - Target Plot" for information on changing the tolerancing. If you are creating your first Target Plot and the T. variable required for True Position Tolerancing does not exist in the database, you can just create a plot anyway (it will display “No Valid Data”), and set your configuration later, or you can use the Data Editor tab to create or rename the .T variable, and then create the plot. See "Data Editor Tab".


Pareto Variable Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Variable Pareto Chart reports out of tolerance measurements in a worst-to-best order histogram for the variables you selected. Above the histogram, a graph of the cumulative percentage of defects will display.

By default, the Variable Pareto Chart is sorted by variable. For each variable, a bar will display that represents the variable’s percentage of out of tolerance measurements in relation to the total percent of out of tolerance measurements for all of the selected variables. Across the bottom of the chart, each bar is labeled with the variable name and the number of out of tolerance measurements/total number of measurements for that variable.

Sample Chart

Configuring the Pareto Chart

After you have created one, you can configure the Pareto Chart so that it is sorted by trace field rather than variable. See "Chart Display - Pareto Chart" for complete instructions.


Pareto 6 Sigma Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

Similar to the Pareto Variable Chart, the Pareto 6 Sigma Chart is sorted by 6 Sigma.

This type of chart is used in both the Chart tab and CAD tab.

Sample Chart


Multi Chart

This chart type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the tabbed window to display this chart type.

The Multi Chart allows you to select any four of the following charts/reports for printing on a single page:

  • AT&T Test

  • Bar Whisker

  • Histogram

  • Individual

  • Subgroup

  • Capability

  • Cumulative Probability

If you applied more than one variable from the side bar to this report, one Multi Chart will be created for each variable. When you print the Multi Chart the selected parts for each variable will be printed side by side, allowing you to compare the resulting charts/statistics for the variables.

Sample Chart

Choosing the Charts Displayed

To choose what charts are displayed, select the Chart Options icon, and then from the Chart Display menu, select Multi Chart. See "Chart Display - Multi Chart".

Rearranging the Charts Displayed

To rearrange the charts displayed, click on a chart and drag it on top of another chart. Those two charts will switch places.

See also:

    • Chart Display - Multi Chart


Multi Run Chart

The Multi Run Chart allows you to compare the deviations for up to five variables. Each chart plots the deviation from the nominal of one transaction for each of the selected variables.

Sample Chart


Qualified Rate Chart

The Qualified Rate Chart shows a column for each selected transaction, and on each column it shows the number or percentage of variables in different sections:

  • Red indicates how much is out of tolerance

  • Yellow indicates how much is between 75% and 100% of spec limits.

  • Green indicates how much is within 75% of spec limits.

Sample Chart

Numbers or Percentages

By default, each number on the column indicates the number of feature variables. Hovering your mouse over a number will display it's percentage. However, you can switch the display so that it displays percentage on the column, and when hovering over the percentage, it displays the number of variables. See "Chart Display - Qualified Rate Chart".

Secondary Display Mode - Individual Chart

This chart also has a secondary display mode. You can hold down CTRL and double-click on any column to add an expanded chart at the end of the chart report detailing the out-of-tolerance variables for that column.

This chart groups the variables according to their seriousness of out-of-tolerance condition. By default, the software groups out-of-tolerance variables into the following six categories; these are distances away from the spec limits:

  1. <=0.2

  2. >0.2 and <=0.5

  3. >0.5 and <=1.0

  4. >1.0 and <=1.5

  5. >1.5 and <=2.0

  6. >2.0

For example, in the sample Qualified Rate Individual Chart below, it shows the 5 out of tolerance variables split into two categories. Category A includes those variables that are greater than 0.2 distance but less or equal to than 0.5 distance away from the spec limits. Category B includes those feature variables that exceed 2.0 distance away from the spec limits.

Sample Qualified Rate Individual Chart

You can define your own tolerance ranges in the Qualified Rate Chart Display dialog box.

Tertiary Display Mode - CAD Page

Similar to the secondary display mode, you can hold CTRL and double-click on any out-of-tolerance groupings in the individual chart to add another page to the end of your chart report pages showing out-of-tolerance details labeled around a CAD image. These labels are similar to those discussed in the "Multi Deviation Column Label" topic, except that the header row on these labels show the exact deviation value, not an average deviation.

For example, clicking on the B grouping of three variables in the Qualified Rate Individual chart example shown above, results in the following CAD page added to the end of the chart report pages:

Sample CAD page with labels showing each variable's out-of-tolerance value.

You can manipulate this CAD page and its labels, just as you would any CAD page in the CAD tab.

Note: If you added any secondary or tertiary qualified report pages the Chart tab, but now you want to change the content of the Chart tab to a different type, first make sure your currently displayed page is not on the added Qualified Rate Individual chart or the added CAD page. The Change charts type toolbar icon is grayed out when viewing these additional pages.


SPC Calculations

The SPC Calculations menu item that used to be under the Chart Options icon in Datapage+ 4.0 is now the Calculations menu and is located under the Tools menu item on the main menu bar. See the "Main Menu Bar" topic where the Tools menu is discussed.

More:

Control Tests

Capability Threshold

Subgroup Parameters

Control Charts


Control Tests

The Configure Tests dialog box determines what control tests are applied to data and the number of points required for passing/failing certain tests.

To access this dialog box, choose Tools | Calculations. Then click Control Tests from the Calculation Specification dialog box.

Configure Tests dialog box

Sometimes referred to as Western Electric Tests or AT&T Tests, these ten tests (numbered T1 to T10 in the graphic below) test for unnatural patterns that indicate the process may be out of control. AT&T tests are performed on individual observations and ranges and subgroup means and ranges.

The following tests are available. You can choose the number of points required for passing/failing T1 through T9:

T1 When this test is applied, the process is considered out of control if one point falls outside the 3 sigma limit. The default number 1 can be changed to any number from 1 to 99. | T6 When this test is applied, the process is considered out of control if eight successive points fall beyond either one sigma limit (mixture). The default number 8 can be changed to any number from 1 to 99.
T2 When this test is applied, the process is considered out of control if two of three successive points fall beyond the same two sigma limit. The default numbers 2 and 3 can be changed to any numbers from 1 to 99. | T7 When this test is applied, the process is considered out of control if eight successive increasing or decreasing points exist, indicating significant distribution shifts. The default number 8 can be changed to any number from 1 to 99.
T3 When this test is applied, the process is considered out of control if four of five successive points fall beyond the same one sigma limit. The default numbers 4 and 5 can be changed to any numbers from 1 to 99. | T8 When this test is applied, the process is considered out of control if 40 percent or less of the number of subgroups fall in the middle third of the control chart. The default number 40 can be changed to any number from 1 to 99.
T4 When this test is applied, the process is considered out of control if eight successive points fall on one side of the center. The default number 8 can be changed to any number from 1 to 99. | T9 When this test is applied, the process is considered out of control if more than 90 percent of the number of subgroups fall in the middle third of the control chart. The default number 90 can be changed to any number from 1 to 99.
T5 When this test is applied, the process is considered out of control if 15 successive points fall within one sigma limit (stratification). The default number 15 can be changed to any number from 1 to 99. | T10 When this test is applied, the process is considered out of control if the number of center line crossings does not fall between the calculated allowable minimum and maximum. This test is not configurable.

To Configure and Apply AT&T Tests:

  1. Access the Configure Tests dialog box.

  2. Modify the values in the different boxes as needed.

  3. Select and clear the Individual and Range check boxes to apply the test to individual observations and to subgroup means and ranges as desired.

  4. Click OK to save your changes.

To View AT&T Test Results:

You can view the results of applied AT&T tests can be viewed for reports or applicable charts by doing the following:

  1. Click on the Chart tab.

  2. Select the Change charts type icon from the toolbar.

  3. Select the AT&T Test Chart.

See "AT&T Test Chart".

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Capability Threshold

The Capability dialog box lets you set values that determine the process capability threshold for data used in Datapage+ reports and charts. You also can specify whether or not the software will calculate capability indexes when the process is out of control, and whether or not Cp and Pp will be calculated for variables with unilateral tolerances.

To access this dialog box, choose Tools | Calculations. Then click Capability Threshold from the Calculation Specification dialog box.

Capability dialog box

Cpk Threshold - Use this field to enter the value for Cpk, the actual capability index. This value is a measure of how many sigma half curves will fit between the process center and the closest sigma limit. Enter a numeric value (a typical target is 1.33, indicating the process center is four sigma away from specification limits) or simply select the desired number of sigma limits by clicking on the applicable button, and the system will insert the numerical value for you.

Ppk Threshold - Use this field to enter the value for Ppk, the potential capability index (uncentered). Enter a numeric value or select the number of sigma limits by clicking on the applicable button, and the system will insert the numerical value for you.

The threshold values are limits that determine whether or not the process should be judged "capable".

Calculate Capability when out of control - This check box determines whether or not the software will calculate and display capability indexes (Cp, Cpk, Cr, Pp, Ppk, and pr) when any of the selected control tests fail. Generally, the computation of capability indexes depends on the process being in control. However, you can select this option to always have the capability indexes calculated, even when the process is out of control.

Calculate Cp/Pp for unilateral tolerance -This check box controls the way Datapage+ handles the calculation of Cp and Pp for unilateral (one-sided) tolerance variables. Unilateral variables have a zero value for either the upper or lower tolerance. Select this option if you want Cp to be calculated in situations where no lower (or upper) tolerance exists. Do not select this option if you do not want Cp to be calculated. "NONE" will print on the report or chart instead of the Cp or Pp value.

For a unilateral tolerance like True Position or form, Datapage+ computes Cpk, only considering the real tolerance (so it computes Cpu and uses that, it doesn’t compute Cpl). Because of this you may see odd conditions where Cpk is larger than Cp which is not possible in normal circumstances. Datapage+ considers the variable to be unilateral when the nominal and lower tolerances are zero and the upper tolerance is a positive number. This is the case for the values where zero is a mathematical limit and not really a tolerance.

Capability Calculation Rules - These options let you choose the rules used for calculating capability. Using these options you can choose what Datapage+ calls Pp and Ppk as Cp and Cpk.

  • Use estimated std.dev. - Cp and Cpk will use estimates of the standard deviation from the selected control chart (RBar/d2 for example).

  • Use sample std.dev. - Pp and Ppk will use the sample standard deviation in the calculations.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Subgroup Parameters

The Control dialog box lets you set the minimum and maximum number of subgroups as well as the subgroup size.

To access this dialog box, choose Tools | Calculations. Then click the Subgroup Parameters button from the Calculation Specification dialog box.

Control dialog box

Min Subgroups - Use this field to select the minimum number of subgroups required to perform statistical analyses and produce a Datapage+ Statistics Report, Bar & Whisker Chart, or Process Chart. If you try to create one of these charts or the Statistics Report for a number of transactions less than the subgroup size multiplied by the minimum number of subgroups, Datapage+ will display an error that says, "There are not enough points to create at least 3 subgroups of size 3."

Max Subgroups - Use this field to select the maximum number of subgroups that may be used to perform statistical analysis and produce a Datapage+ Statistics Report, Bar & Whisker Chart, or Process Chart. If, when creating the report or chart, you select a number of subgroups that exceeds the maximum number you enter here, the report or chart will include only the most recent subgroups. For example, if you enter 10 here and you select 14 subgroups for processing, the report or chart will include the ten subgroups with the most recent transaction dates and times and will exclude the other four.

Subgroup Size - This field sets the subgroup size (that is, the number of individual observations per subgroup). For example, if you typically sample five parts from a process at a single time, enter 5 as the subgroup size.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Control Charts

The Configure Charts dialog box lets you configure the type of chart configuration displayed for the Individual and Subgroup charts.

To access this dialog box, choose Tools | Calculations. Then click the Control Charts button from the Calculations dialog box.

Configure Charts dialog box

Individual - This area contains the different Individual Chart configurations to display:

  • XMR

  • X MR(2)

  • XMR(3)

  • R X

Subgroup - This area contains the different Subgroup Chart configurations to displays:

  • XBarR

  • XBarS

  • X ~R

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Chart Display

Select the Chart Options icon and then the Chart Display menu to access the following menu items:

Using these menu items you can change what is displayed on that specific chart type in the Chart and CAD tabs. These menu items and the dialog boxes they access are discussed below:

  • General Config... (Changing Background Colors and Line Widths)

  • Distribution Parameters...

  • Run Chart...

  • Control Chart...

  • Histogram...

  • Target Plot...

  • Pareto Chart...

  • Bar and Whisker Chart...

  • Multi Chart...

  • Qualified Rate Chart


Changing Background Colors and Line Widths

The General Display Config dialog box lets you change background colors for a portion of the charts and line widths of various chart elements. To access this dialog box, select Options | Chart Display | General Config. This dialog box has these two tabs: Background and Line. These are discussed in the following sub topics:

Changing Background Colors

Background tab

The Background tab contains tools allowing you to select a specific background color for your charts. Note however that the background color is not applied to the area containing the plotted points but is applied to the rest of the chart.

You can either select from the suggested grid of colors or you can define your own color by "flipping" the grid, just as you do with defining dimension colors. See the "Understanding Feature Colors" topic for information on working with colors.

When you click OK Datapage+ sets that color as the new background color. This color gets applied the next time you send data to the Charts tab.

Sample Run Chart with an Orange Background

To set the background color back to its default, click Default and then OK.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.

Changing Line Widths

Line tab

The Line tab lets you change the width for different line elements used in various charts. When you click OK Datapage+ will use any changed line settings the next time you send data to the Charts tab.

Sample Run Chart with an a Nominal line width of 8 and a Spec line width of 4

To set the line widths back to their defaults, click Default and then OK.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Chart Display - Distribution Parameters

Chart Display - Distribution Statistics

Use the Distribution Statistics Display Options dialog box to show or hide portions of the Stats and Capability Chart.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Distribution Statistics.

Control Chart Distribution Statistics dialog box

Distribution Statistics:

  • Subgroup Mean/Range - Shows or hides the fields for subgroup mean and ranges.

  • Individual Mean/Range - Shows or hides the fields for individual mean and range ("X-BAR" and "MR-BAR" fields) in the chart.

  • High and Low Values - Shows or hides the "High" and "Low" fields in the chart.

  • Specification Limits - Shows or hides the upper specification limit (USL) and the lower specification limit (LSL) fields in the chart.

  • Skewness & Kurtosis - Shows or hides the "Skewness" and "Kurtosis" fields in the chart.

See also: Distribution Statistics and Description of Column Names (for statistics descriptions)

Capability Table:

  • Show PC% instead of CR - If marked, this shows "PC%" in the Capability Table portion of the chart. If cleared, it shows "CR" instead.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Chart Display - Run Chart

Use the Run Chart Display Options dialog box to select the limits and labeling convention that appears on the Run Chart.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Run Chart.

Run Chart Display Options dialog box

Show specification limits - Mark this check box if you want specification limits to appear on the chart. Two solid red lines will mark the locations of the upper specification limit (USL) and lower specification limit (LSL). The USL and the LSL will display in the column to the left.

Show control limits - Mark this box if you want control limits to appear on the chart. Two dashed yellow lines will mark the locations of the upper control limit and the lower control limit.

Clear both check boxes if you do not want to display control limits and specification limits. The chart will display only the nominal as a green line.

Label data with - Select the labeling convention you want to use for chart data. By default, data is labeled by transaction date and time (TRANSACTION), but you also can label data by available trace fields. The applicable trace values will appear below the graphical section of the chart.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Chart Display - Control Chart

Use the Control Chart Display Options dialog box to show or hide 6sigma lines or to show or hide tolerances in the Individual Chart and the Subgroup Chart.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Control Chart.

Control Chart Display Options dialog box

Show 6 sigma lines - Shows or hides the 6 sigma lines on the chart. These are light orange-colored dotted lines.

Show tolerance - Shows or hides the upper and lower specification limits (USL and LSL) on the chart. These are two solid red lines.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Chart Display - Histogram

Chart Display - Histogram Chart

The Histogram Chart Display Options dialog box lets you select the reference lines that will appear on the Histogram Chart.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Histogram.

Histogram Chart Display Options dialog box

Reference lines - The histogram can include any of the following reference lines:

  • Spec limit (upper and lower specification limits)

  • Control limit (upper and lower control limits)

  • Nominal

  • Mean

  • Sigma

  • 2, 3, 4, 5, or 6 sigma limits

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Chart Display - Target Plot

Target Plot

The Target Chart Option dialog box lets you select configurations for both the Individual Target and Group Target charts.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Target Plot.

Target Chart Option dialog box

Using this dialog box you can do the following:

  • Select one of three available tolerancing options

  • Select the reference plane for the plot

  • Set a subgroup size to plot the average positions of a subgroup rather than individual points

  • Set the number of specification limits that will appear on the plot (1-6)

  • Enter axis and data labels

  • For true position tolerancing, select the means of expression for the true position tolerance value: either RADIUS or DIAMETER.

The following table provides information about the different items on the dialog box.

Dialog Box Item

Description

Reference plane

Use this field to specify the two positional axes that will used to define the reference plane of the plot. Valid values are X, Y and Z. For negative axes, use a minus sign before the axis letter.

Subgroup Size

For Individual Target Plots, set this value to zero or one to plot the positions of individual points, or, if you wish to plot the average position of a subgroup, enter the subgroup size. If you are configuring a Group Target Plot, this field is ignored; subgroups are not used for Group Target Plots.

Target Diameter

This field sets the number of specification limits that will appear on the target plot. You can select to show up to six specification limits, which are drawn as additional circles (or ellipses or rectangles, depending upon the tolerancing configuration) around the target center. The radius of each outer circle, ellipse or rectangle is incremented by one tolerance value. The deviations of the measured values are then plotted and labeled with letters, and the centroid of the measured points also is calculated and shown as the intersection point of two dashed lines.

Set this field to AUTO to show all points and the optimum number of tolerance zones as determined by the data.

Target Units

This field applies only to true position tolerancing. It specifies the method used to express true position tolerance. You can select to express the tolerance in terms of either diameter or radius. The plot’s summary section above the graphical chart will display the value as either RADIUS = or DIAMETER = , depending upon your choice here.

Note: Regardless of your choice here, the true position tolerance is stored in the database and input in the default tolerance as a DIAMETER.

Axes Labels:

Enter the labels that will mark the major and minor axes on the plot, or leave this field blank if you do not want axis labels to appear on the plot.

Tolerance Type:

Datapage+ offers three tolerancing options for Target Plots: True Position, Elliptical, and Rectangular. Use this field to select the tolerancing type for the current plot and/or to set the default tolerance values that will be used for each tolerancing type when the .T variable or upper tolerances do not exist in the database. See the tolerancing types topics here for complete explanations of the data requirements and resulting displays of each:

  • True Position Tolerancing

  • Elliptical Tolerancing

  • Rectangular Tolerancing

Important: True Position Tolerancing is the default tolerance for the first Target Plot you create. You can change the tolerancing option through this dialog box after you have created a Target Plot. If you are creating your first Target Plot and the T. variable required for True Position Tolerancing does not exist in the database, you can just create the plot anyway (it will display “No Valid Data”), and set your configuration later, or you can rename the .T variable, and then create the plot.

Data Label

Use this field to enter the name of a trace field that will be used to identify transactions, rather than the date and time stamps usually employed as transaction labels. Select TRANSACTION in this field to use dates and times to identify transactions.

Default, Save, Close, Apply

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

See also:

  • Target Individual Chart

  • Target Group Chart


True Position Tolerancing

True Position Tolerancing is one of three possible tolerancing types for Target Plots. It also is the default tolerancing type for the first Target Plot you create. This type of tolerancing requires that certain data exist in the database. See "Chart Display - Target Plot" for information on changing the tolerancing used.

Data Requirements for True Position Tolerancing

For true position tolerancing, three variables must be reported for the feature: two dimensional variables that correspond to the reference plane for the plot, and one .T variable, which is the true position tolerance variable. The true position tolerance variable must have a .T extension. It is not necessary, however, to have data values for the .T variable; only a variable record that defines an upper tolerance is necessary. If the T. variable does not exist in the database, the default tolerance defined through the Chart Display Options/Target Chart from the Options menu will be used (if no default tolerance or .T variable exists, the plot will be created, but will display “No Valid Data” - refer to the note below). The nominal must be defined as 0.0 and the true position tolerance must be the upper tolerance. The lower tolerance should be zero.

For example, if the feature is CIRCLE1. and the reference plane is XY, the two dimensional variables would be CIRCLE1.X and CIRCLE1.Y, and the true position variable would be CIRCLE1.T. Variables CIRCLE1.X and CIRCLE1.Y must have data associated with them; CIRCLE1.T requires only an upper tolerance definition.

Note: If you are creating your first Target Plot and the .T variable does not exist in the database, you can just create a plot anyway (it will display “No Valid Data”), and set your configure options later, or you can use the Data Editor tab to create or rename the .T variable, and then create the plot.

See also:

  • Chart Display - Target Plot

  • Target Individual Chart

  • Target Group Chart

  • Elliptical Tolerancing

  • Rectangular Tolerancing

  • T Variable


Elliptical Tolerancing

Elliptical Tolerancing is one of three possible tolerancing types for Target Plots. See "Chart Display - Target Plot" for information on changing the tolerancing used.

Data Requirements for Elliptical Tolerancing

Elliptical tolerancing requires that two dimensional variables exist in the database. Elliptical tolerancing uses the upper tolerances of the two dimensional variables to create the plot’s first ellipsis. The variables must correspond to the reference plane. For example, if the feature is CIRCLE1. and the reference plane is XY, the two dimensional variables would be CIRCLE1.X and CIRCLE1.Y. The greater the difference between the variables’ upper tolerances, the more elliptical the plot will appear. If the upper tolerances are equal, the plot will display circles.

See also:

  • Chart Display - Target Plot

  • Target Individual Chart

  • Target Group Chart

  • True Position Tolerancing

  • Rectangular Tolerancing


Rectangular Tolerancing

Rectangular Tolerancing is one of three possible tolerancing types for Target Plots. Target Plot tolerancing options are set through the Chart option that displays after a Target Plot has been created.

See "Chart Display - Target Plot" for information on changing the tolerancing used.

Data Requirements for Rectangular Tolerancing

Rectangular tolerancing requires that two dimensional variables exist in the database. Rectangular tolerancing uses the upper tolerances of the two dimensional variables to create the plot’s first rectangle. The variables must correspond to the reference plane. For example, if the feature is CIRCLE1. and the reference plane is XY, the two dimensional variables would be CIRCLE1.X and CIRCLE1.Y. The greater the difference between the upper tolerances, the more rectangular the plot will appear. If the upper tolerances are equal, the plot will display squares.

See also:

  • Chart Display - Target Plot

  • Target Individual Chart

  • Target Group Chart

  • True Position Tolerancing

  • Elliptical Tolerancing


.T Variable

The .T variable is the true position variable required for Target Plots using True Position Tolerancing. The .T variable must exist as a variable record that defines an upper tolerance; however, it does not require any other associated data. To create a T. variable, see the "Adding Variables" sub topic for the "Data Editor Tab" section.


Chart Display - Pareto Chart

The Pareto Chart Display Options dialog box, lets you define the sorting method for the Pareto Variable chart's data.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Pareto Chart.

Pareto Chart Display Options dialog box

By default, Pareto charts are sorted by VARIABLE, but you also can sort them by a selected trace field.

Sort by Trace Field - This list contains these items:

  • VARIABLE - This is the default method of sorting Pareto Charts. For each variable, a bar will display that represents the variable’s percentage of out of tolerance measurements in relation to the total percent of out of tolerance measurements for all of the selected variables. Across the bottom of the chart, each bar is labeled with the variable name and the number of out of tolerance measurements/total number of measurements for that variable. See "Pareto Variable Chart" for an example of this.

  • (Trace Fields) - In addition to the default VARIABLE sorting method, the drop down list will contain all trace fields that apply to the selected data. Select the trace field you want to use for sorting the chart. For each trace value, a bar will display that represents the percentage of out of tolerance measurements associated with that trace value in relation to the total percent of out of tolerance measurements for all of the trace values. Across the bottom of the chart, each bar is labeled with the trace value and the number of out of tolerance measurements/total number of measurements for that trace value.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Chart Display - Bar and Whisker Chart

You can select configurations for the Bar Whisker Chart through the Chart Options icon, Chart Display, and then Bar and Whisker Chart. An Options dialog box appears.

Options dialog box for Bar and Whisker Chart

Chart Type - This provides the Capability and Bar Whisker options, allowing you to switch between the two charts.

  • Bar Whisker - A type of Bar & Whisker Chart that shows sever outlier, mild outlier, high and low non-outlier, 75% and 25% quartiles, and mean.

  • Capability - A type of Bar & Whisker Chart that shows mean, high and low values, and plus and minus 3 sigma limits.

Report Statistics - Select the statistical values that will appear on the chart. These are the same as the column names described in the "Description of Column Names" topic.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

See also:

  • Bar Whisker Chart

  • Description of Column Names


Chart Display - Multi Chart

You can select configurations for the Multi Chart through the Chart Options icon, Chart Display, and then Multi Chart. The Multi Chart Output Select dialog box appears.

This dialog box contains four drop-down lists that represent, from top to bottom, the four charts to display on the Multi Chart.

  • Chart1 - Top Chart

  • Chart2 - Middle Chart

  • Chart3 - Middle Chart

  • Chart4 - Bottom Chart

The following items are available from each drop-down list:

  • None

  • AT&T Test

  • Bar Whisker

  • Histogram

  • Individual

  • Subgroup

  • Capability

  • Cumulative Probability

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Chart Display - Qualified Rate Chart

Use the Qualified Rate Chart Options dialog box to modify display options for the Qualified Rate chart. After changing any of these options you will need to re-apply part data to the Chart tab.

To access this dialog box, click on the Chart Options icon on the Charts tab. Then under the Chart Display menu, select Qualified Rate Chart.

Qualified Rate Chart Display Options dialog box

Display % on column - Mark this check box if you want percentages to appear on the columns instead of the actual feature variable numbers. By default, this is cleared.

X Label - This list determines what information appears along the X axis of the chart. The default is to show the date and time by selecting the DATETIME option. You can change this to show the revision number (ProcessNum) or the serial number (SerNum).

Out of Tolerance - This box lets you define the out of tolerance categories in the form of a comma separated list of numbers. The values are distances from the spec limits. The default values are 0.2, 0.5, 1.0, 1.5, 2.0. These values correspond to the tolerance groups discussed in the Qualified Rate chart.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Text Tab

About the Text Tab

Defining Default Settings (Text Tab)

Text Reports

Exporting Customized Excel Reports

Text Tab Toolbar Icons

Text Report Options


About the Text Tab

Datapage+ supports several text-based reports in varying formats. Using this Text tab you can quickly and easily switch among the available textual reports. You can also use the Text Report Options icon [image] to configure some reports.

A sample Text tab displaying a Variable text report

These topics provide specific information on things you can do with this tab:

  • Defining Default Settings (Text Tab)

  • Text Reports

  • Exporting Customized Excel Reports

  • Text Tab Toolbar Icons

  • Text Report Options


Defining Default Settings (Text Tab)

Clicking the Text Report Options icon [image] from the toolbar and then selecting Default Setting... displays the Default Setting dialog box. This dialog box lets you determine the default report type Datapage+ will use when accessing the Text tab.

Default Setting dialog box

Show Grid Line - This displays column and row grid lines around text fields displayed in the text report, as shown in the following example:

Example Text Report Showing the Dotted Grid Lines

Font Size - This changes the font size of the data portion of text reports. Headers and footers are not affected by this setting.

Default Text Report Type - Determines what type of text report to use. These are described in the "Text Reports" topic.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Text Reports

The following topics provide samples and descriptions of the different text reports supported by Datapage+.

  • Variable Report

  • Data Report

  • Measurement Report

  • PPAP Report

  • Spreadsheet Report

  • Exception Reports

  • Trace Report

  • Statistics Report

  • Probability Report

  • GR&R Report

  • Blanket Report

  • RAG Report


Variable Report

The variable report is a table of variable names that includes the upper and lower specification limits and the alias for each variable.

Sample Report

Creating a Variable Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Variable Report.


Data Report

The data report is suitable for import data into a spreadsheet package such as Excel, Lotus, D-Base, etc. Data reports can be run for multiple transactions and variables; each includes a header, the transaction dates and times, and the part and variable(s) names.

Sample Report

Creating a Data Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Data Report.

Configuring a Data Report:

    1. Access the Text tab.

    2. Click the Text Report Options icon.

    3. Select Data Report. The Options dialog box appears.

Options dialog box

Pagination - Select New Page if you want a form feed to be issued before each new column header. Select Continuous if you want to print the information out continuously.

Output: - Select Data Value if you want the stored data values to be printed or select Deviations to display deviations.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Measurement Report

The measurement report displays data in the familiar format of your measurement software reports. It contains information pertinent to the selected transactions. This information includes:

    • Transaction time and date

    • Part name and description

    • Notes (if any)

    • Relevant trace fields

    • Axis of each feature

    • Each feature's actual and nominal values

    • Each feature's upper and lower tolerances

    • Each feature's amount of deviation

    • Each feature's amount out of tolerance

For features that are within tolerance, a green dashed line is displayed with an asterisk marking the approximate position of the actual value in relation to the tolerance limits. For features that are out of tolerance, a dashed red line with a red arrow indicating the direction of deviation is displayed.

Enlarged view of dashed lines

Sample Report

Creating a Measurement Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Measurement Report. A scrolling list of all the transactions appears.

    4. Select the transaction to use for the report. Datapage+ creates the report for the selected transaction.


PPAP Report

The Production Part Approval Process (PPAP) is a procedure developed by the Automotive Industry Action Group (AIAG) to standardize the review of production parts. The process is to ensure that all automotive industry suppliers understand and meet the engineering design record and specification requirements of their customers.

Sample Report

Creating a PPAP Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select PPAP Report.


Spreadsheet Report

Spreadsheet Reports show the measured values of one or more variables and/or transactions in a comma-delimited format. These can be exported as a .csv (comma separated value) file suitable for import into a spreadsheet package that can read .csv files.

Sample Report

Creating a Spreadsheet Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Spreadsheet Report.


Exception Reports

The Exception Reports submenu contains two menu items to display all of the out of tolerance and/or out of control measurements for the selected variable(s). You can choose an Out of Spec or Variable report.

The report displays different data depending on its configuration settings.

Sample Report

Creating Exception Reports:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Exception Reports.

    4. Choose either Out of Spec or Variable Report.

Configuring Exception Reports:

    1. Access the Text tab.

    2. Click the Text Report Options icon.

    3. Select Exception Report. The Options dialog box appears.

You can use this dialog box to configure the report to display out of tolerance variables, out of control variables, or variables that are out of tolerance and/or out of control by using the Print if out of: list.

Print if out of - This list contains these items:

    • OutTol - Displays those items that are out of tolerance.
      The following information is displayed in the report: Variable Name, Transaction Number, Out of Tolerance Check, Deviation from Nominal, and Trace Field.

    • OutCtl - Displays those items that are out of control.
      The following information is displayed in the report: Variable Name, Transaction Number, Out of Control Check, Deviation from Mean, and Trace Field.

    • Both - Displays both out of tolerance and out of control items.
      The following information is displayed in the report: Variable Name, Transaction Number, Out of Tolerance Check, Out of Control Check, Deviation from Nominal, Deviation from Mean, and Trace Field.

These exception reports can also contain a trace field. Use the Trace field list to select the trace field to display.

Trace field - This list contains all of the existing trace fields.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Trace Report

The Trace Report lists trace fields and trace values for one or more transactions. The report displays the transaction dates an times and the available trace fields used with that part.

Sample Report

Creating a Trace Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Trace Report.


Statistics Report

The Statistics Report is a table of statistical values for each feature variable applied from the side bar. The report's columns can be customized to include different statistical values.

Sample Report

Creating a Statistics Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Statistics Report.

Configuring a Statistics Report:

    1. Access the Text tab.

    2. Click the Text Report Options icon.

    3. Select Statistics Report. The Options dialog box appears.

Options dialog box for Statistics Report

Selected statistics - The left list contains the statistics that will appear in your report. The right list contains available statistics. Use the double-left arrow [image] and double-right arrow [image] buttons to move items between the lists. To select multiple items, press the SHIFT or CTRL keys while clicking on list items. Use SHIFT for a contiguous selection and CTRL for a non-contiguous selection.

Capability Threshold - This button opens the Capability dialog box, letting you define the capability threshold. See "Capability Threshold" for information.

Pagination - This defines the pagination to use:

  • New Page - This inserts a form feed before each new column header.

  • Continuous - This prints the information out continuously without any form feeds.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Probability Report

The Probability Report is a matrix of measurement values that have been fit into six different distribution models: normal, log normal, half normal, Weibull, Rayleigh, or exponential. If you are unsure of the distribution type of your data, use this report to test the data against each of the six distribution curves. The report computes a score of 0 - 100% indicating how well the data fits into each distribution model.

Sample Report

Creating a Probability Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Probability Report.


GR&R Report

Gage Repeatability & Reproducibility Reports provide analyses of measurement variations by breaking down variation into repeatability and reproducibility, according to one of three possible test types: GR&R, Capability, and ANOVA. Using the GR&R Selection dialog box you can tailor the GR&R Report to switch between these types as well as include information such as the raw data used for the analyses, “judgment” sections, and calculations. Configuration options will differ depending upon the chosen test type.

Sample Report

Creating a GR&R Report

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select GR&R Report.

    4. The GR&R Selection dialog box appears.

    5. Fill out the dialog box and click OK.

GR&R Selection Options

GR&R Selection dialog box

Test type - Use this list to select the type of test to be applied to the report data. You can choose one of the following:

  • GR&R - This uses the average and range method for reporting repeatability and reproducibility.

  • CAPABILITY - This reports capability statistics.

  • ANOVA - This produces an Analysis of Variation Table.

Master value - This value applies only to reports based on the Capability test type. If you have chosen CAPABILITY as the Test type for the report, use this box to enter a master measurement value to be used for the report’s calculations. This value should be a known, accurate measurement value for the part.

Sigma of process - This value applies only to reports based on the Capability test type. Use this field to enter the sigma value that will be the basis for the Capability Report’s calculations.

Operator field - Use this list to select the name of an existing trace field. The associated trace values will be extracted for the report.

Part field - Use this list to select the name of an existing trace field. The associated trace values will be extracted for the report.

Trial field - Use this list to select the name of an existing trace field. The associated trace values will be extracted for the report.

Configuring the GR&R Report

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

GRR Report Option

Calcs Based On - This list applies only to reports using the

GR&R test type. Use this field to select the CalcBase value used to calculate the constants K1, K2, and K3. You can select the American standard, which uses 5.15 (99% of the area under the normal distribution curve), or the European standard, which uses 6.0 (99.99% of distribution). If you select the American method, the report’s Variation Table will display values for PV and % of Total Variation. The European method will not display these values. For Capability test type reports, the values for % Variation (Cg) field will display differing values depending upon whether you have used the American or European method.

Show Judgment - Mark this check box to include a judgment in reports that use the GR&R or ANOVA test types.

In reports that use the GR&R test type, a “Judgment” column appears in the Variation Table. The judgment rates the reported variations as either GOOD, FAIR, or POOR according to the following criteria:

  • GOOD - `%(R\R) / (TV) < 10`

  • FAIR - `10 < %(R\R) / (TV) < 30`

  • POOR - `% (R\R) / (TV) > 30`

`%(R\R)/(TV)` is the percent of the total variation that is caused by variation in repeatability and reproducibility.

In reports that use the ANOVA test type, a judgment line appears below the Analysis of Variation Table. The judgment provides values for a and F and rates the interaction between operators and parts as either significant or not significant.

Calculations - This check box applies only to reports using the GR&R test type. Mark this box if you want to include a list of calculations for repeatability, reproducibility, repeatability & reproducibility, part variation, total variation, and tolerance.

See also:

  • ANOVA Test Type

  • Capability Test Type

  • GR&R Test Type


Capability Test Type

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

This test type produces a report of gage variability based on the master value and sigma value that you enter in the GR&R Selection dialog box. The report includes the master value , the gage mean and gage sigma values, and a Capability Table that shows values for the following:

Cg: The potential gage index (Cg), used to determine whether or not the gage is accurately measuring the parts. Cg is measure of how many sigma curves can fit between given specification limits. You set the value for sigma through the GR&R Selection dialog box.

Cg will be calculated by dividing the gage sigma by the process sigma:

`Cg = (0.15\ x\ sigma_(process))/S_(gag\e)`

If you did not enter a value for the process sigma, Cg will be calculated by dividing six times the gage sigma value by 0.15 times the total tolerance for the selected variables:

`Cg = (0.15\ x\ Tol )/(6 \ x\ S_(gag\e))`

where `Tol` = Total Tolerance

Cgu: Upper specification gage index, used in determining Cgk. Cgu is calculated as:

`(X_(master) + 0.45sigma_(process) - barX_(gag\e))/(3S_(gag\e))`

Cgl: Lower specification gage index. Cgl is calculated as:

`(barX_(gag\e) - (X_(master) + 0.45sigma_(process)))/(3S_(gag\e))`

Cgk: Actual gage index. Cgk is a measure of how many sigma half curves will fit between the center and the closest specification limit. You set the value for sigma through the GR&R Selection dialog box.

% Variation (Cg): This field will show different values depending upon whether you have set your CONFIGURE options to use the American or European value for sigma. This is the total percent of gage variation, based on Cg, calculated as follows:

`15/(Cg)`

The maximum acceptable value is 15%.

% Variation (Cgk): The total percent of gage variation, based on Cgk, calculated as follows:

`15/(Cgk)`

The maximum acceptable value is 15%.


ANOVA Test Type

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The Analysis of Variance (ANOVA) test type for the GR&R Report produces an Analysis of Variation Table that breaks down variation into four categories: parts, operators, interaction between parts and operators, and errors caused by the gage.

This test type produces a report with the following content:

Analysis of Variation Table

The Analysis of Variation Table for this test type lists each of the following values for the Operator, Parts, Opr X Parts (interaction of operators and parts), and Gage (Error):

SOURCE: This column lists the causes of the variations. Variance estimates for each cause are calculated as follows:

Gage: Mse

Interaction (Oper x Parts):

`(MS_(po) - MS_e)/r`

Operator:

`(MS_(o) - MS_(po))/(nr)`

Part:

DF: This column lists the degrees of freedom associated with the source.

SS: This is the sum of squares column, which lists the deviation around the mean of the source.

MS: This is the mean square column, which lists the sum of squares divided by the degree of freedom.

F: Values in this column are calculated only for the interaction. The F ratio is calculated as the mean square of interaction divided by the mean square gage (error).

Totals: Totals for each of the values above are listed.

Judgment

Judgement: This column displays below the Analysis of Variation Table only if you have set the report’s configure options to Show Judgment. Values for a and F will display, along with a rating of the process’s interaction variation: either IS Significant or IS NOT Significant. Significant interaction is determined by computing the F statistics for part and operator interaction and comparing the F statistic to an upper percentage point of an F distribution with numerator and denominator degrees of freedom taken from the "Table of d*2 Values". If the interaction is significant, the non-additive model is used to calculate variance components and confidence limits. If the interaction is not significant, the additive model is used. Refer to Variance Component and Confidence Limit Calculations for the calculations used in the additive and nonadditive models.

Variation Table

All reports using the ANOVA test type also include a table listing the following values:

Variance: This column lists the variance in repeatability, operators, interaction between operators and parts, repeatability and reproducibility, and parts.

Std. Dev.: This column lists the standard deviation in repeatability, operators, interaction between operators and parts, repeatability and reproducibility, and parts.

.90 Lower: This column lists the lower confidence limits for repeatability, operators, interaction between operators and parts, repeatability and reproducibility, and parts.

.90 Upper: This column lists the upper confidence limits for repeatability, operators, interaction between operators and parts, repeatability and reproducibility, and parts.

Variation: This column lists the total variation for each variance component.

% of Total: This column lists the percent of total variation for each variation component, calculated by dividing the total process variation by the variation of each component and multiplying by 100.

% of Contrib: This column lists the percent of total variation assignable to each variation component, calculated by dividing the total process variation by the variation of each component, squaring the result and multiplying by 100.


GR&R Test Type

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

This test type produces a GR&R Report by the average and range method. The resulting GR&R Report breaks down variation into repeatability and reproducibility, or gage capability statistics. The analysis estimates the variation and percent of variation for the total measurement system, as well as repeatability, reproducibility and part-to-part variation.

This test type produces a report with the following sections:

SUMMARY

Each GR&R Report contains a SUMMARY section listing:

RBAR (operator trace value): The range means for each operator

RBARBAR: The mean of the range for all operators

UCLR: The upper control limit range

A judgment stating whether or not range subgroups are in control

XBAR (operator trace value): The individual means for each operator

DIFFXBAR: The difference between the individual means

Variation Table

The Variation Table for this test type lists Variation, % of Total Variation, and % of Tolerance for each of the following values:

EV: Repeatability or equipment variation, calculated by multiplying the average range by the constant K1. Refer to Table D3 in Quality Control and Industrial Statistics by Acheson J. Duncan, fifth edition, for the calculations used to determine the value of K1.

`RBARBAR\ x\ K1`

`K1= (CalcBase)/(d2*(m,g)`

where `CalcBase` = either 5.15 or 6.0 (depending on whether you have set your CONFIGURE options to use the American or European standard; American is the default.)

`m` = number of trials and `g` = parts x operators (number of parts multiplied by the number of operators)

AV: Reproducibility or appraiser variation, calculated by multiplying the maximum average operator difference by the constant K2. Refer to Table D3 in Quality Control and Industrial Statistics by Acheson J. Duncan, fifth edition, for the calculations used to determine the value of K2.

`sqrt(AV = (DIF\ XBAR\ x\ K2)^2 - (EV^2)/((np\ x\ nt))` where `np` stands for "number of points" and `nt` stands for "number of trials"

`K2= (CalcBase)/(d2*(m,g)`

where `m` = number of operators and `g` = 1

RR: The measurement system variation for repeatability and reproducibility, calculated by adding the sum of the square of the equipment variation and the square of the appraiser variation, and taking the square root.

`R&R = sqrt((EV)^2\ +\ (AV)^2)`

PV: The part-to-part variation, calculated by multiplying the range of part averages by the constant K3. Refer to Table D3 in Quality Control and Industrial Statistics by Acheson J. Duncan, fifth edition, for the calculations used to determine the value of K3.

`PV = PartRang\e\ x\ K3`

where `PartRang\e` is the range of the average part measurements.

`K3= (CalcBase)/(d2*(m,g)` where `m` = number of parts and `g` = 1

Judgment

Judgment: This column displays in the Variation Table only if you have set the report’s configure options to Show Judgment. A rating of the process’s variation will display as either GOOD, FAIR, or POOR.

  • GOOD - `%(R\R) / (TV) < 10`

  • FAIR - `10 < %(R\R) / (TV) < 30`

  • POOR - `% (R\R) / (TV) > 30`

`%(R\R)/(TV)` is the percent of the total variation that is caused by variation in repeatability and reproducibility.

Calculations

If you set the configure options for the report to Show Calculations, the values for EV, AV, RR, PV, TV and Tolerances will appear on the report.

TV: The total variation, calculated by summing the square of both the repeatability and reproducibility (R&R) variation and the part-to-part variation (PV) and taking the square root.

`TV = sqrt((R&R^2 + PV^2))

Tolerances: The upper and lower tolerances.

Refer to the information described earlier in this topic for explanations of EV, AV, RR, and PV.

Data Requirements

Reports using the GR&R test type have the following data requirements. Adequate trace values exist in the selected data for these trace fields.

`2 <=` operators `<= 5`

`5 <=` parts `<= 15`

`2 <=` parts `<= 5`

Note: If operators = 2, parts = 5, and trials = 1, the short form of the GR&R test will be used.


Blanket Report

The Blanket Report is a tabular report specifically used by SVW Shanghai comprised of rows and columns that contain color-coded information on the last ten transactions.

Sample Report

Description of Report

Each row stands for a feature variable.

In the description of the columns below, 1 means the first column from the left; 2 means the second column from the left; and so on. These descriptions also assume that you have at least 10 transactions in the report:

    1. Red - This column shows the number of variables that are out of tolerance. This indicates how many cells will be colored red for the row.

    2. Yellow - This column shows the number of feature variables between 75% & 100 % tolerance.

    3. NO - This column shows the part number. This is blank for you to type the part number.

    4. NO. In FMK - This column is left blank for you to type in this number.

    5. Dimension - This is the dimension name. It must be based on two reference features. For example, a Distance dimension is the distance between two feature.

    6. Reference - This is blank for you to type in the two references features for the Dimension field.

    7. Axis - This displays the variable name, X, Y or Z.

    8. Tol. (FMK) - This displays the tolerance.

    9. Page No. This is left blank for you to type the page number.

    10. Description - This is column is for you to type in the description.

11-20. These colored columns represents each transaction, It is limited to the last 10 transactions. Red indicates a value that is out of tolerance. Yellow indicates a value that is between 75% and 100% of the allowed tolerance. Green indicates a value that is between 0% and 75% of the allowed tolerance.

    21. Max - This shows the maximum allowed value for that row.

    22. Min - This shows the minimum allowed value for that row.

    23. Mean - This shows the average value.

    24. 6 Sigma - This displays 6 sigma.

    25. Average Trend - This shows the average value for all the transactions in the report.

Creating a Blanket Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select Blanket Report.


RAG Report

The RAG report is a variation on the Blanket Report.

Sample Report

Description of Report

This report is nearly identical to the Blanket Report, except that the transactions are shown as rows instead of columns. See the "Blanket Report" topic for information.

  • Each row contains a transaction.

  • UWL stands for Upper Warning Limit.

  • LWL stands for Lower Warning Limit.

Creating a RAG Report:

    1. Access the Text tab.

    2. Click the Text Report icon.

    3. Select RAG Report.


Exporting Customized Excel Reports

You can export any text data to an existing excel template or empty excel sheet by clicking the Output as EXCEL icon [image] and then choosing Customized Report. The Customized Excel Report dialog box appears.

Customized Excel Report dialog box

This dialog box lets you define the data to send to the excel sheet and what cells should accept that data.

Template - This defines the excel template to use. This can be a legitimate template file (.xlt) or it can just be another .xls file that is used as a template. The output excel sheet will be generated from this file.

Output - This defines the excel sheet's file name and location to which Datapage+ will send the data.

Drop down list - The drop down list contains all the available data fields to export. These fields are identical to the column headings described in the detailed mode of the Feature Monitor tab.

Row - The From and To boxes in this area allow you to define a range of rows to which to send the data.

Column - This specifies the column to which to send the data.

The Row and Column portions of the dialog box work together to ultimately define specific cells to which a data field will be sent.

- This arrow creates a string of text in the large edit box that the excel exporter can use to determine where to output the data and what data to send.

For example, suppose you have this string:

Row: 3 - 61; Column:A; FeatVarName

Datapage+ would start with the cell at row 3 at column A and would put in the first feature variable's name. Row 4 in column A would contain the second feature variable's name and so forth until either you have no more feature variables or until the current row reaches row 62.

Large edit box - The large edit box contains all the strings the exporter will use to send data to the output file. You can manually edit existing strings, cut or paste them, or even type your own.

Read only - This check box causes the final report to be marked with the read-only protection flag. This means the file cannot be deleted or edited until the read-only protection flag is cleared on the file. You can clear a read-only flag by right-clicking on the file inside Windows Explorer, selecting Properties and then clearing the Read-only check box.

Save - This saves your current export settings as a text file. You can load them later.

Load - This loads you saved export settings.

OK - This performs the export, sending data to the defined .xls output file; it then closes the dialog box.

Close - This closes the dialog box.


Text Tab Toolbar Icons

  • Text Report

  • Text Report Options

  • Output as XML

  • Output as EXCEL

  • Print Report

  • Save Report

  • Refresh

  • Template Selection

  • Set Current Template as Default

  • Book Mode

  • Tiles

  • Pan

  • Edit

  • 100%

  • Page X of Y

  • Page Up

  • Page Down


Text Report Icon

The Text Report icon displays a drop down menu of all the available text reports, allowing you to select a report and load it into the Text tab. Click on the report in the image below to jump to information on that report.


Text Report Options

Text Report Options Icon

The Text Report Options icon displays the following menu items that allow you to modify reports displayed in the Text tab:

  • Default Setting... - This determines the default text report to use for this tab. See "Defining Default Settings (Text Tab)".

  • Statistics Report... - This menu item configures the Statistics Report. See "Statistics Report" where this is discussed.

  • Data Report... - This menu item configures the Data Report. See "Data Report" where this is discussed.

  • GRR Report... - This menu item configures the GR&R Report. See "GR&R Report" where this is discussed.

  • Exception Report...- This menu item configures the Exception Report. See "Exception Report" where this is discussed.


Output as XML

Output as XML Icon

This icon exports the contents of the current report in the Text tab as an XML (Extensible Markup Language) file. You can then load the report into any third party editor that displays XML.

To export this report:

  1. Click the Output as XML icon to start the export.

  2. Datapage+ displays a Save As dialog box.

  3. Browse to the location where you want to save the report, type a name for the report, and then click Save.

  4. Datapage+ creates the .xls file at the specified location.

You can edit or view the contents of an XML file inside any standard text editor.

Sample Variable Report XML Output displayed inside of a text editor


Output as EXCEL

Output as Excel Icon

The Output as Excel icon contains a single menu item:

Customized Report. - This lets you export the contents of the report into a customized report format readable by Microsoft Excel. See the "Exporting Customized Excel Reports" topic for specific information.

Note: In Datapage+ version 2011 and later the specific excel reports (Data, Variable, PPAP, ISIR, XBarR, Spreadsheet) are now accessible from the To Excel toolbar icon [image] on the side bar. See the "Side Bar" topic for more information.


Text Tab Refresh Icon

Press the Refresh button to update the screen whenever any changes have been made to the Text tab screen.


CAD Tab

About the CAD Tab

Defining Default Settings (CAD Tab)

Manipulating Labels

Moving and Sizing the Color Map

Manipulating the CAD Image

Jumping to a Feature Variable in a Chart

Adding Custom Report Objects

CAD Tab Toolbar Icons

Chart Descriptions (CAD Tab)

Label Settings

CAD Settings

Trihedron Settings

Creating or Editing Label Templates


About the CAD Tab

The CAD tab displays feature variable information for selected transactions in labels that surround a part model. The labels contain data in the form of miniature charts (with some charts the same as those used in the Chart tab). You can change the charts displayed, move labels around, and pan, zoom, and rotate the part's CAD model.

A sample CAD tab displaying labels with Histogram Charts around the CAD model

These topics provide specific information on things you can do with this tab:

  • Defining Default Settings (CAD Tab)

  • Manipulating Labels

  • Moving and Sizing the Color Map

  • Manipulating the CAD Image

  • Jumping to a Feature Variable in a Chart

  • Adding Custom Report Objects

  • CAD Tab Toolbar Icons

  • Chart Descriptions

  • Label Settings

  • CAD Settings

  • Trihedron Settings

  • Creating or Editing Label Templates

Customizing CAD Pages

In both the CAD and Report tabbed windows, you can customize your CAD pages by right-clicking on one of them, and from the shortcut menu, choosing from the available options You can duplicate pages, add custom text box objects, add new cad model object, add trihedron objects, and add section cut objects. See the "CAD Pages Shortcut Menu" sub-topic under "Right-click Shortcut Menus" and the "Adding Custom Report Objects" topic for more information.


Defining Default Settings (CAD Tab)

Clicking the Options icon [image] from the toolbar and then selecting Default Setting... displays the Default Setting dialog box. This displays the Default Setting dialog box. This dialog box lets you determine the default charts Datapage+ will use when accessing the CAD tab.

Default Setting dialog box

Default type for variable - Determines what type of chart to use for variables.

Default type for feature - Determines what type of chart to use for features.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Manipulating Labels

The part's CAD image in the CAD tab is surrounded by labels that display information about the features or feature variables you have selected in the form of different charts. You can manipulate the labels as described below.

Note: Unlike the Chart tab, you cannot perform a right-click mouse zoom on specific data points in these labels. The charts used inside the labels are essentially static images; although you can enlarge the size by using the standard Zoom icon.

Changing the Chart Used

The labels format changes according to the current chart display used in the CAD tab. To change the chart used in the labels, click on the Change Charts Type icon and select a chart from the resulting drop-down list.

See "Chart Descriptions".

Moving Labels

You can move labels to a new location by clicking the Edit icon [image] from the toolbar and then clicking on the desired label. Small square "handles" appear around the label indicating that you can change its position.

Simply drag the label with the mouse to it's new position.

Hiding Labels

To hide labels from the CAD report, select one or more labels and then right-clicking on one of the selected label objects and choose the Show/Hide Labels menu item.

To hide all the labels at once, if none is already hidden, select the main CAD image, right-click on it and choose Show/Hide Labels.

Showing Labels

To show hidden labels, select the main CAD image in the CAD report, right-click on it and choose Show/Hide Labels.

Showing or Hiding Leader Lines

Leader lines point from the labels to a part on the CAD image. You can show or hide these leader lines by right-clicking on a label object and choosing the Show/Hide LeaderLines menu item.

Moving Leader Lines

Leader lines can connect to a label object at the object's corner or middle of a side. Move your mouse over the leader line where it connects to the label object, and click on the leader line. Small square handles appear around the connection location.

Drag the end of the leader line to another connection point (a label object's corner or side), and release the mouse button.

Change Label Template

A quick way to change the template assigned to a label object is to right-click on the label object and select the Change Labels option from the menu.

Navigate to the folder where the new label template is saved using the displayed dialog. Select the label template file and click on the OK button to apply the new template to the CAD labels.

Changing Label Settings

See "Label Settings".


Moving and Sizing the Color Map

The color map is a colored bar that appears on some reports. It shows the tolerance zones as color-coded rectangles.

Color Map (B) indicates the tolerance zones for certain report elements, such as this Column Chart label (A)

The color map merely acts as a key for the colors used in some charts, such as the histogram chart in a CAD chart's labels.

Much like with labels, you can also move and the color map. To move it, select the color map and once the square handles appear around the color map, drag it to a new location.

You can also size the color map by selecting it and then dragging on one of the handles.

For more information on setting up tolerance zones or changing their colors, see the "Selecting and Applying Features or Feature Variables" topic.


Manipulating the CAD Image

By default Datapage+ displays the part's CAD model in the center of the tabbed window with the part rotated to the Z+ view. Initially a CAD model is inactive in the CAD tab. You can easily pan, zoom, or rotate this cad model to better display desired portions of the CAD image once you activate the part image. There are two activation modes:

  • Activation Mode for Panning - To enter this mode, simply click once on the part image. Small square handles will appear around the part image, forming an activation box and indicating it is activated for panning.

  • Activation Mode for Zooming and Rotating - To enter this mode, simply double-click on the part image. Small square handles as well as a rectangular box will appear around the part image, forming an activation box and indicating it is activated for zooming and rotating.

To exit any of these activation modes, double-click outside of the part image on the white space.

Moving a CAD Image (Panning)

  1. Click once on the CAD image to activate it for panning.

  2. Drag the image to a new location in the tabbed window.

  3. Click on the white space once outside of the square handles to deactivate the image.

Another way to pan the image is to use the activation mode for rotating or zooming. Right-mouse click on the part image and drag it to a new location.

Zooming in and out on a CAD Image

  1. Double-click on the CAD image to activate it for zooming or rotating.

  2. Ensure the mouse is over the CAD image. Where your mouse is when you push or pull the mouse wheel is important. Datapage+ will center on that location for its zoom. If your mouse is not over the CAD image but is outside of the box around the image, it will cycle through pages instead.

    • To zoom out, push the mouse wheel away from you.

    • To zoom in, pull the mouse wheel towards you.

  3. Click on the white space once outside of the square handles to deactivate the image.

While activated, you can also hold down both the left and right mouse buttons and drag a box around the CAD model and then release the box to zoom in on that specific location.

2D Rotating the CAD Image

  1. Double-click on the CAD image to activate it for zooming or rotating.

  2. Hold down the SHIFT key and then with the mouse pointer over the activation box, right-click and slowly drag the mouse. If the mouse pointer moves outside of the CAD image, rotation stops.

  3. Click on the white space once outside of the square handles to deactivate the image.

3D Rotating the CAD Image

  1. Double-click on the CAD image to activate it for zooming or rotating.

  2. Hold down the CTRL key and then with the mouse pointer over the activation box, right-click and slowly drag the mouse. If the mouse pointer moves outside of the CAD image, rotation stops.

  3. The location of the mouse pointer indicates the point about which the image rotates.

  4. Click on the white space once outside of the square handles to deactivate the image.

If you ever need to reset a rotated image, while activated for rotating, right-click on the CAD image and choose from the shortcut menu one of the main axes to which the image should rotate. See "Using the CAD Image Shortcut Menu" below.

Highlighting a CAD Surface

  1. Double-click on the CAD image to activate it for zooming or rotating.

  2. Pan, zoom, and rotate as needed until the desired surface is visible in the activation box.

  3. Click on a surface to highlight it in red. Repeat as needed to highlight multiple surfaces. To clear a highlighted surface simply click on it again.

  4. Click on the white space once outside of the square handles to deactivate the image.

Using the CAD Image Shortcut Menu

  1. Double-click on the CAD image to activate it for zooming or rotating.

  2. Right-click on the CAD image.

  3. Select an item from the resulting shortcut menu to rotate the part to one of the listed axes, display the part in wire-frame or solid, or size the model to fit the model in the activation box

Note: The CAD operation selected from this shortcut menu only applies to the current page in the CAD tab.
If you want to apply the same change to all the pages in the CAD tab, use the Cad operation for all pages icon.

See "Right-click Shortcut Menus" for information on these menu items.


Adding Custom Report Objects

The CAD tab (or CAD report pages in the Report tab) provide you with tools to add, position, and size custom report objects into your report. The following objects are supported:

Custom TextBox Object

Right-click on the page and select Add TextBox. Your mouse cursor changes to a cross-hair. Simultaneously press both the left and right mouse buttons and then drag a box. A box appears allowing you to type your own text. To add your own text, double-click on the object, and type what you want it to display.

Click and drag the object to reposition it. Drag the small square handles that bound the box to size it. Right-click on the object and use the shortcut menu to modify its background color, change its shape, set its font, or set transparency as desired. See the "Report Objects Shortcut Menu".

Custom CAD Object

Right-click on the page and select Add Cad. Your mouse cursor changes to a cross-hair. Simultaneously press both the left and right mouse buttons and then drag a box. A box appears with the CAD image inside.

Click and drag the object to reposition it. Drag the small square handles that bound the box to size it. Additionally, you can pan, zoom, or rotate this new CAD image by following the directions discussed in the "Manipulating the CAD Image" topic.

Custom Trihedron Object

Right-click on the page and select Add Trihedron. Your mouse cursor changes to a cross-hair. Simultaneously press both the left and right mouse buttons and then drag a box. A box appears with the trihedron inside it.

Click and drag the object to reposition it. Click on the small square handles that bound the box to size it.

Custom Section Cuts

Right-click on the page and select Add Section Cut. Your mouse cursor changes to a cross-hair. Simultaneously press both the left and right mouse buttons and then drag a box. Click and drag the object to reposition it. Drag the small square handles that bound the box to size it. Double-click on the object to activate it. Once activated you can rotate the section cut and access the shortcut menu for it.

  • Edit - This opens up the Section Cut Settings dialog box. This is the main dialog box you will use to define your section cut. It lets you anchor the cut plane to an XYZ position and define the vector of the plane. A preview window shows the image that will appear in the section cut object based when you click OK.

Anchor - This defines the location of the cut plane.

Norm Vector - This defines the vector used by the cut plane.

Load - This button refreshes the display of the section cut in the preview window.

Flip X - This flips the X axis to go in the opposite direction and redraws the section cut preview to match.

Flip Y - This flips the Y axis to go in the opposite direction and redraws the section cut preview to match.

OK - This accepts your changes, closes the dialog box, and updates the section cut with the section cut preview image.

Cancel - This closes the dialog box without applying any changes to the section cut.

  • Transparent - This sets the transparency state of section cut object's background. Setting it transparent making it easier to position the section cut closer to other objects without its background getting in the way. The All button on the menu item applies the change to all section cut objects on that page.

  • DrawSlicesOnCad - In addition to the section cut visible in the floating box, this menu item causes a section cut to be projected onto the main CAD image. In essence the section cut appears on the CAD image where the actual cut plane cuts the image. This slice is visible as a white line on the CAD image. The All button on the menu item applies the change to all section cut objects on that page.

Example of a section cut object (floating box in upper left) and its resulting section cut slice (white line on CAD)

PrintAsActualSize - This sizes the section cut so that it appears in actual size in a printed output. The All button on the menu item applies the change to all section cut objects on that page.

Add Label - This adds a custom label with an adjustable red leader line onto the section cut object. Once activated, by double-clicking on it, you can add text into this custom label much like a standard text box object. Right-click on the object and use the shortcut menu to modify it's background color, change its shape, set its font, or set transparency as desired. See "Report Objects Shortcut Menu".

You can adjust where the red leader line points by clicking on the tip and dragging it to a new location.

Example of a section object with a custom label and a leader line

Note: Initially, the floating section cut object may appear empty, if so, it is because the imaginary cut plane is positioned away from the part and hasn't yet intersected with the CAD model to generate a section cut image; or you may just need to click the Load button inside the Section Cut Settings dialog box to refresh the image.


CAD Tab Toolbar Icons

CAD Toolbar Icons

  • Change charts type

  • Options (for CAD tab)

  • CAD operation for all pages

  • Load Label Template

  • Set Current Label Template as Default

  • Edit Label Template

  • Print Report

  • Save Report

  • Undo

  • Redo

  • Refresh

  • Template Selection

  • Set Current Template as Default

  • Save Report Mods

  • General Mode

  • Book Mode

  • Tiles

  • Zoom

  • Pan

  • Edit

  • 100%

  • Page X of Y

  • Page Up

  • Page Down

  • Zoom One Chart


Options Icon (for CAD Tab)

The Options icon lets you set these different options for the CAD tab.

Default Setting... - This defines default charts to display for this tab. See "Defining Default Settings (CAD Tab)".

Label Settings... - This lets you configure the label settings available such as the number of labels to display per page, the decimal places used, the chart mode statistics to display, how the leader line terminates in certain circumstances, and so on. See "Label Settings" for a complete description.

Feature Label Settings... - This lets you colorize all axes or only critical axes. See "Feature Label Settings".

Cad Settings... - This lets you configure the CAD settings available. See "CAD Settings".

Trihedron Settings... - This lets you configure how the trihedron appears in the CAD tab. See "Trihedron Settings".

Leader Line Settings... - This lets you configure how leader lines appear in the CAD tab. See "Leader Line Settings".

Chart Display... - See "Chart Display".


Cad Operation for All Pages Icon

The CAD operation for all pages icon displays a menu of items allowing you to a selected CAD operations on all the pages in the CAD tab. This differs from the right-click shortcut menu for CAD images which only affects the current page.

See the "Right-click Shortcut Menus" topic for information on these items


Load Label Template

The Load Label Template icon displays an Open dialog box, allowing you to select the label template (*.lbl) you want the CAD tab to use when displaying the floating labels that surround the main CAD object. Hovering your mouse over custom labels will display the name of the label template.

A sample custom label showing the underlying custom label template name of VariableInfo.lbl

Note: PC-DMIS label templates also have a *.lbl extension. They are NOT compatible with each other.

See also: Edit Label Template, Set Current Template as Default


Set Current Label Template as Default

Set Current Label Template as Default Icon

After you load a new label template for the labels inside the CAD tab, you can click the Set Current Label Template as Default icon to set that template as the new default template for labels in that tab. Whenever you open the CAD window in the future, the new default label template will be used to display the labels. The status bar will also display the currently loaded template.

See also: Template Selection


Edit Label Template

The Edit Label Template icon expands a side bar on the right side of your screen that allows you to create or edit existing label templates. See "Creating and Editing Label Templates" for more information.

See also: Load Label Template, Set Current Template as Default


Undo Icon

The Undo icon undoes the last operation.

  • For the CAD tab, this undoes the last label position change.


Redo Icon

The Redo icon performs the previously last undone operation.

  • For the CAD tab, this redoes the last undone label position change.


CAD Tab Refresh Icon

Press the Refresh button to update the screen whenever any changes have been made to the CAD tab screen.


Save Report Mods Icon

The Save Report Mods icon allows you to store mods (modifications) made to the labels or the CAD image in the CAD tab such as the pan, zoom, and rotation state of the CAD model and the position state of the labels around the CAD model. When you click this icon it displays a Save As dialog box allowing you to choose where to save the mod as a .CadRpt file.

This .CadRpt file can then be loaded later to format the display of any part in the CAD tab by using the Template Selection icon.

See also: Template Selection


Column Chart

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Column Chart updates the labels in the CAD tab to display a bar-like column graph of the feature variable's deviations for up to four selected transactions. The numbers in the left show a range of deviations, and each of the four columns from left to right represents the deviation for a selected transaction. If you select more than four transactions, only the most recent five are displayed. If you select less than four transactions then the number of columns adjusts accordingly.

Zoomed in view of the CAD tab showing the Column Chart inside a label

You can use the Zoom One icon [image] on one of these labels to expand it to fill the tabbed window.


Single Deviation Label

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Single Deviation Label Chart updates the labels in the CAD tab to display a single cell containing the average deviation for all selected transactions.

Zoomed in view of the CAD tab showing the Single Deviation Label chart inside labels

You can use the Zoom One icon [image] on one of these labels to expand it to fill the tabbed window.


Multi Deviation Label

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Multi Deviation Label Chart updates the labels in the CAD tab to display a table-like chart with two rows. The first row is a single cell with the feature variable's ID. The second row is divided into five compartments with each cell containing a deviation for a selected transaction. If you select more than five transactions, only the most recent five are displayed. If you select less than five transactions then the number of cells adjusts accordingly.

Zoomed in view of the CAD tab showing the Normal Deviations Label chart inside a label


Multi Deviation Column Label

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Multi Deviation Column Label chart updates the labels in the CAD tab to display a bar graph showing the deviations for the selected transactions.

CAD tab showing Multi Deviation Column Labels

The label consists of the following:

  • Colored header row: The first row is a header row. It shows the average deviation in the second cell and the plus and minus tolerance values used in the third cell. The background color of this row changes based on the average deviation values and where those average values fall in your current dimension tolerance zone settings. See "Understanding Feature Colors".

  • Bar Graph: The vertical numbers that show the deviation value for each transaction. The three horizontal numbers show the upper tolerance (top red bar), the nominal (center bar), and the lower tolerance (bottom red bar). The deviations are graphed as columns.

  • Final Row: This shows the name of the feature variable.

You can use the Zoom One icon [image] on one of these labels to expand it to fill the tabbed window.


Normal Variable Label Types

Normal Feature Variable Label Types

These label types are discussed in these topics:

  • Normal Variable - Type1

  • Normal Variable - Type2

  • Normal Variable - Type3


Normal Type1

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Normal Type1 label type updates the labels in the CAD tab to display a table-like chart with the first row containing the feature variable's ID and the second row to display the a statistic value in a separate cell, like this:

Zoomed in view of the CAD tab showing the Normal Type1 label type

You can use the Label Content area of the Label Settings dialog box to change what statistic value is displayed. See "Label Settings".


Normal Type2

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Normal Type2 label type updates the labels in the CAD tab to display a table-like chart with a single row of separate cells containing the feature variable's ID and deviation value, like this:

Zoomed in view of the CAD tab showing the Normal Type2 label type

You can use the Label Content area of the Label Settings dialog box to change what statistic value is displayed. See "Label Settings".


Normal Type3

This label type requires the selection of Feature Variables or Dimension Variables. If the Feature list or Dimension list is displayed in the side bar, this chart icon will be grayed out. Access the Feature Variable or Dimension Variable list in the side bar, and apply some features to the CAD tab to display this label type.

The Normal Type3 label type updates the labels in the CAD tab to display a table-like chart with two rows. The first row is a single cell with the feature variable's ID. The second row is a single cell with the "Deviation = n " where n is the deviation value.

Zoomed in view of the CAD tab showing the Normal Type3 label type

You can use the Label Content area of the Label Settings dialog box to change what statistic value is displayed. See "Label Settings".


Normal Feature Label Types

Normal Feature Charts

These label types are discussed in these topics:

  • Normal Feature - Type1

  • Normal Feature - Type2


Normal Feature - Type1

This label type requires the selection of Features. If the Feature Variable list is displayed in the side bar, this chart icon will be grayed out. Access the Feature list in the side bar, and apply some features to the CAD tab to display this label.

The Normal Feature - Type1 label type updates the labels in the CAD tab to display a table-like chart with multiple rows. The first row is a single cell with the feature's ID. The other rows are divided into two columns, the left column displays the feature variable's ID and the right column displaying a defined statistical value:

Zoomed in view of the CAD tab showing the Normal Feature - Type1 label type

You can use the Label Content area of the Label Settings dialog box to change what statistic value is displayed. See "Label Settings".

You can use the Feature Label Settings dialog box to colorize only critical axes. See "Feature Label Settings".


Normal Feature - Type2

This label type requires the selection of Features. If the Feature Variable list is displayed in the side bar, this chart icon will be grayed out. Access the Feature list in the side bar, and apply some features to the CAD tab to display this label.

The Normal Feature - Type2 label type updates the labels in the CAD tab to display a table-like chart with multiple rows and columns. The first row is a single cell with the feature's ID. The second row is a header indicating what is displayed in the remaining rows, in this case, plus and minus tolerance values and the deviation.

Rows three through five display the tolerance and deviation values for only the X, Y, and Z axes of the feature:

Zoomed in view of the CAD tab showing the Normal Feature - Type2 label type

You can use the Label Content area of the Label Settings dialog box to change what statistic value is displayed. See "Label Settings".

You can use the Feature Label Settings dialog box to colorize only critical axes. See "Feature Label Settings".


Custom Label

The custom label loads the last used custom label template. You can load a different custom label template by choosing the Load Label Template icon.


Label Settings

From the CAD tab, select Options [image] and then Label Settings... to access the Label Settings dialog box. This dialog box determines how labels are displayed in the CAD tab.

Label Settings dialog box

General

Label count - This value determines the number of labels displayed per page.

Decimals - This value determines the number decimal places displayed in those labels that display numerical values, such as deviations.

Label font - This button accesses the Font Chooser dialog box. You can use this dialog box to modify the label string's font, font style, font weight, font size, affects, and as well as change the font color. Any text strings inside of labels is then modified to use these font properties.

Font Chooser dialog box

No label frame - If marked, this removes the colored label frame around the label.

Label background is transparent - If marked, this sets makes the label's background transparent.

Show reference features for title - If marked, this shows the feature reference inside the label's title for dimensions that use a reference feature, such as Distance dimensions.

Label Layout Style

The drop-down list determines how the labels are positioned around the CAD model:

Rectangular distributed style - This positions the labels around the part along all four sides in a rectangular layout.

Left-Right sides distributed style - This positions the labels around the part on just the left and right sides.

Feature based style - This positions the labels close to the feature.

Leader Line Termination

This determines whether or not two features are displayed when showing labels for Distance and the Angle dimensions.

For Distance - If marked, this check box will display the two features making up a Distance dimension along with two leader lines, one pointing to each feature. If cleared, only one feature and leader line is displayed.

For Angle - If marked, this check box will display the two features making up an Angle dimension along with two leader lines, one pointing to each feature. If cleared, only one feature and leader line is displayed.

Color Ball Setting

Draw color ball - This check box determines whether or not the colored ball should appear where the leader line terminates. It uses the dimension's deviation color for the worst reported axis.

Ball size - This list determines the size of the colored ball. It becomes enabled for selection when the Draw color ball check box is selected. You can choose between Small, Medium, and Large.

Enlarged view of sample leader lines with a terminating color ball

Rearrange labels position - If marked, this check box will automatically rearrange the labels positions to their initial default positions around the part. This allows you to reset the labels positions.

Label Content

This determines the content for certain labels:

Normal Mode Statistics - This list provides you with items you can select to display along with charts in the labels around the CAD image. This list only becomes available if you accessed this dialog box from one of the "Normal Type" supported charts. These include: Normal Type1, Normal Type2, Normal Type3, and Normal Feature. The items are drawn as additional cells to the right of the chart itself or below it depending on the chart type. You can select up to five items from this list. For information on these items, see the "Description of Column Names" where descriptions are already discussed.

Sample Normal Type3 Chart with Normal Mode Statistics Applied

Chart Mode Statistics - This functions the same as Normal Mode Statistics, except that it works for different charts. Supported charts for this list are: Run, Histogram, Target Individual, and Column.

Sample Column Chart with Chart Mode Statistics Applied

Only show chart - If marked, this check box only displays the chart itself and will not display the items selected in the Chart Mode Statistics list. If cleared, the items are displayed.

Directions

This area has a Show Direction check box that lets you show or hide sheet metal (automotive) axis letters indicating the direction of deviation. You can also edit the default "identifiers". Typically, the automotive industry labels a deviation using the following identifiers:

  • U (up) represents measurement deviation primarily in the Z+ direction.

  • D (down) represents measurement deviation primarily in the Z- direction.

  • A (aft) represents measurement deviation primarily in the X+ direction.

  • F (fore) represents the measurement deviation primarily in the X- direction.

  • I (inboard) means the deviation is primarily toward the center line of the car.

  • O (outboard) means the deviation is primarily away from the center line of the car. So, the Y axis is a mirror axis, and the math to compute the direction label is mirrored when the nominal Y value is negative.

Example of a top-down view of the CAD Body Coordinate System (Z+ points straight up) with 1 being the front of the car and 2 being the back.

These single letter indications appear to the right of the deviation in the Normal Feature Type label charts.

Sample Normal - Type3 label with sheet metal deviation letter displayed

The X Identifier, Y Identifier, and Z Identifier boxes show the default two-letter identifiers (automotive letters) for each axis. If desired, you can modify these to something else. For example, if you changed the Z axis identifiers to "HL", Datapage+ would change the label for Z labels from U and D to H and L (for High and Low).

The Mirror X, Mirror Y, and Mirror Z check boxes specify whether or not the role of the axes' labels should be reversed when the nominal is negative.

Command Buttons

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Feature Label Settings

From the CAD tab, select Options [image] and then Feature Label Settings... to access the Label Settings dialog box. This menu item is only available if you've selected Feature from the sidebar and applied features to the CAD tab. See "Selecting and Applying Features or Feature Variables".

Feature Label Settings dialog box

This dialog box determines whether or not normal feature type labels colorize all axes or just critical axes according to the color bar when drawn in the CAD tab.

Show Color By Color Bar

For all axes - This shows the color for all axes according to the color bar. When Datapage+ draws the labels

For critical axes - This shows only the critical axis (or axes) according to the color bar. Non-critical axes are shown in black.

Input critical axes - This box lets you define the critical axes. Type the axis or axes into this box. If defining multiple axes, separate each typed axis with a space character.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

For example, consider the following:

Sample Normal Feature - Type1 label with all axes shown according to the color bar

Sample Normal Feature - Type1 label displaying only the critical T axis


CAD Settings

From the CAD tab, select Options [image] and then CAD Settings... to access the CAD Settings dialog box. This dialog box determines how the CAD model appears in the CAD tab.

CAD Setting dialog box

Cad Rotate: This area contains these two options that control the CAD model's rotation:

As defined - Datapage+ rotates the CAD using the current display settings. So, if the model is in solid view, it will rotate using a solid model. If it is in wireframe view, it will rotate using a wireframe model.

As Wireframe - Datapage+ rotates the CAD using a wireframe model.

Change Cad Color - This area contains these two options that control the CAD model's coloring:

As defined - Datapage+ colors the CAD model using the default color of the model. The default color is blue.

As selected - Datapage+ colors the CAD model according to the defined color in the color box. You can change the color by clicking the Edit button.

Change Cad Background - Datapage+ colors the background of the CAD model object according to the defined color in the color box. You can change the color by clicking the Edit button. The default color is white.

Highlight Cad Color - Datapage+ colors the background of the CAD model object according to the defined color in the color box. You can change the color by clicking the Edit button. The default color is red.

Change Clip Region Color - Datapage+ colors the frame that indicates the clipping region according to the defined color in the color box. You can change the color by clicking the Edit button. The default color is black. Note that the clipping region frame only appears if it is turned on inside of a secondary CAD model object. The frame becomes on option for display on secondary CAD objects if you've selected the Clip Region check box described below to clip the primary CAD.

Change SectionCut Color - Datapage+ colors the section cut object when displayed by itself according to the defined color in the Self color box. It colors the section cut object according to the defined color in the On cad box when the section cut object is displayed on top of the CAD model object. You can change either of these colors by clicking the Edit button. The default color is red.

Clip region - This clips the part model in the main CAD object to only display the features to which labels are pointing.

Sample part clipped to show only specific features

You can also show, on a secondary CAD object, the location of the clipping region by activating the secondary CAD object, right-clicking on it, and choosing Show Clip Region for Main CAD. By default, the color for this clipping region is in black. You can modify that by using the Change Clip Region Color area above; for example, the image below has a green border for the clipping region:

Green rectangle indicating the clipping region

Right-click on the secondary CAD object and choose Remove Clip Region if you no longer want to display the clipping region.

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

Close - Closes this dialog box.

Apply - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).


Trihedron Settings

From the CAD tab, select Options [image] and then Trihedron Settings... to access the Trihedron Settings dialog box.

Trihedron Setting Dialog

This dialog lets you change the colors of the different components of the part alignment trihedron that appears inside the Graphics Display window. You may find this useful when the background color or other items on the Graphics Display window have similar colors, making it difficult to see the trihedron; or perhaps you just want to give each axis a different color to easily differentiate between the axes.

The original colors for the trihedron symbol are red and green like this:

Part Alignment Trihedron Symbol

You can easily change these colors by clicking on the colored boxes in the Colors area and choosing a new color from the resulting Color dialog box:

Trihedron Color Selection Dialog

As soon as you click OK, the Color dialog box closes, and Datapage+ instantly updates the color of the trihedron accordingly in the Graphics Display window. When you click OK on the Trihedron Settings dialog box, Datapage+ will store the color information in the registry, so that all part programs will use these colors for the part alignment trihedron.

Colors area

The Colors section of the Trihedron Settings dialog contains a grid of colored boxes representing the different components for each of the three axes of the trihedron.

Trihedron Setting Dialog - Colors Section

  • Text - This sets the colors of the "X", "Y", or "Z" letters (or text) displayed on the trihedron (1 in image at right).

  • Cylinder - This sets the color of the X, Y, or Z axis line (or cylinder) on the trihedron (2 in image at right).

  • Cone - This represents the color of the Z, Y, or Z arrow head (or cone) on the trihedron (3 in image at right).

Modified Trihedron Colors Example

Save - Saves the currently defined items on the dialog box for subsequent sessions. When you log back into Datapage+ at a later time, the software will used this saved configuration.

Default - Loads the default configuration.

OK - Applies the current configuration until the end of your current session. When you log back into Datapage+, the software will use the saved configuration (or the default configuration if no saved configuration exists).

Cancel - Closes this dialog box.


Creating or Editing Label Templates

Creating or Editing Custom Label Templates

The CAD tab of Datapage+ makes use of several different labels to display information that relates to features on the CAD model. In most cases, the default standard labels that ship with Datapage+ will provide you with the information you need. However, Datapage+ provides you with tools to create or edit custom templates in case you need something more specific that meets your needs.

More:

Custom Label Template Tools

GridControl

Expressions


Custom Label Template Tools

To access the tools needed to create or edit custom label templates, click the Edit Label Template icon [image] from the CAD tab's toolbar. The right side of your screen expands in a side bar.

A - The Main Toolbar

    1. New Template - This creates a new template. If you are working on an existing template, the software will display a message asking if you are sure you want to create a new template. If you click yes, it will overwrite the existing open template.

    2. Open Template - This displays an Open dialog box allowing you to open a stored custom label template.

    3. Save Template - This saves any modifications made to the open template. If the template being saved is a new template it will display a Save As dialog box so you can name and store the template in whatever directory you desire.

    4. Paste - This pastes on the main canvas the last control or controls that you have copied or cut.

    5. Cut - This cuts the selected control or controls from the main canvas and stores them for pasting.

    6. Copy - This stores a copy of the selected control or controls from the main canvas for pasting.

    7. Delete - This deletes selected control or controls from the main canvas.

    8. Undo - This undoes the most recent manipulation to a control or controls.

    9. Redo - This redoes the operation undone with the Undo button.

    10. Apply Template - This applies the template to labels in the CAD tab. If it's a new template you must save it first.

    11. Close Template - This closes the custom label template tools. If a template has unsaved modifications, the software will prompt you to save it before closing.

B - The Controls Toolbar

The Controls toolbar exists down the left side of the main canvas software. It contains two controls. One is a SelectorControl which allows you to select the GridControl. The other is the GridControl. Once added to a template, the GridControl determines what information appears and how that information is positioned and formatted in your label.

The SelectorControl is not a true control since it is not an object that you can put on the canvas. It is merely a tool to select the GridControl on the canvas.

The GridControl inserts a customizable grid of columns and rows into your template. A label template can hold only one GridControl. For more information on this object, see the GridControl topic. Note that the GridControl topic was written originally for the TemplateBuilder software, a tool that ships with Datapage+ and is used to create templates for the Chart tab, Text tab and CAD tab. As such, this topic may contain information, terminology, and references (such as links to other topics) specific to that software.

C - The Main Canvas

This is the main staging area for your GridControl. You can add the GridControl to this area and then reposition it as desired. Once you add a GridControl to the canvas, it becomes available for selection from the Properties Pane.

The main canvas also appears in the Properties Pane (shown as mainCanvas) and contains its own properties as well. See "The Properties Pane".

D - The Properties Pane

The Properties Pane exists on the right side of the software. It displays the properties associated with the currently active control. You can make a control active by clicking on it or by selecting it from the main canvas or by from the Control list located just above this pane.

Properties make up the characteristics of a control. For example, you can use this pane to modify properties to define the background color of the main canvas or the number of rows in a GridControl object.

See the specific control topic for information on the properties available to that control.


GridControl

GridControl (DataPage+)

This control inserts a customizable grid of columns and rows into your template. This unique control is more than just a standard table though. In fact, you can program the individual cells, rows, or columns using expressions to display specific information from your database. See "Expressions".

You can easily resize and move this object to a new location. When you resize this object, be aware that the software dynamically sizes the columns and rows to fit the object's new size.

Accessing the Grid Property Dialog Box

Once you insert a GridControl, select it, double-click on it to activate it, click in a cell, and then right-click to display the Grid Property dialog box. The Cell tab of this dialog box gives you powerful formatting and editing abilities that let you program each grid cell to your individual specifications. The Row tab lets you define repeating rows.

Grid Property Dialog Box - Cell Tab

The Grid Property dialog box - Cell Tab

Cell type - Lets you configure what you will insert into the specific cell. The options are:

  • Text - This lets you type straight text or an expression command into the Cell Expression box of the Expression Editor dialog box. The evaluated expression or the straight text appears in the cell.

  • Image - This inserts an image into the cell. You can select it using the Select button.

  • Expression - This box lets you type an expression into the cell. Datapage+ evaluates the expression when it uses the template to display the actual report data. Use the Cell expression list for available expressions.

Select - If Cell type is set to Image, this button lets you choose an image to display inside of the selected cell. If Cell type is set to Expression, this button lets you choose the expression to insert into the cell.

Enable edit cell - If Cell type is set to Text, you can mark or clear this box to determine whether or not the cell can be edited when the template is used in the report.

Cell expression - This list lets you choose an expression to use in the cell. This expression will be used if Cell type is set to Expression. Also, see "Expressions" for descriptions of the available expressions.

Cell height and Cell width - These boxes let you define the cell's height and width in pixels. Note that if you modify a height, all cells in that row are modified. If you change the width, all cells in that column are modified. If you have varying heights and widths among multiple cells, the Even Widths and Even Heights buttons even out the height and width among the selected cells. The two Auto buttons automatically size the cell vertically or horizontally to fit the text.

Merge Cells- This button merges multiple cells together into one cell.

Unmerge Cells - This button splits previously merged cells into their original and previous unmerged state.

Cell justification - These buttons let you set the alignment of the text within the cell, either vertically or horizontally. If horizontal, your can align the text to the left, the center, or the right of the cell. If vertical, you can align the text to the top, the middle, or the bottom.

Horizontal Alignment Buttons

  • Left - Aligns the text with the left side of the cell.

  • Center - Aligns the text horizontally in the center of the cell.

  • Right - Aligns the text with the right side of the cell.

Vertical Alignment Buttons

  • Top - Aligns the text with the top of the cell.

  • Middle - Aligns the text vertically in the middle of the cell.

  • Bottom - Aligns the text with the bottom of the cell.

Font Size - This button accesses the Font Chooser dialog box. You can use this dialog box to modify the cell's font, font style, font weight, font size, affects, as well as change its font color. Any text in that cell is then modified to use these font properties.

Font Chooser dialog box

Background Color - This button defines the background color for the cell. It works with the list to its left. If you choose SolidColorBrush, this button opens a Color dialog box, allowing you to choose a color for the cell's background. If you choose ColorExpression, this button displays the an expression editor, letting you apply the =GetColor expression to determine the color. See Expressions List for info on ColorExpression.

Text Color - This button defines the foreground text color for the cell. It works with the list to its left. If you choose SolidColorBrush, this button opens a Color dialog box, allowing you to choose a color for the cell's text. If you choose ColorExpression, this button displays the an expression editor, letting you apply the =GetColor expression to determine the color. See Expressions List for info on ColorExpression.

Grid Property - Row Tab

The Grid Property dialog box - Row Tab

The Row tab of the Grid Property dialog box lets you set the row expression for a row in the GridControl. This allows a label template to repeat rows on the fly to view multiple axes or comments that may vary in number from feature to feature. The Repeating group check box does the following:

  • It enables the Expression button. This button displays the Expression Editor, showing only row-specific expressions. Currently, the only row-specific expression available is the =RepeatRow() expression. See the "Expressions List" topic where this expression is discussed.

Expression Editor

  • It also enables the RepeatedRows category in the Expression Editor available to the Cell tab. This lets you select the useful Axis-N cell-specific expression, needed for repeating rows.

RepeatedRows Category in Cell Tab's Expression Editor

Example Label Template with Repeating Row in Main Canvas

Example Label Template with Repeating Row when Applied to the CAD Tab

Consider this sample custom label template.

Notice that the second row has two cells with two expressions:

  • The left cell has an expression to display the current axis, N number of times where N becomes the number of axes that the feature has. This is selected from the RepeatedRows category.

  • The right cell displays the current value for the feature.

The second row is a repeating row with this expression:

It will repeat each axis on a new row until finished. For the LOC9 dimension, two axes, X and Y, are displayed in the CAD tab, each with its nominal value displayed as specified in the label template.

If LOC9 had three axes, such as X,Y,Z, the row would have repeated three times, one for each label in the CAD tab.

Properties

The following properties are available for this control.

Left - This determines the position of the control from the left side of the canvas.

Top - This determines the position of the control from the top side of the canvas.

OutsideFrame - This determines the type of line used as the grid's border. The options are Thick, Thin, and None.

InsideFrame - This determines the type of line used for the grid's inside lines. The options are Thick, Thin, and None.

FrameColor - The color box shows the current color used for the grid's lines. The button to the right shows the Color Selection dialog box, allowing you to change the grid's line.

LabelType - Since the GridControl can be used in different contexts, this property defines that context for this control. For example, you can use the GridControl in the Template Builder with a Header and Footer; or you can use the GridControl inside a label template to display information for a specific data source available on the drop-down list in Datapage+'s side bar: Feature_Variable, Dimension_Variable, Feature, and Dimension.

Data Sources in Datapage+

The LabelType property contains these options: HeaderAndFooter, Variable, Feature, and Dimension. You must choose the item that corresponds to the source of the data being sent to the GridControl. For example, if your GridControl will be in a header or footer of a report template, then choose HeaderAndFooter. If it will be used in a label template to display information from the Feature_Variable or Dimension_Variable data source, choose Variable. By default, this is set to HeaderAndFooter automatically when using the Template Builder. It is set to Variable when creating custom labels.

IsTransparent - If you mark this check box, the label's background will be transparent. If you clear this check box, the label's background will be white.

ColumnDefinitions - The ... button lets you add columns to this control. Clicking it displays a Collection Editor dialog box which lists columns as column definitions. By default it always lists [0]ColumnDefinition. To add a new column to the right of all other columns, click Add Item. To insert a new column to the left of the selected column, click Insert Item. The column is inserted into the control and listed in the dialog box. To delete a column, select the desired column definition from the dialog box and click Delete Item.

Collection Editor dialog box

RowDefinitions - The ... button lets you add rows to this control. Clicking it displays a Collection Editor dialog box which lists the rows as row definitions. By default it always lists [0]RowDefinition. To add a new row to the bottom of all other rows, click Add Item. To insert a new row above the selected row, click Insert Item. The row is inserted into the control and listed in the dialog box. To delete a row, select the desired row definition from the dialog box and click Delete Item.

Name - This provides the control with a unique name. If you have more than one control of the same type on the canvas, the software will append a number to the name of the control to make it unique. You can change this to whatever name you want as long as it remains unique from other controls.

Width - This sets the width of the control. If you click the Auto icon [image], the width expands or shrinks to match the width used by the canvas.

Height - This sets the height of the control. If you click the Auto icon [image], the height expands or shrinks to match the height used by the canvas.


Expressions

About Expressions

Adding Expressions to the GridControl

Expressions List


About Expressions

Expressions are special commands that you place inside of supporting controls to pull specific data from Datapage+ or the database into the report. Expressions always start with an equals sign (=) and are followed by the expression name.

For example, if you wanted to display a run chart inside a label, your label template must have a control that uses the =RunChart expression.

Sample expressions in a label template

These topics are covered in this section:

  • Adding Expression to the GridControl

  • Expressions List


Adding Expression to Supported Controls

Adding Expressions to the GridControl

For label templates, you can add expressions into a GridControl by following this process:

  1. Add the GridControl to the template.

  2. Set the LabelType property so that it matches the context in which the expression will be used. For example, if you'll be using the expressions to take data from a feature variable or dimension variable, you would select Variable.

  3. Double-click to activate the GridControl and then click within a cell until it becomes selected with a blue highlight.

  4. A this point you have two options, you can type or paste a known expression into that cell or you can select an expression from a list of available expressions.

  5. To select the expression from the list, right-click on the Grid Cell.

  6. Select Expression from the Cell type drop-down list. The Expression Editor dialog box appears.

  7. Use this dialog box to select and add parameters to the expression (see the dialog box description below):

    1. Click the Select button. From the Expression Editor-dialog box, select the desired category from the Select a category drop down list.

    2. Select the expression from the Select a function list.

    3. As required, select parameter values.

    4. Click OK.

  8. The selected expression appears within the grid cell.

See the "Expressions List" topic for a list of available expressions.

Expression Editor Dialog Box Description

Expression Editor

  1. The Expression box displays a preview of what the selected expression will look like with the chosen parameters.

  2. The box next to the Go button lets you search for an expression.

  3. The Go button searches for the expression typed in the box and returns the expression, selecting it and displaying its parameters.

  4. Selecting an item from this drop down list shows the expressions assigned to that category. Available categories are: General, ChartType, FeatureRelative, and AxisParameter.

  5. This list displays the expressions (or functions) assigned to the selected category. Selecting an item shows any parameters in the bottom half of the dialog box.

  6. This box displays any special instructions to use the expression.

  7. This lower half of the dialog contains drop down lists allowing you to select values for the different parameters used by the expression. As you select items in these lists, the preview of the expression appears in the Expression box. Parameters are described in the "Expressions List" topic.


Expressions List

This topic lists the available expressions and descriptions of each expression. It also shows what LabelType you need to select and category in the Expression Editor dialog box for the expression to appear. For information on this dialog box, see the "Adding Expression to the GridControl" topic.

Some expressions take one or more parameters. Parameters are values you pass into the function or expression. The expression then uses the parameter to determine what final value the expression should return.

Expression Name

Required LabelType Property

Category

Description

=PartName

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the part's name, taken from the database.

=Operator

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the operator displayed in the Transaction list in Datapage+. If the list contains more than one operator, it displays the operator from the first transaction in the list.

=Date

HeaderAndFooter
Feature
Dimension
Variable

General

This displays today's date, taken from your computer system.

=Page

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the current page number in the report.

=Pages

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the total number of pages in the report.

=StartDate

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the start date in a range of transactions.

=EndDate

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the end date in a range of transactions.

=SelectedTransNumber

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the number of transactions.

=TextReportType

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the type of text report used in the Text tab.

=VariableSetName

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the name of the currently active variable set. If you are not using a variable set, nothing will be displayed.

=QueryName

HeaderAndFooter
Feature
Dimension
Variable

General

This displays the name of the currently active query. If you are not using a query, nothing will be displayed.

=GetTraceValue(param1, param2)

HeaderAndFooter
Variable
Feature
Dimension

FeatureRelative

This displays a specified trace field value based on the defined parameters. This expression takes two parameters:

Parameter 1:

This defines the transaction to pull the information from out of those selected. A value of 1 means the most recent transaction, and a 10 means the 10th most recent transaction.

Parameter 2:

This takes the index number for the trace name (or trace column) from which parameter 1 will be used to get a specific value.

For example, in Datapage+ if you hover your mouse over the Transactions list in the side bar, a popup will appear showing each trace names separated by a semicolon character. These are the trace names for the trace columns. Starting from left and moving to the right, the index values would be 0, 1, 2, 3, 4 and so on.

Example Trace Names OPERATOR, CAVITY, and MOLD and their respective index values of 0, 1, and 2

=GetFeatureValue(param1, param2)

Variable
Feature
Dimension

FeatureRelative

This displays the value of the items specified in the second parameter. This expression takes two parameters:

Parameter 1: This defines the variable to use in the calculation. It can take on of these values:

  • Null - This is always Null if the LabelType property is Variable. Null returns the value for the current variable if you're using a repeated row, otherwise it returns the first variable of the feature or dimension.

  • If it is Feature or Dimension, this parameter specifies an axis: (X, Y, Z, D, A, M, T, S, PD, RT, RS, Prad, Pang, L, H, and V).

Parameter 2: This defines the feature value to display. This parameter can be one of the following:

+T - This shows the feature's plus tolerance.

-T - This shows the feature's minus tolerance.

±T - This shows both the plus and the minus tolerance.

Dev - This shows the feature's deviation.

Nominal - This shows the feature's nominal value.

=GetStatisticValue(param1,param2)

Variable
Feature
Dimension

FeatureRelative

This displays the specified statistical value defined in Parameter 2. This expression takes two parameters:

Parameter 1: This defines the variable to use in the calculation. It can take on of these values:

  • Null - This is always Null if the LabelType property is Variable. Null returns the value for the current variable if you're using a repeated row, otherwise it returns the first variable of the feature or dimension.

  • If it is Feature or Dimension, this parameter specifies an axis: (X, Y, Z, D, A, M, T, S, PD, RT, RS, Prad, Pang, L, H, and V).

Parameter 2:

This is the statistical value. These are the same values defined in the "Description of Column Names" topic where the Detailed Mode of Feature Monitor tab is discussed.

=GetTransactionValue(param1, param2, param3)

Variable
Feature
Dimension

FeatureRelative

This displays the specified transaction value. This expression takes three parameters:

Parameter 1: This defines the variable to use in the calculation. It can take on of these values:

  • Null - This is always Null if the LabelType property is Variable. Null returns the value for the current variable if you're using a repeated row, otherwise it returns the first variable of the feature or dimension.

  • If it is Feature or Dimension, this parameter specifies an axis: (X, Y, Z, D, A, M, T, S, PD, RT, RS, Prad, Pang, L, H, and V).

Parameter 2:

This defines the transaction to pull the information from out of those currently selected. A value of 1 means the most recent transaction, and a 10 means the 10th most recent transaction.

Parameter 3:

Measure value - This displays the measured value of the transaction.

MeasureDev - This displays the deviation of the measured value.

MeasureDate - This displays the date of the measurement.

=GetObjectName(param1)

Variable
Feature
Dimension

FeatureRelative

This displays an object's name. This expression takes one parameter.

The type of object whose name it displays depends on a single parameter you specify in the parentheses. The parameter can be one of these values:

DimensionName - This displays the dimension name: for example, something like LOC1.

FeatureName - This displays the feature name: for example, something like CIR1.

FeatureVariableName - This displays the feature variable name: for example, something like CIR1.X.

=GetMaxOutTolerance(param1,param2)

Variable Feature Dimension

FeatureRelative

This displays either the max out of tolerance value or the transaction name for a variable. If no values are out of tolerance, nothing is displayed. This expression takes two parameters:

Parameter 1: This defines the variable to use in the calculation. It can take on of these values:

  • Null - This is always Null if the LabelType property is Variable. Null returns the value for the current variable if you're using a repeated row, otherwise it returns the first variable of the feature or dimension.

  • If it is Feature or Dimension, this parameter specifies an axis: (X, Y, Z, D, A, M, T, S, PD, RT, RS, Prad, Pang, L, H, and V).

Parameter 2:

Transaction - This displays the transaction name with the feature, variable, or dimension that has the most out of tolerance value from the list of selected transactions.

OutTolerance value - This displays the maximum out of tolerance value.

=ExpanderCell()

Variable
Feature
Dimension

FeatureRelative

This expression corresponds to the parameter selection in the Label Settings dialog box. Datapage+ will show the label with the selected statistic parameters in the Chart Mode statistics list if you use this expression. See "Label Settings".

=GetColor(param1,param2)

Variable
Feature
Dimension

FeatureRelative

This expression lets you dynamically display the background or text colors inside a GridControl cell. It is only used in the Colors area of the Grid Property dialog box. If you set either drop-down list to ColorExpression, clicking the button to the right of the list (Background Color or Text Color) will display the Expression Editor.

This expression takes two parameters:

Parameter 1:This defines the variable to use in the calculation. It can take on of these values:

  • Null - This is always Null if the LabelType property is Variable. Null returns the value for the current variable if you're using a repeated row, otherwise it returns the first variable of the feature or dimension.

  • If it is Feature or Dimension, this parameter specifies an axis: (X, Y, Z, D, A, M, T, S, PD, RT, RS, Prad, Pang, L, H, and V).

  • MaxErrorColor - This uses the mean value’s position in the color bar. It is the maximum between all variables in the feature or dimension. This is available if LabelType is set to Feature or Dimension.

Parameter 2:

  • Null - The color is related to the variable’s mean value. The color bar percentage is calculated like this:
    `% = ((MeasuredMeanValue-(Nominal-LowTol))/(TolRang\e))*100`

  • Transaction - The color expression uses the transaction’s measured value to calculate the color. The colorbar percentage is calculated like this:
    `% = ((MeasuredValue-(Nominal-LowTol))/(TolRang\e))*100`

=HistogramChart

Variable

ChartType

This displays the Histogram chart.

=ColumnChart

Variable

ChartType

This displays the Column chart.

=MultiDeviationColumnChart

Variable

ChartType

This displays the Multi Deviation Column chart.

=RunChart

Variable

ChartType

This displays the Run chart.

=TargetIndividualChart

Feature
Dimension

ChartType

This displays the Target Individual chart.

=RepeatRow(param1,param2)

Variable
Feature
Dimension

FeatureRelative

This expression repeats the row in the label template until the information specified (defined by parameter 2) is completely displayed. It takes two parameters.

Parameter 1: The first parameter determines how the rows are sorted when the label is displayed. The parameter can be one of these values:

ascend - This sorts the rows in ascending order such as A to Z or 0 to 9.

descend - This sorts in descending order such as Z to A or 9 to 0.

Parameter 2: The second parameter determines what information is used to repeat the rows. The parameter can be one of these values:

AXIS-N - The row continues to repeat until all the defined axis of the feature or dimension are displayed in the label template.

Comment-N - The row continues to repeat until all the comments for the feature or dimension are displayed in the label template.

X Y Z D T H L M Pang Prad PD

Variable
Feature
Dimension

AxisParameter

The items in the function list show the axis for the feature variable if that axis is available. The software will not show anything if it cannot find the axis for the variable.


Data Editor Tab

About the Data Editor Tab

Enabling the Data Editor

Measurement Data

Trace Fields

Cause Codes

Data Editor Tab Toolbar Icons


About the Data Editor Tab

The Data Editor tab contains three other tabbed windows that are used to edit data within the database:

  • Measurement Data - This tab displays all the measurement data in the database for the selected transactions and features in a table-like grid. You can use the grid to manage measurement data.

  • Trace Field - This tab lets you manage all trace field data in the database.

  • Cause Codes - This tab lets manage all the cause codes in your database.

Since it's not always a good idea to edit stored data in a database, the Data Editor tab is disabled by default. To enable this tab, see "Enabling the Data Editor". In addition, you must have the proper user privileges to edit the database. See "Account Management" where user privileges are discussed.

More:

Enabling the Data Editor

Measurement Data

Trace Fields

Cause Codes


Enabling the Data Editor

By default, even if you have the proper user privileges to modify database data, the Data Editor tab is hidden from view to provide an additional layer of protection against mistaken modification to your data. These steps detail how to enable this tabbed window if it is needed.

  1. From the main menu bar, select Tools | View Selection.

  2. Datapage+ will display the View Selection dialog box. The tabs currently visible in the main view will have marked check boxes.

  3. Mark the Editor check box.

  4. Click Apply and then Save. The Data Editor tab will then appear in the main view.


Measurement Data

The Measurement Data tab inside the Data Editor tab displays all the data for the selected transactions and features in a table-like grid with any out-of-tolerance values displayed in red. The grid is comprised of fields of data. The left-most column lists the feature variables transactions you selected and applied to this tabbed window. The remaining columns in the grid list the different transactions stored in the database for those features variables. This tab provides you with some of the same functionality previously available in the legacy product DataPage/RT Editor.

You can use the Data Editor to manipulate the stored data or add new data. In most cases, you will probably only need to edit tolerances stored within the feature variables; but you may have cases where you want to edit the measured data, such as with outliers. In addition, you may need to input new transactions of data or feature variables generated from some other software or device that cannot directly communicate with Datapage+ (such as a gage or caliper). In any of these cases, the Data Editor provides you with helpful tools to add, edit, or delete data.

Sample Measured Data tab with several transactions and feature variables displayed

These topics provide specific information on things you can do with this tab:

  • Editing Data Fields

  • Refresh Data Editor Screens

  • Selecting Multiple Rows

  • Adding Feature Variables

  • Editing Feature Variables

  • Variable Distribution Type

  • Creating New Transactions

  • Copying and Pasting Transactions

  • Deleting Existing Transactions

  • Deleting Feature Variables

  • Copying and Pasting Variables

  • Rearranging Feature Variable Columns

  • Variable Distribution Type


Editing Data Fields

To edit data fields in the Data Editor, simply navigate to the field you want to change in the editor, and then type a new value. You can also use the standard editing shortcut menu items by selecting data in a field and then right-clicking and choosing Copy (CTRL + C), Cut (CTRL + X), or Paste (CTRL + V); or you can use the equivalent shortcut keys to do the same thing.

Whenever you make a change, if you want to save that change, select the transaction containing the change, and then right-click and select Save Selected Transactions from the resulting shortcut menu.


Refresh Data Editor Screens

Refresh Data Editor Screen

Press the Refresh button at any time to update the screen whenever any changes have been made to any of the Data Editor tab screens.


Selecting Multiple Rows

To select multiple rows:

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Click the Options icon [image] and under Selection mode, choose Rows.

  4. If you select a row, it becomes highlighted in a blue color.

Sample selection showing selected rows (in blue)

    • To select a range of rows that are contiguous to one another, select one row, and then hold down the SHIFT key, and select the final row. You can also click and drag your mouse to select multiple rows.

    • To select multiple rows that are not together, hold down the CTRL key and click on one or more rows.


Adding Variables

Adding Feature Variables

You may need to add new feature variables into the Data Editor tab.

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Right-click anywhere in the grid and select New Variable from the resulting short-cut menu. The Create New Variable box appears.

Create New Variable

FeatureName - This value determines the base name for the feature.

Axis ID - This determines the ID for the axis.

Nominal - This determines the nominal value.

Upper Tol - This determines the upper tolerance.

Lower Tol - This determines the lower tolerance.

Example of a T Variable Addition

For example, if you wanted to add a T variable for a circle of CIR1:

  1. Type CIR1 in FeatureName.

  2. Type T in Axis ID.

  3. Type 0.000000 for the Nominal.

  4. Type 0.000000 for Upper Tol. and Lower Tol.

  5. Click OK. Datapage+ will take a brief moment to add the new feature variable into the database and refresh the screen.

This would create a CIR1.T feature variable as a new column in the Data Editor. Initially it would have empty (NULL) values, but you could then add in data and further manipulate the variable as needed.

A Sample T Variable in the Data Editor with Edited Values

The new feature variable also appears in the Feature Variable sidebar. If you want the new variable to appear in alphabetical order, right-click on the Feature Variable list and clear the Measured Order check box and then reapply your selection to the Data Editor tab.

See "Editing Feature Variables".


Editing Variables

Editing Feature Variables

To edit one or more feature variable:

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Click the Options icon [image] and under Selection mode, choose Rows.

  4. Select the feature variable rows you want to edit.

  5. Right-click on the desired feature variable, and select Edit variables... from the resulting short-cut menu.

  6. The Variables box appears.

Variables dialog box

This dialog box lets you modify the feature variable's description, nominal value, tolerance values, and individual and subgroup control limits.

Feature Name - This lets you modify the name of the feature.

Variable Name - This lets you modify the variable name of the feature.

Description - This box lets you type a text description of the current feature variable.

Variable tolerance - A drop-down is available which allows you to select a pre-defined variable tolerance item from a list and apply it to a selected CNC item selected from the drop-down. There is no limit to the number of variable tolerance items that can be defined.

  • Add - Select this option to define a new variable tolerance item to populate in the drop-down list.

  • Rename - Select this option to rename a variable tolerance item in the list.

  • Delete - Select this option to delete a variable tolerance item from the list.

Nominal - This box displays an editable nominal value (target value) for the feature variable.

Upper tolerance and Lower tolerance - These boxes determine the upper tolerance and lower tolerance for the feature variable. The upper and lower tolerances are both added to the nominal to produce the specification limits. The lower tolerance is generally expected to be negative, but this isn't required.

Distribution - This lets you select the distribution type for the variable. All variables are analyzed using a "normal distribution" by default. For data that doesn't use a normal distribution type, choose one of the other distribution models: Log Normal, Half Normal, Weibull, Rayleigh, or Exponential.

CNC - This drop-down provides a list of user-defined CNC machines that can be setup in DataPage+. To define a CNC and set the defined variable tolerances to, perform the following:

  1. Select Tools | Options from the upper-right menu in DataPage+ as shown below.

  2. The Options dialog is displayed - select the Definition tab.

  3. Make the appropriate selection(s) from the drop-down list(s) as needed - click the OK button to save the change(s).

  4. Access the Variables dialog as described above. The CNC drop-down list will be populated based on the selections made in the previous step as shown in the example below. Select each CNC machine from the CNC drop-down list and set the tolerances as needed. It is recommended to click the Save button after setting the tolerances for each CNC machine before moving on to set the tolerances for the next CNC machine.

  5. Once all the CNC items in the drop-down list have been assigned the correct tolerance values and all changes have been saved, click on the Close button to complete the update(s).

Note: Ensure a CNC has been selected and tolerances have been assigned to each CNC from the drop-down list. Otherwise, since the first item in the list is empty, if selected, all CNC's will be tolerance-free.

Constant individual control limits - To avoid recalculating control limits when new data is entered, mark this check box. This overrides the upper and lower control limits for the X and R portions of Individual Charts. The x values are the control limits for the individual (upper) portion of the chart, and the R values are the control limits for their range (lower) portion of the chart. The range centerline control limit also can be overridden here.

Constant subgroup control limits - To avoid recalculating control limits when new data is entered, mark this check box. This overrides the upper and lower control portion for the X and R portions of subgroup chart. The X values are the control limits for the individual (upper) portions of the chart, and the R values are the control limits for the range (lower) portion of the chart. The range centerline control limit also can be overridden here.

Previous - This button lets you move to the previous record in a selection of multiple variables. If only one variable was selected this button will be disabled.

Next - This button lets you move to the next record in a selection of multiple variables. If only one variable was selected this button will be disabled.

To All - This is a button and a drop-down list. If only one variable was selected this button will be disabled.

  • When you click the To All button portion, Datapage+ applies all the changes in the current record to all other records in the selection and closes the Variables dialog box.

  • If you click the black drop down arrow, you can choose Changes Selection... a small Variables dialog box appears allowing you to choose a specific element whose value you want to update in all records in the selection.

    When you click OK, the dialog box closes and that specific value of the selected variables is updated.

OK - This applies your changes and closes the dialog box.

Cancel - This closes the dialog box without applying your changes.


Creating New Transactions

The easiest way to create new transactions is to automatically send them from PC-DMIS; however, there may be times when you need to insert new transactions manually in order to input data into Datapage+ that you could not insert any other way. In the Data Editor tab, you can insert transactions into either the Measurement Data sub tab or the Trace Field sub tab.

To Insert Transactions Using the Measurement Data Tab

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Right click anywhere in the grid of rows and columns.

  4. Select the New Transaction menu item from the resulting shortcut menu. The Create New Transaction dialog box appears.

  5. Fill out this dialog box. See "Create New Transaction Dialog box" below.

  6. Click OK. Datapage+ will take a brief moment to add the new transactions into the database and refresh the screen.

To Insert Transactions Using the Trace Field Tab

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Trace Field tab.

  3. Click the Options icon [image] and under Selection mode, choose Rows.

  4. Right click anywhere in the grid of rows and columns.

  5. Select the New Transaction menu item from the resulting shortcut menu. The Create New Transaction dialog box appears.

  6. Fill out this dialog box. See "Create New Transaction Dialog box" below.

  7. Click OK. Datapage+ will take a brief moment to add the new transactions into the database and refresh the screen.

Create New Transaction Dialog Box

Create New Transaction dialog box

Count - This value indicates the number of transactions you will be adding into the grid.

Date and Time - This area determines the dates that will be used for the transactions.

  • Last DateTime - This causes new transactions to use the most recent transaction date and time in the grid as a base date. As the new transactions are added, their dates will be modified according to the value in the Increased by box and the unit of time from the Units list.

  • Current DateTime - This functions the same as Last date except that the current date and time is used instead.

  • Other DateTime - This functions the same as Last date except that you can specify the starting date by using the drop down list to pick a date:

    The drop down list provides fields where you can create your own date and time of the transaction.

  • A - Clicking this field allows you to type the transaction date in MM/DD/YYYY format.

  • B - Clicking this icon displays a calendar from which you can choose transaction date using your mouse.

  • C - Clicking these fields allow you to type the hour, minutes, and seconds of the transaction in 24-hour HH:MM:SS format.

  • D - Clicking these spinners will increment or decrement the selected field HH:MM:SS field.

Increased by - This determines the units of time that passes between each transaction. So, for example, if you have a value of 5 in the Increased by box with Units set to Days, each new transaction would have a date five days later than the previous transaction.

Units - This determines the unit of time that Datapage+ uses to increase the date for each newly added transaction.


Copying and Pasting Transactions

You can use the Data Editor tab to copy and paste a transaction on top of another transaction replacing the data in the second transaction with the data from the first.

To Copy and Paste a Transaction on Top of another Transaction

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Click the Options icon [image] and under Selection mode, choose Columns.

  4. Right click anywhere in the columns of the transaction to copy.

  5. Select the Copy Transaction menu item from the resulting shortcut menu. The copied data is held temporarily.

  6. Right click anywhere in the column of the transaction to replace.

  7. Select the Paste Transaction menu item from the resulting shortcut menu. Datapage+ replaces the contents of the transaction with the copied data. Once you paste the transaction, the temporary data is no longer held in memory. This means to paste it again you will need to re-copying the transaction.


Deleting Existing Transactions

In the Data Editor tab, you can delete transactions using either the Measurement Data sub tab or the Trace Field sub tab.

Delete Transactions Using the Measurement Data tab

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Click the Options icon [image] and under Selection mode, choose Columns.

  4. Right-click anywhere within the column for the transaction you want to delete.

  5. Select Delete Transaction from the resulting short-cut menu; or you can press DELETE from your keyboard.

  6. Datapage+ removes the transaction from the database.

Delete Transactions Using the Trace Field tab

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Trace Field tab.

  3. Click the Options icon [image] and under Selection mode, choose Rows.

  4. Click to select a single row, or drag the mouse to select multiple rows.

  5. Right-click and choose Delete Transaction from the resulting short-cut menu; or you can press DELETE from your keyboard.

  6. Datapage+ removes the transaction from the database.


Clearing Transaction Values

To clear out data from fields in a transaction, do the following:

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Click the Options icon [image] and under Selection mode, choose Columns.

  • To clear data out an entire column, move the column near the border of the column header and the first row. Your cursor will change to a dot and a down arrow, like this:

    Click the mouse to select the entire column.

  • To clear data out a range of cells, click and drag the mouse either up or down across feature variables, or left and right across transactions.

  4. Right-click and from the shortcut menu, choose Clear Transaction(s) Value.

  5. The software sets all the selected fields to null.


Deleting Variables

Deleting Feature Variables

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Click on the Measurement Data tab.

  3. Right-click on the feature variable's name in the header row. A shortcut menu will appear.

  3. Select Delete Variables. A message box asking if you are sure you want to delete the variable.

  4. Click OK. Datapage+ will take brief moment to delete the feature variable from the database.


Copying and Pasting Variables

  1. Select the Data Editor tab. If it is not available, select Tools | View Selection and mark the Editor check box.

  2. Right-click on the feature variable's name in the header row that you want to copy and paste. A shortcut menu will appear.

  3. Select Copy Variables.

  4. Right-click again on the feature variable name and select Paste Variables.

  5. Click OK. Datapage+ will take brief moment to paste the feature variable from the database.

The pasted feature variable will use a naming scheme as the original naming scheme but it will add one or more 0 characters to the end of the feature's base name to make it unique. So, for example, if you were copying and pasting a feature variable of SPH2.Z, the resulting pasted feature variable name would be SPH20.Z. If SPH20.Z was already in the data base when you chose Paste, it would use SPH200.Z instead.


Rearranging Columns

To easily rearrange transaction columns in the Data Editor tab, select a column by clicking on the transaction in the header row of the data grid and then drag it either left or right on top of an existing target column, releasing the mouse button where you want it to go.

A ghost image of the dragged column name will appear under your mouse cursor as you move it.

Sample showing a column being dragged to the left

  • If you drag the column to the left, when you release the mouse button the column will be moved to the left of the target column.

  • If you drag the column to the right, when you release the mouse button the column will be moved to the right of the target column.


Distributions

  • Normal Distribution

  • Log Normal Distribution

  • Half Normal Distribution

  • Weibull Distribution

  • Rayleigh Distribution

  • Exponential Distribution


Normal Distribution

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The normal distribution is by far the most commonly occurring distribution. If you have no good reason for suspecting that your data is not normally distributed, do not use another distribution. The normal distribution class has two parameters, `mu` and `sigma` which specify the location and scaling of the distribution.

  • The value `mu` is the average or mean value.

  • The value `sigma` is the standard deviation, which is a measure of variability.

If X1, X2, . . . Xn is the set of sample measurement values, normal distribution parameters are calculated using the following formulae:

Mean:

`mu = (sum x_i)/n`

Sigma:

`sigma = sqrt((sum(x_i - mu)^2) /(n-1)`

The density function for the normal distribution is given by:

`f(x) = 2/(sigma sqrt pi)e^((-(x-a)^2)/(2sigma^2)`

The normal distribution function cannot be expressed as a combination of common functions. The distribution function is given by:

`F(x) =1/(sigma sqrt pi)int_-oo^x e^((-(x-mu)^2)/(2sigma^2)` `dx`

For the special case where `mu = 0` and `sigma = 0`, the distribution function is called the standard normal distribution and is denoted `Phi(x)`. That is:

`Phi(x) =1/(sqrt 2pi)int_-oo^x e^((-x^2)/(2)` `dx`


Log Normal Distribution

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The log normal distribution is often used when a set of measurements is badly skewed, but taking the logarithm of the measurements produces a distribution that is approximately normal. The log normal distribution has three parameters. The parameter a is the limiting value; no measurements will exist that are less than a. The parameter `mu` is the mean of the transformed (after logarithm) data. The parameter `sigma` is the standard deviation of the transformed data. The probability density and distribution functions are given by:

`f(x) = 1/((x-a)alpha(sqrt2pi))e^((-(log(x-a)-mu)^2)/(2sigma^2)`

`F(x) = Phi((log(x-a)-mu)/sigma)`


Half Normal Distribution

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The half normal distribution occurs when measurements of a normally distributed process are folded about the mean in the positive direction. For example, if a process is normally distributed with a mean 0, but the measurements can only be reported as positive values (i.e. a measurement of -0.002 is reported as +0.002), the observed distribution would be half normal. The half normal distribution has two parameters. The parameter a is the folding point (mean of the associated normal distribution). The parameter `sigma` is a scale parameter (standard deviation of the associated normal distribution). The probability density and distribution functions are given by:

`f(x) = 2/(sigma sqrt(2pi)) e^((-(x-a)^2)/(2sigma^2))`

`F(x) = 2Phi((x-a)/sigma) -1`


Weibull Distribution

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The Weibull distribution is the most flexible distribution. By varying the three parameters, the Weibull distribution can assume many diverse shapes. The parameter a controls the location of the distribution.

The parameter `alpha` controls the scale (i.e., can "stretch" the density function). The parameter `beta` affects the shape of the distribution. The density and distribution functions are given by:

`f(x) = beta/alpha ((x-a)/alpha)^(beta-1)e^(-((x-a)/alpha)^beta)`

`F(x) = 1-e^(-((x-a)/alpha)^beta)`


Rayleigh Distribution

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The Rayleigh distribution is a special case of the Weibull distribution. For Rayleigh distributions, the parameter `beta` is fixed at 2. The density and distribution functions are given by:

`f(x) = 2/alpha ((x-a)/alpha)e^(-((x-a)/alpha)^2)`

`F(x) = 1-e^(-((x-a)/alpha)^2)`


Exponential Distribution

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The exponential distribution is a special case of the Weibull distribution. For exponential distributions, the parameter `beta` is fixed at 1. Exponential distributions are used to model occurrences of events that are independent of the life of the product (i.e., parts that don't wear but suddenly fail). The life of an electronic component is likely to fit an exponential distribution. The density and distribution functions are given by:

`f(x) = 1/alpha e^(-((x-a)/alpha))`

`F(x) = 1-e^(-((x-a)/alpha))`


Trace Fields

The Trace Field tab inside the Data Editor tab displays all the trace fields for the selected transactions and features in a table-like grid. The grid is comprised of fields of data. The left-most column lists the transactions you selected and applied to this tabbed window. The remaining columns in the grid list the different trace fields stored in the database for those transactions. This tab provides you with some of the same functionality previously available in the legacy product DataPage/RT Editor.

You can use this tab to manipulate the stored trace fields or add new trace field data.

Sample Trace Field tab with several transactions and feature variables displayed

These topics provide specific information on things you can do with this tab:

  • Editing Trace Values

  • Creating a New Trace Column

  • Deleting an Existing Trace Column

  • Clearing Trace Values

  • Creating New Transactions

  • Deleting Existing Transactions


Editing Trace Values

  1. Click on the Data Editor tab.

  2. Click on the Trace Field tab.

  3. Click once on a field in the grid of columns and rows to select that cell.

  4. Click again to place the cursor in that field.

  5. Edit the existing value or type a new value.

  6. Press TAB or ENTER or click outside of the cell to accept the value.


Creating a New Trace Column

  1. Click on the Data Editor tab.

  2. Click on the Trace Field tab.

  3. Click the Options icon [image] and under Selection mode, choose Columns.

  4. Right-click anywhere in the grid of rows and columns.

  5. Choose Create a Trace. An InputDialog appears.

  6. Type the name for the trace in the Trace name box and click OK. The software inserts the new trace column at the end of all the other traces.


Rearranging Trace Columns

  1. Click on the Data Editor tab.

  2. Click on the Trace Field tab.

  3. Move your mouse over the header you want to move.

  4. Click to select the header then drag and drop it to the left or right of another header.

Example showing the Operator column being repositioned to the right of the Cavity column

  5. The columns update to their new positions.


Deleting an Existing Trace Column

  1. Click on the Data Editor tab.

  2. Click on the Trace Field tab.

  3. Click the Options icon [image] and under Selection mode, choose Columns.

  4. Hover your mouse over the trace heading, and then slowly move it toward the first row until your mouse cursor changes to this:

  5. Click to select the entire column.

  6. Right-click and choose Delete a Trace.


Clearing Trace Values

  1. Click on the Data Editor tab.

  2. Click on the Trace Field tab.

  3. Click the Options icon [image] and under Selection mode, choose Columns.

    • To clear a single cell or multiple cells across more than one column or row, in the grid of rows and columns, click for a single cell, or drag your mouse to select multiple cells.

    • To clear all the cells in a column, hover your mouse over the trace heading, and then slowly move it toward the first row until your mouse cursor changes to this: ; then click to select the entire column.

  4. Right-click and choose Clear.


Cause Codes

Cause codes represent reasons for why certain data points, usually outliers, contain unusual values. The Cause Codes tab inside the Data Editor tab displays all the custom cause codes stored in the database and lets you create new causes and edit or delete existing ones. These codes are made available for selection when you right-click on a data point in a chart. See "Adding and Editing Causes" in the "Working with Charts" topic.

You must first apply data to the Data Editor tab before you can view, create, or manipulate cause codes.

Cause Codes tab showing a custom list of predefined cause codes

When you initially access the Cause Codes tab and apply data to the tab, a dummy cause code appears in the list. Edit this or create your own.

These topics provide specific information on things you can do with this tab:

Editing Cause Codes

To edit a cause code:

  1. Click once to select the field you want to edit.

  2. Edit the existing cause code.

  3. Press TAB or ENTER to accept the value and select the next cause code in the column.

Note: Editing an existing cause code does immediately update causes already displayed on your charts. You need to reapply your data or log out and log back in.

Creating a New Cause Code

  1. Right-click inside the tabbed window and click Create a cause. The software adds a new empty field.

  2. Click once to select the empty field.

  3. Type a string of text for the new cause code.

  4. Press TAB or ENTER to accept the value.

Deleting an Existing Cause Code

  1. Click once to select the cause code.

  2. Right-click and choose Delete cause. The software removes the cause code from the database.


Data Editor Tab Toolbar Icons

  • Option


Options Icon (for Data Editor tab)

The Options icon contains these menu items:

Selection Mode - This submenu determines what is selected in the Data Editor when you click on the rows and columns. It contains two selection modes:

  • Rows - If you select this and click on a cell, the entire row will be selected. Clicking and dragging a box in this mode highlights entire rows.

  • Columns - If you select this and click on a cell, only one cell will be selected. However, you can move your mouse near the bottom border of a column header until your mouse cursor changes to this icon [image], and then by clicking you can select the entire column. Clicking and dragging a box around items in this mode highlights exactly what you select.

Set Control Limits - Datapage+ automatically calculates XUCL, XCL, XLCL, RUCL, RCL, and RLCL for all selected feature variables. However, if you want to manually type a control limit, you can do so by editing the fields in the Calculated Control Limits dialog box, which appears when you select this menu option. If saved control limits exist, this dialog box is initialized with that data. Otherwise, the default calculated control limits from the software are used.

Calculated Control Limits dialog box

  • Part and CNC- These lists lets you filter the items in the dialog box by the selected part name and/or CNC machine when you click Query.

  • Query - This button filters the information in this dialog box by what you have selected in the Part and CNC lists.

  • Calculate - This overrides any customized values with the automatically calculated control limits from the software.

  • Save - This button exports the contents of this dialog box into a format suitable for use by Microsoft Excel. A Save As dialog box appears allowing you to choose the filename and path for the file, as well as the file's output format (xml or csv). This can then be loaded into Datapage+ later.

  • Load - This button imports a previously exported csv file containing calculated control limits data.

  • Close - Closes the dialog box.

  • Apply - Applies the changes to the calculated control limits to the part or parts. This button sends these values to the database, and Datapage+ will use them as needed. This means, however, that even if changes have been made to the transactions, Datapage+ will not automatically recalculate the control limits. Rather, it will get them directly from the stored values in the database. If you ever want to remove the stored values from the database, there are two ways to do this:

    1. Clearing Values Using the Feature Monitor Tab - In the Feature Monitor tab, select the desired feature variables. Right-click, under Control Limits, choose Freeze Control limits. Choose the affected transactions, and then click OK. This clears out all the values, including XUCL, XLCL, XCL, RUCL, RCL, and RLCL. See "Feature Monitor Shortcut Menu".

    2. Clearing Values Using the Data Editor Tab - In the Data Editor tab, click on the Measurement tab, use the Options toolbar icon discussed in this topic above, and set the Selection Mode to Rows. Drag to select the variables you want to edit, right-click and choose Edit Variables. The variables dialog box appears. Use this dialog box to clear the control limits values. You can do so by clearing values on by one; or just like using freezing control limits in method one above, you can clear the Constant individual control limits and the Constant subgroup control limits check boxes and then click the To All button. See "Editing Feature Variables" for information on using this dialog box to affect multiple feature variables.

See also:

  • Control Limits


Report Tab

About the Report Tab

Using Predefined Reports

Creating and Saving a New Report

Working with Saved Reports

Working with Report Groups

Working with Grid Properties

Report Tab Toolbar Icons


About the Report Tab

The Report tab lets you work with reports. To understand this tabbed window, you need to first understand that Datapage+ supports the creation of two different types of reports:

  • WebReporter Reports - A WebReporter report is saved into the database. It is essentially a template that is then populated with the latest database information. Whenever you access this report at a later date, it will always query the database for the latest information. This report, then is a dynamic report. It replaces the "macro" functionality in legacy DataPage/DataView applications.

  • ReportViewer Reports - A ReportViewer report is a read-only snapshot of the results when the report was created and saved. It is not linked to the database in any way. You can only view this report using the Report Viewer application.

With the Report tab then, you can create and organize WebReporter and ReportViewer reports as well as view and edit WebReporter reports. See "Set Current Template as Default" for information on changing the default template for Chart, Text, and CAD reports. Use the Template Builder application that comes with the Datapage+ install to create new templates to customize your reports.

Note: Since ReportViewer reports are read-only reports, they cannot be edited.

Sample Report tab Showing all the Pages of a Report

These topics provide specific information on things you can do with this tab:

  • About the Report Tab

  • Using Current Reports

  • Creating and Saving a New Report

  • Working with Saved Reports

  • Working with Report Groups

  • Working with Grid Properties

  • Report Tab Toolbar Icons

Changes to the Side Bar

When working with the Report tab the side bar changes to include report-specific sections such as Current Reports, Saved Reports, and Report Groups. In addition, if you navigate from the Report tab directly back to the Chart, Text, or CAD tabs, the side bar remains with those report-specific sections; also, it only displays reports associated with that tab. For example, if you click on a Text tab, only text reports are displayed.

When viewing the Chart, Text, or CAD tabs in this mode, the Reports and Features areas as the bottom of the side bar become available for selection allowing you to switch between report information and the feature information for that tab.

Customizing CAD Pages

In both the CAD and Report tabbed windows, you can customize your CAD pages by right-clicking on one of them, and from the shortcut menu, choosing from the available options You can duplicate pages, add custom text box objects, add new cad model object, add trihedron objects, and add section cut objects. See the "CAD Pages Shortcut Menu" sub-topic under "Right-click Shortcut Menus" and the "Adding Custom Report Objects" topic for more information.


Using Current Reports

Datapage+ provides three predefined reports in the side bar of the Report tab:

  • Chart Report - This is the current chart report. It uses the information and report template currently displayed in the Chart tab.

  • Text Report - This is the current text report. It uses the information and report template currently displayed in the Text tab.

  • Cad Report - This is the current cad report. It uses the information and report template currently displayed in the CAD tab.

These reports are always available for selection, assuming that you have applied feature or feature variable data to their respective tabbed windows. You can select one, some, or all of these reports in any order and then Apply or Append it to the Report tab.

You can change what templates are used for these reports by defining the report template used from within their respective tabs.


Creating and Saving a New Report

Creating and Saving New Reports

As stated in the "About the Report Tab" topic, there are two types of reports you can create, WebReporter and ReportView. However, these are created in different areas of the software.

Creating a WebReporter Report

  1. Access the Chart, Text, CAD, or Report tabs.

  2. If the tabbed window is empty, from the sidebar click Apply or Append to send data to it as desired.

  3. Fill out any empty fields in the report.

  4. Click the Save Report icon [image] from that tab. The Save Report dialog box appears.

  5. Click the WebReporter report option.

  6. Click OK. A Report dialog box appears. The dialog is discussed in the "Save Report" topic. Fill out this dialog box and click Create. The saved WebReporter report is added to the side bar in the Report tab under the Saved Reports section of the side bar. These can then be applied to report groups.

Note: Keep in mind that the WebReporter Report is a dynamic report that always queries the database to get the latest information. This means if you access this same report at a later date, the information within it may have changed depending on the frequency with which the part data is updated.

Creating a ReportViewer Report

  1. Access the Chart, Text, CAD, or Report tabs.

  2. If the tabbed window is empty, from the sidebar click Apply or Append to send data to it as desired.

  3. Fill out any empty fields in the report.

  4. Click the Save Report icon [image] from that tab. The Save Report dialog box appears.

  5. Click the ReportViewer report option. The Browse button becomes available for selection, and if you're currently accessing the CAD tab, so does the Save CAD model check box. This check box includes the CAD model in the save operation so that users can pan, zoom, and rotate the model within the ReportViewer report.

  6. Use the Browse button and specify the report's filename and location. The default location is in the Reports subdirectory where Datapage+ was installed.

  7. Click OK. The ReportViewer report is saved as a .dpreport filename.

Note: Keep in mind that the ReportViewer Report is a static snap-shot of the current tab's contents at the time you clicked Save Report. It can only be viewed within the Report Viewer application. Since this is a single file, it functions nicely as a portable report.


Working with Saved Reports

The Saved Reports section of the Reports tab lists all the saved WebReporter reports for the selected part. Reports for other parts are only displayed if that part is first selected.

Note: Only WebReporter type reports are displayed here. To view a saved ReportViewer report, use the ReportViewer application.

These WebReporter reports are initially saved from the Chart, Text, or CAD reports, but they can also be applied or appended to the Report tab, allowing you to combine them and save them as an additional type of WebReporter report that contains multiple sections.

  1. This lists the selected number of reports out of the total number of reports.

  2. The icons on the left of the report's name display the types of reports listed. These icons depict either text [image], chart [image], or cad [image]. Reports with multiple sections will not display an icon here.

  3. This displays the textual name of the report.

  4. The icons on the right of the report's name display the types of charts used in the reports. These icons are the same as those displayed on the Chart tab.

  5. These icons allow you to perform the following actions:

Icon | Description
 | Show Report Group. This icon shows or hides the Report Groups section in the Report tab. See " Working with Report Groups".
 | Edit the Selected Report. This icon accesses the Report dialog box for that report. See the "Save Report" topic for information on working with this dialog box. You can also right-click on the report and select Edit Report.
 | Delete the Selected Report. This icon deletes the selected report from the database. You can also right-click on the report and select Delete Report.

More:

Exporting and Importing Reports


Exporting or Importing Reports

Exporting and Importing Reports

You can easily import or export XML reports (with .WebReportFile filename extensions) by right-clicking on the Saved Reports area and selecting either Import or Export. These shortcut menu items are discussed in the "Right-click Shortcut Menus" topic under the "Reports List (Report Tab) Shortcut Menu" sub-topic.

Importing with the Report Selection Dialog Box

The Report Selection dialog box and how it is used to mirror existing reports is discussed below:

Report Selection dialog box

This dialog box contains the following items:

Parts - This list displays the selected part.

WebReports - This list shows all the web report files already in the Saved Reports area of the side bar.

Mirror the report - This check box enables or disables mirroring options. When you mark this check box, the Label mirror option area and the CAD mirror option area become available for selection. If no mirroring takes place, a copy of the original is imported.

Label mirror option - This area lets you mirror the labels. It contains these options:

  • None - No label mirroring occurs.

  • Vertical - Labels are mirrored vertically. Labels on the sides will switch places on a vertically mirrored report.

  • Horizontal - Labels are mirrored horizontally. Labels on the top and bottom will switch places on a horizontally mirrored report.

CAD mirror option - This area lets you mirror the CAD in your report. Datapage+ will mirror the CAD drawing in the specified axis and display the mirrored image in the imported report. It contains these options:

  • None - No CAD mirroring occurs.

  • XY, YZ, or ZX - These let you choose the axis you want to mirror.

OK - Performs the import operation, mirroring the labels or CAD as specified.

Cancel - Closes the dialog box without importing anything.


Working with Report Groups

Just as you can assign parts to different categories (see "Categories"), you can also assign reports to specified report groups in the Report tab's side bar. Clicking a report group will only show the reports assigned to that group. After selecting a group, if you want to view all the reports, you need to deselect the selected group first. To deselect a selected group, click on the gray background of the Reports Group area of the side bar.

Report groups also provide you with a way of combining reports together that you can then easily apply or append as a single group to the tabbed window.

Note: To work with report groups, first ensure that the Report Groups section of the side bar is visible by clicking the Show Report Group icon [image] from the Saved Reports section of the Report tab's side bar.

Creating a New Report Group

  1. Click the green Create a New Report Group icon [image] An input box appears.

  2. Type a name for the report group and click OK.

Creating a Subgroup

  1. Select the subgroup's parent group.

  2. Click the green Create a New Report Group icon [image] An input box appears.

  3. Type a name for the report group and click OK. The subgroup appears under the selected folder. After creating a subgroup, if you want to create a group back at the top-most level of the folder tree structure, you need to deselect any selected group first. To deselect a selected group, click on the gray background of the Report Groups area of the side bar.

Editing a Selected Report Group

  1. Select a report from the Report Groups section.

  2. Click the Edit the selected Report Group icon [image] . An input box appears containing the current name.

  3. Rename the report group as desired and click OK.

Assigning a Report to a Report Group

  1. Select the report from the Saved Reports section and drag it down on top of the Report Group's name.

  2. Release the mouse button.

  3. The report appears not only in the Saved Reports section, but now appears within that report group as well.

Applying or Appending Groups to the Report Tab

Simply select a group and click the Apply or Append icons. All the reports in that group will then either be added or appended to the tabbed window.


Working with Grid Properties

A grid, as defined in Datapage+, is a table-like structure with rows and columns that exists inside of reports, these rows and columns result in cells. Generally, reports in Datapage+ use these cells to hold header information, such as company logos and textual information about the report.

A sample grid is shown here with a grid cell selected

You can modify a grid cell's properties to change its background color, add an image, change the font, in some cases change the text, and so on by using the Grid Property dialog box. To access this dialog box, simply right-click on a grid cell.

Grid Property dialog box

The Grid Property dialog box contains the following information:

Cell - This label indicates the type of item selected.

Cell type - This drop-down list indicates the type of data to be held in the cell. It switches between textbox and image.

Important: You should exercise care when switching from textbox to image on a cell that already contains text. If you then select an image to display and click Apply, your text is lost and can only be recovered by regenerating the report.

Select - This button lets you choose an image to display inside of the selected cell. If you select image from Cell type, the Select button becomes enabled so you can choose an image to display.

Cell justification - These buttons let you set the alignment of the text within the cell, either vertically or horizontally. If horizontal, you can align the text to the left, the center, or the right of the cell. If vertical, you can align the text to the top, the middle, or the bottom.

Horizontal Alignment Buttons

  • Left - Aligns the text with the left side of the cell.

  • Center - Aligns the text horizontally in the center of the cell.

  • Right - Aligns the text with the right side of the cell.

Vertical Alignment Buttons

  • Top - Aligns the text with the top of the cell.

  • Middle - Aligns the text vertically in the middle of the cell.

  • Bottom - Aligns the text with the bottom of the cell.

Font - This button accesses the Font Chooser dialog box. You can use this dialog box to modify the cell's font, font style, font weight, font size, affects, as well as change its font color. Any text in that cell is then modified to use these font properties.

Font Chooser dialog box

Background Color - This displays a standard Color dialog box, letting you choose the color to display for the cell's background.

Text Color - This displays a standard Color dialog box, letting you choose the color to display for the any text in the cell.

Line Color - This displays a standard Color dialog box, letting you choose the color to display for the cell's lines (or border).

OK - Closes this dialog box. If you've clicked Apply first then this saves the currently defined items on the dialog box for this report.

Cancel - Closes this dialog box.

Apply - Applies the current configuration for the current report.

This sample header shows modified font, background, and image properties


Report Tab Toolbar Icons

  • Print Report

  • Save Report

  • Refresh

  • General Mode

  • Book Mode

  • Tiles

  • Pan

  • Edit

  • 100%

  • Page X of Y

  • Page Up

  • Page Down


Report Tab Refresh Icon

Press the Refresh button to update the screen whenever any changes have been made to the Report tab screen.


Account Managment

Account Management

About Account Management

Managing Departments

Managing User Accounts


About Account Management

Datapage+ provides you with an Account Management window that lets those with administrator access do the following:

  • Manage user accounts - You can create new user accounts, view existing accounts, set user privileges, or delete accounts.

  • Manage departments - You can create new departments, edit existing departments, assign user accounts to departments, or remove user accounts from departments.

To access the Account Management window, select the Account... menu item from the Tools menu.

Account Management Window showing user names and user pictures

This window behaves much like the main window in Datapage+. It contains similar user interface elements, such as side bar, main view, and toolbar area. These are briefly discussed here:

  • Side Bar - The side bar contains two headings, Users and Departments allowing you to work with user accounts or departments or both (by dragging users to existing departments). These headings contain their own toolbar icons for adding new users, or adding, editing, or deleting departments.

  • Main View - The main view of the Account Management window can show all users in the database or only those assigned to a specific category.

  • Toolbar Area - The area at the top of the main view contains Back and Forward navigation buttons [image] [image] allowing you to move back and forth through a history of displayed information in the window. It also contains a Submit button for accepting database record changes.


Managing Departments

If you have access to the Account Management window then you can create, edit, or remove departments by using the toolbar at the top of the that window. The icons include the following:

Icon | Description
 | Creates a new department. A simple input dialog box appears, letting you add the new department into the database. Newly added departments will appear in the side bar.
 | Deletes the selected department. The department is removed from the side bar.
 | Edits the selected department. A simple input dialog box appears, letting you edit the name of the department in the database.


Managing User Accounts

Viewing Users

  • Picture Mode - When you first see user accounts displayed in the main view, you only see their names and the users' pictures. This picture mode is the default mode for viewing users' accounts. You need to be in this mode to assign a user to a category, remove a user account from a category, or delete a user record. If you need to get to this mode, click the Back navigation button from the toolbar area.

A Sample "Picture Mode" User List

  • View All Mode - This mode changes the user list in the window's main view to display a table-like view of all the users in the group, containing their user name, priority, access rights, address, and last access and registration dates. To access this mode, either double-click on a specific user picture from within the Picture Mode list to see that account's information, or right-click on any department category or on All Users and select View All to see all available information for the listed users. You need to be in this mode to change user-access privileges.

A Sample "View All Mode" User List

Using the Sidebar to Manage Users

Using the sidebar, you can choose to view users assigned to individual departments by simply clicking on the department. Or you can click All Users to display all registered users, regardless of department. In either case, Datapage+ displays all the user accounts in the Account Management window.

To assign a user to a department category, simply drag the user onto the desired department's name. The mouse cursor changes to a pointer with a plus symbol, indicating that you are adding that account into that department.

You can assign users to more than one category.

To remove a user from a department category, right-click on the user and select Delete from the shortcut menu. This does not delete the user from the database, but merely removes them from the selected department.

Changing a User's Access Privileges

Access the user's account in View All mode as described above.

Set the desired access for the user in the Access column. Available access rights from lowest to highest are:

  • WaitingforApproval - This type of user cannot log into the database yet. Someone with administrator access must change this to a higher privilege before the user can use Datapage+.

  • Offline - This type of user can log into the database, perform queries, view and print reports. However, the user cannot save reports.

  • ReportViewing - This type of user can do everything an Offline user can do, but can also save reports.

  • FullAccess - This type of user can do everything a ReportViewing user can do, but has full access to modify database information as well.

  • Administrator - An administrator can do everything a FullAccess user can do. In addition, an administrator has access to work with user accounts and departments.

To change a user's access rights, you must have administrator account privileges. Simply select the appropriate item from the drop-down list to the right of the user's name in the Access column, and click the Submit button from the toolbar area.

Once you've applied the change, you can return to the default view by clicking the Back button from the toolbar.

To Create a User Account

  1. From the sidebar, click the Create a New User icon.

  2. The Register User dialog box appears.

  3. Fill out the dialog box to create the new user account.

For information on this dialog box see the "Registering and Logging In" topic.

To Access "View All" Mode on a Subset of User Accounts

  1. From the sidebar, click All Users. All the user accounts will appear in the Account Management window.

  2. Select one or more users (use SHIFT or CTRL keys while clicking to select multiple users), and then right-click on them and select View from the shortcut menu.

  3. The subset of selected records will appear in View All Mode.

To Delete User Accounts

  1. From the sidebar, click All Users. All the user accounts will appear in the Account Management window.

  2. Ensure the user list is in Picture Mode.

  3. Select one or more users (use SHIFT or CTRL keys while clicking to select multiple users), and then right-click on them and select Delete from the shortcut menu.

  4. A warning message will appear asking if you really want to delete the selected user(s).

  5. Click Yes if you're sure you want to delete the selected account(s).

To Export User Accounts as a .dpusers File

  1. To export all users, from the sidebar, right-click on All Users and choose Export.

  2. To export a single user account:

    • From the sidebar, click All Users. All the user accounts will appear in the Account Management window.

    • Ensure the user list is in Picture Mode.

    • Right-click on a user's picture and choose Export.

  3. A Save As dialog box appears.

  4. Use the dialog box and navigate to a directory of your choice.

  5. Change the name in File name box if desired.

  6. Click Save. The software exports the selected user or users into the .dpusers file.

To Import an Exported .dpusers File into the Current Database

  1. From the sidebar, right-click on All Users, or right-click in the main view of the Account Management window.

  2. Choose Import.

  2. An Open dialog box appears.

  3. Navigate to the directory containing the .dpusers file.

  4. Select the .dpusers file and click Open.

  5. The software imports the selected user or users into the database.


Viewing and Querying Administrator Logs

Datapage+ keeps a log of many different operations taken by the users and stores these in the database. You can view this operations log by accessing the Tools | View logs menu item from the Main Menu Bar. This menu item only appears if you have Administrator privileges. This opens the Log Tracer dialog box. The Log Tracer dialog box displays a log of the many different operations taken by the various users in the database:

Operations Tracked

The following operations are tracked and stored in the database.

  • User - Logging in and logging out of the database; registering a new user, editing a user, or deleting a user

  • Category - Creating, editing, or deleting a category

  • Query - Creating or editing a query.

  • Variable Set - Creating, editing, or deleting a variable set

  • Part - Assign a part to category or removing a part from a category; deleting a part from the database; modifying the part thumbnail or a part alias

  • CAD image - Changing a part's CAD image or state. . Wireframe CAD, CAD Image

  • Data - Importing Data

  • Variables - Creating, editing, or deleting variables; editing a variable's measured value

  • Transactions - Creating or deleting transactions

  • Trace - Creating, editing, or deleting a trace; editing a trace value

  • WebReport - Creating, editing, importing, or deleting a WebReport

  • ReportGroup - Creating, editing, or deleting a ReportGroup

Sample Log Tracer dialog containing data

It contains four columns of data:

  • DateTime: The date an time of the operation

  • User: The user that performed the operation

  • Computer: The computer the user was using at the time

  • Operation: The operation performed

Using the Log Tracer

  • Sorting: To sort by a column, click that column heading. The small triangle arrow on the column displays whether the sort is ascending or descending.

  • Filtering: To filter the data in the Log Tracer dialog box, define a query from the drop down lists available and click Query.

Sample query filtering the data by a specified user name


Statistics Tools

Statistics and Reporting Tools

About the Statistics Tools

Using DataPageStats.exe

Using PcdmisXMLStatsToDatabase.exe

Using DataImporter.exe

Using the Report Delivery Tool


About the Statistics Tools

About the Statistics and Report Generation Tools

In addition to the powerful tools included inside Datapage+ itself, the Datapage+ installation also provides some handy utilities (.exe files) that work together to import statistics data from different file types into a Datapage+ database and automatically generate and send reports.

The following topics describe how to use these tools:

  • Using DataPageStats.exe - This tool is intended for use with older versions of PC-DMIS where sending data to a Datapage+ database isn't supported using the usual PC-DMIS's STATS/ON command (prior to PC-DMIS 2010). For those versions, this tool sends statistical data from the PC-DMIS part program to an XML file. Two new DataPageStats modes are also described - Recieving mode and Listening mode.

  • Using PcdmisXMLStatsToDatabase.exe - This is an import tool monitors a directory and imports the XML data created from the DataPageStats.exe file into the Datapage+ database (included with Datapage+ 4.0).

  • Using DataImporter.exe - This newer import tool supersedes the older PcdmisXMLStatsToDatabase.exe file. It does everything the old import tool does, it supports more file formats than just XML as well as some additional operations. (included with Datapage+ 2011).

  • Report Delivery Tool - The Report Delivery tool automatically generates and sends reports.


Using DataPageStats.exe

This tool lets you create a new XML statistics file from your current part program. If you're using PC-DMIS 2010 or higher, you can simply use the STATS/ON command in PC-DMIS instead.

To use this tool:

  1. Ensure that your PC-DMIS part program contains dimensions.

  2. In your PC-DMIS part program, add an EXTERNAL COMMAND at the end of the part program that references the DatapPageStats.exe file. By default, this file is located here:

C:/Program Files/WAI/DataPage+/DataPageStats.exe

The DataPageStats.exe command supports the following parameters:

    • No parameters
      This starts DatapageStats in ReceiveAll mode. See "DataPageStats Working Modes" below.

    • -l or -listening
      This starts DataPageStats in listening mode. See "DataPageStats Working Modes" below.

    • -e or -end
      This ends the previous DataPageStats instance.

    • -s or -settings
      This displays the settings dialog box.

  3. Execute your part program. When the execution reaches the EXTERNAL COMMAND, the executable runs. A progress bar appears while the XML output is performed.

  4. Once the program executes a part program containing statistical data, it creates the following file in your DirectoryForStatsFiles sub directory:

    • An XML file based on the data within that program.

  5. Once the file exists inside the directory, you can use the PcdmisXMLStatsToDatabase.exe file or the DataImporter.exe file to import the XML statistics file into a Datapage+ database of your choice. See "Using PcdmisXMLStatsToDatabase.exe" and "Using DataImporter.exe".

DataPageStats Working Modes

The DatapageStats tool has been enhanced so that it can receive the command data from PCDMIS at the same time the PC-DMIS part program is executing.

DataPageStat now has two working modes called ReceiveAll mode and Listening mode.

ReceiveAll (default mode)

This mode works the same way as in the past. An external command is inserted at the END of the PC-DMIS part program as shown below.

DatapageStats will exit automatically when it's finished receiving all data from PCDMIS.

Listening

This is the new DataPageStats working mode that runs as a background application listening to the PCDMIS execution events. An External Command is inserted at the START of the PC-DMIS part program with a -listening parameter as shown below.

DatapageStats will exit automatically when PC-DMIS finishes executing the active part program.

Settings for DataPageStats

The Settings for DataPagePlus utility is available to update the XML filename as needed.

  1. To start Settings for DataPagePlus, from the Start menu navigate to Start | All Programs | DataPage+ | Tools | Setting for DataPageStats as shown below.

  2. The Settings For DataPageStats dialog appears.

    • Click on the Browse... button to change the directory to where the XML file will be stored.

    • Click on the Edit... button to change the name of the XML file.

    • Click on the Close button to close the Settings For DataPageStats dialog. Any changes made will be saved.


Using PcdmisXMLStatsToDatabase.exe

This tool was enhanced in version 2011 to function identically to the Data Importer tool. It remains for backwards compatibility purposes. For information on this tool, consult the documentation on the DataImporter.exe file. See "Using DataImporter.exe".


Using DataImporter.exe

Data Importer dialog box

The DataImporter.exe tool allows you to monitor a specified directory on a local computer or a network for these types of files: DMP, CSV, DMO, XML, RTF, Mitutoyo text, Generic Excel Format, Quindos, and Blade (BSF).

Data Importer will use a defined interval to read the data from the monitored file(s) and import that data into the database defined in Destination Database.

You can re-access the database at any time inside Datapage+ to get at the new data by using the Refresh icon.

This tool resides in the directory where you installed Datapage+. To use it, simply run DataImporter.exe, fill out the resulting dialog box, and then either click the Check button to check the monitored directory now, or click the Close button to automatically check the monitored directory using the time interval in the Auto Check area. Once you run this program an orange W icon appears in your system tray.

To completely exit the Data Importer dialog box, right-click on the tool in the system tray and choose Exit.

Dialog Box Items

The dialog box contains these items:

File Monitor: This area defines the directory to monitor for any of the selected file types. The default directory to monitor is:
C:\Program Files\WAI\Datapage+ 2011\ForStatsFiles.

You can specify the directory to monitor by using the Browse... button.

You can monitor any of these supported statistics files: DMP, CSV, DMO, XML, RTF, Mitutoyo text, Generic Excel Format, Quindos and Blade (BSF).

The Customize... button lets you customize the import settings for these file types. It uses the same interface as the data import wizard discussed in the "Importing Existing Statistical Data" topic.

The tool will look in the Path to Monitor directory at the specified interval, and if it detects any new files, it will send the data in those files to the database defined in the Destination Database area.

File Disposition: When a statistics file is detected in the monitored directory, and after the data has been imported into the specified database, you can use this area to tell the tool what to do with the file. You must use one of these items so that the file is no longer monitored once it has been processed. The available options are:

  • Move to directory - This moves the statistics file out of the monitored directory into the to the new directory.

  • Delete - This deletes the statistics file.

  • Rename - This renames the statistics file to a different extension.

Destination Database: This lets you choose the database to which the tool will send the data in the statistics file. It contains these options:

  • Always use the same database with Datapage+ - This will use the same database that Datapage+ is currently configured to use.

  • Specify a Different Database - The tool will use a different database specified by using the ... browse button. Clicking this button opens the Database Connection Properties dialog box. For a description of this dialog box, see "Connecting to a Database".

Auto Check: This area lets you define whether or not to automatically check the monitored directory using the defined time interval. Set the time interval as a value in the edit box and select the time component (seconds, minutes, hours) from the drop down list.

Miscellaneous: This area lets you automatically send an export of MDI files (XML files) to a specified directory as well as generate and send a report and a notification email.

  • Export MDI files - If marked Datapage+ exports XML files for the most recently handled statistics files. The default directory is:
    C:\Program Files\WAI\Datapage+ 2011\ForExportMDIFiles

  • Browse - This changes the export directory for the exported MDI files.

  • Generate report and send mail - If marked, Datapage+ generates a report and sends an email of the most recently handled statistics files, using the settings defined in this area's Customize button. This is used to inform someone that the incoming data contains out-of-tolerance measurements and generate a report of the incoming data.

  • Customize - This button displays the Report and Email configuration dialog box. See "Customizing Report and Email Settings" below.

Show this dialog when startup: This determines whether or not to display this tool's user interface whenever you run the .exe file. If the check box is cleared, the user interface is hidden while the tool continues to run in the background. You can tell it is running because an icon appears in the system tray. It continues to use the settings already defined. To access the tool's settings at any time, right-click on the icon in the system tray and choose Settings.

Check: This runs an immediate check on the monitored directory. You can also run a check from the system tray icon, by right-clicking on it and choosing Check.

Close: This closes the tool, placing it in a hidden mode while it continues to monitor the defined directory in the background. To permanently close the tool, even from the system tray, right-click on the icon and choose Exit.

Customizing Report and Email Settings

Report and Email Configuration dialog box

This dialog box appears when you click the Customize... button in the Miscellaneous area. This is identical to the Report Delivery tool.

It contains these areas:

When: The option buttons here control when the report is generated or when the email notification is sent.

  • Every time of check - The tool generates the report or sends the email whenever files are handled.

  • Every [x] hours, starting at [y] - The tool generates the report or sends the email every x hours, starting at the time indicated by y.

Email Engine:

SMTP Server: This defines the mail server to use for sending the email message.

Port: Defines the server port to use for outgoing messages.

Email Address: This is the email address that will appear in the generated email message's From field.

Password: This defines the password to access the SMTP server.

Require log on using Secure Password Authentication (SPA): Mark this check box if your SMTP server uses the SPA protocol.

Select Part: This lets you choose from the list of parts that are stored in the Datapage+ database. Selecting a part shows all the WebReporter reports used by that part in the Existing Reports and Selected Reports lists. It also enables the Specified notification check box and button.

Specified notification: The check box determines whether or not an email is automatically generated and sent whenever reports related to the selected part are modified by Datapage+. You can mark this check box for more than one part. Any selected part with a marked check box, will have automatically send the report by email whenever this tool detects a change in the WebReport. Clicking the Select Notification button displays the Email Recipient dialog box for this check box. While this dialog is identical to the one discussed in the General Notification below, it holds different information.

Existing Reports: This list contains all the reports for the selected part in the database. If nothing is selected from Select Part it contains all the reports for all parts in the database.

Selected Reports: This list shows the reports chosen to use as templates to generate automatic reports using the incoming data. If any reports are listed here they generate the report or reports from the incoming data. Generated reports will be saved in the folder defined in the Directory box and sent out to email addresses as defined in the Email Recipient dialog box.

Directory: This specifies the directory to which generated reports will be saved. The default directory is here:
C:\Users\<user>\AppData\Roaming\DataPage+\Reports from DataImporter where <user> represents your Window's user name.

Save as type: This defines the type of report format to use for the automatically generated reports. Generated reports can be in XPS format, ReportViewer files or both.

General Notification - If marked, this sends an email notification using the settings in this Email Settings dialog box for any reports in the Selected Reports list. The Email Settings dialog is accessible by clicking the browse button [image] next to this check box:

Email Recipient dialog box

Email to: This defines the main recipient's email address.

cc: This defines an alternate recipient email address to receive a copy of the email message.

Subject: This defines the text that appears in the email message's subject field.

Require report attachment: Marking this check box includes any generated reports as an attachment to the email.

Require out of tolerance information: Marking this check box appends out-of-tolerance information to the email, following the header.

Header: This defines the initial body text of the generated email text that appears before any other reported information.


Report Delivery

Using the Report Delivery Tool

Datapage+ provides a report delivery tool that when running lets you send reports to a specified directory or email them. This functions similarly to the Generate and Send Email functionality in the Data Importer tool.

This tool resides in the directory where you installed Datapage+. To use it, simply run ReportDelivery.exe, fill out the Report Delivery Configuration dialog box, and then click OK. Once you run this program an orange W icon appears in your system tray.

To generate a report or email notification based on your settings in the Report Delivery Configuration dialog box, right-click on the tool in the system tray and choose the Generate option.

To completely exit the Report Delivery tool, right-click on the tool in the system tray and choose Exit.

Dialog Box Items

Report Delivery Configuration dialog box

Since this dialog box is essentially identical to the Report and Email Configuration dialog box discussed in the "Using DataImporter.exe" topic, you should see the "Customizing Report and Email Settings" heading in that topic for information on this dialog box.

Note that there is this one difference with the Report Delivery tool. The Directory box contains a different pathway. Reports are sent, by default, to this folder:
C:\Users\<user>\AppData\Roaming\DataPage+\Reports from ReportDelivery where <user> represents your Window's user name.

Running Report Delivery as a Scheduled Task

After you have set up the Report Delivery Configuration dialog box, you can automatically launch the tool on a scheduled basis by assigning it to your computer's Scheduled Tasks functionality.

  1. Open the Task Scheduler by pointing to Start | Control Panel | Administrative Tools | Task Scheduler.

  2. On the Actions Pane on the right, click Create Basic Task. A wizard appears to aid you in creating the macro that will launch the Report Delivery tool.

  3. On the Create a Basic Task screen, type the name for the task and a description. Click Next.

  4. On the Task Trigger screen, define the trigger that launches the task. Usually this will be a recurring time you will define. Click Next.

    • A second screen for the trigger may appear at this point to provide more detailed information. For example, if you had selected Daily as your trigger, a time field would appear allowing you to define when, once a day, the task would run.

    • Click Next to get to the Action screen.

  5. On the Action screen, choose Start a program as the action. Click Next.

  6. On the Start a Program screen, click the Browse button and point to the batch file, ReportDelivery.bat, located in the directory where you installed PC-DMIS and click Open.

    Using this batch file allows the report delivery tool to close down when the necessary work is done.

    The pathway will appear in the Program/script box. Click Next.

  7. On the Summary screen, verify the Report Delivery tool will launch at the specified time. Choose to open the properties dialog box for this task. Click Finish.

  8. The Properties dialog box for the task you created appears. This lets you configure the scheduled task in detail, modifying, security options, triggers, actions, conditions, and other settings. Use the Help file that came with your operating system if you need information on using this functionality.

  9. Click on each of the tabs at the top of the dialog box and modify any properties as desired.

  10. When you finish, click OK to close the properties dialog box.

When the trigger event occurs, your computer's Task Scheduler will launch the Report Delivery tool to your system tray automatically.


Mathematical Formulas, Calculations, and Tables Used

  • Estimates of Standard Deviation Based on Control Charts

  • Control Limits

  • Calculation of Capability Based on Normal Distribution Parameters

  • Capability Indexes: Table of Calculations

  • Table of Constants

  • Distribution Statistics

  • Table of d*2 Values

  • Confidence Limit Calculations for Variance Components


Control Limits

Control Limit Calculations

For an explanation of control limit calculations for the following charts, see the topics below:

  • Control Limit Calculations for Run Charts

  • Control Limits for Individual Charts

  • Control Limits for XBAR & R Chart

  • Control Limits for XBAR & S Charts

  • Control Limits for X Tilde & R Charts


Control Limit Calculations for Run Charts

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Control limit calculations for Run Charts differ depending upon your default selections for the Process Chart. Depending upon which of the following charts you have selected as your default Individual Chart, the control limits will be calculated using one of the formulas below:

XMR(2) Chart | XMR(3) Chart | RX Chart
`IXUCL = x + 2.660x` | `IXUCL = x + 1.772x` | `IXUCL = x + 2.660x`
`IXLCL = x - 2.660x` | `IXLCL = x - 1.772x` | `IXLCL = x - 2.660x`


Control Limits for Individual Charts

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Control limits for all Individual Charts (the XMR(2), XMR(3), and RX Charts) are calculated using the formulas below:

XMR(2) Chart | XMR(3) Chart | RX Chart
`IXUCL = barx + 2.660bar(MR)` | `IXUCL = barx + 1.772bar(MR)` | `IXUCL = barx + 2.660bar(PR)`
`IXLCL = barx - 2.660bar(MR)` | `IXLCL = barx - 1.772bar(MR)` | `IXLCL = barx - 2.660bar(PR)`
`IRUCL = 3.267bar(MR)` | `IRUCL = 2.574bar(MR)` | `IRUCL = 3.267bar(PR)`
`IRUCL = 0.0 | `IRLCL = 0.0` | `IRLCL = 0.0`

For all Individual Charts, the process standard deviation is:

`sigma = bar(MR)/(d2)` or `sigma = bar(PR)/(d2)`


Control Limits for XBAR & R Chart

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Control limits for XBar & R Charts are calculated as follows:

  1. The subgroup average and the range for each subgroup are calculated by using the equations below, where n is the subgroup size:

    `R=X_(high)- Y_(low)`

    `barX = (X_1 + X_2 + . . . X_n) / n`

  2. The average range and the process average (the process average is the average of all subgroup averages) are calculated by using the equations below, where k is the total number of complete subgroups:

    `barR = (R_1 + R_2 + . . . R_k) / k`

    `barbarX = (barX_1 + barX_2 + . . . barX_k) / k`

  3. The control limits are calculated based on constants:

    `barXUCL = barX + A_2barR`

    `RUCL = D_4barR`

    `barXLCL = barbarX - A_2barR`

    `RLCL = D_3barR`

Note: The values of the constants vary based on the subgroup size. Refer to the Table of Constants for the values of constants.

  4. The process standard deviation is then:

    `sigma = barR / (d_2)`


Control Limits for XBar & S Charts

Control Limits for XBAR & S Chart

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Control limits for XBar & S Charts are calculated as follows:

  1. The subgroup average and the range for each subgroup are calculated by using the equations below, where n is the subgroup size:

    `R=X_(high)- Y_(low)`

    `barX = (X_1 + X_2 + . . . X_n) / n`

  2. The average range and the process average (the process average is the average of all subgroup averages) are calculated by using the equations below, where k is the total number of complete subgroups:

    `barR = (R_1 + R_2 + . . . R_k) / k`

    `barbarX = (barX_1 + barX_2 + . . . + barX_k) / k`

  3. The standard deviation of each subgroup is calculated using the following formula, where n is the subgroup size:

  4. The average standard deviation is calculated:

    `barS = (S_1 + S_2 + . . . S_k) / k`

  5. Then, the control limits
     are calculated based on constants:

`barXUCL = X + A_(3barS)`        `SUCL
     = B_(4barS)`

`barXLCL = X - A_(3barS)`        `SLCL
     = B_(3barS)`

Note: The values of the constants vary based on the subgroup size. Refer to the Table of Constants for the values of constants.

  6. The process standard deviation is then:

    `sigma = barS/C_4`


Control Limits for X Tilde & R Charts

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Control limits for XBar & R Charts are calculated as follows:

  1. The subgroup average and the range for each subgroup are calculated by using the equations below, where n is the subgroup size:

    `R=X_(high) - Y_(low)`

    `barX = (X_1 + X_2 + . . . X_n) / n`

  2. The average range and the process average (the process average is the average of all subgroup averages) are calculated by using the equations below, where k is the total number of complete subgroups:

    `barR = (R_1 + R_2 + . . . R_k) / k`

    `barbarX = (barX_1 + barX_2 + . . . barX_k) / k`

  3. To calculate the control limits, first the average of the subgroup medians and the average of the subgroup ranges are calculated. Then, the control limits are calculated using constants based on subgroup size (Refer to the Table of Constants):

    `barX~UCL = barX~ + AT_2R` `RUCL = D_4barR`

    `barX~LCL = barX~ - AT_2R` `RLCL = D_3barR`

Note: The values of the constants vary based on the subgroup size. Refer to the Table of Constants for the values of constants.

  4. The process standard deviation is then:

    `sigma = barR / (d_4)`


Capability Indexes

These topics cover capability indexes:

  • Capability Indexes: Table of Calculations

  • Calculation of Capability Based on Normal Distribution Parameters

  • Estimates of Standard Deviation Based on Control Charts

  • Calculation of Capability Indexes

  • Sample Standard Deviation

  • Calculating Capability Indexes

  • Control Chart Estimated Standard Deviation Constants


Capability Indexes: Table of Calculations

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Calculations of capability indexes vary based on the control chart selected and the subgroup size:

If the subgroup's size is greater than 1: |  |  |  | If the subgroup's size is 1:
 | XBar & R | X Tilde & R | XBar & S | RX | XMR(2) | XMR(3)
Cp | `((USL - LSL))/(6sigma_R)` | `((USL - LSL))/(6sigma_R)` | `((USL - LSL))/(6sigma_S)` | `((USL - LSL))/(6sigma_(PR))` | `((USL - LSL))/(6sigma_(MR2))` | `((USL - LSL))/(6sigma_(MR3))`
Cpu | `((USL - mu))/(3sigma_R)` | `((USL - mu))/(3sigma_R)` | `((USL - mu))/(3sigma_S)` | `((USL - mu))/(3sigma_(PR))` | `((USL - mu))/(3sigma_(MR2))` | `((USL - mu))/(3sigma_(MR3))`
Cpl | `((mu - LSL))/(3sigma_R)` | `((mu - LSL))/(3sigma_R)` | `((mu - LSL))/(3sigma_S)` | `((mu - LSL))/(3sigma_(PR))` | `((mu - LSL))/(3sigma_(MR2))` | `((mu - LSL))/(3sigma_(MR2))`
Cpk | `M\i\n(Cpu,Cpl)`* | `M\i\n(Cpu,Cpl)`* | `M\i\n(Cpu,Cpl)`* | `M\i\n(Cpu,Cpl)`* | `M\i\n(Cpu,Cpl)`* | `M\i\n(Cpu,Cpl)`*

* If there is no lower tolerance, then `Cpk = Cpu`.

See also:

Calculation of Capability Based on Normal Distribution Parameters

Estimates of Standard Deviation Based on Control Charts


Calculation of Capability Based on Normal Distribution Parameters

If X1, X2, . . . Xn is the set of sample measurement values, normal distribution parameters are calculated using the following formulae:

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Mean:

`mu = (sum x_i)/n`

`sigma = sqrt (sum(x_i-mu)^2/(n-1))`

`sum_(i=1)^n i=(n(n+1))/2`

Sigma:

`Pp = ((USL * LSL))/(6sigma)`

`Ppu = ((USL - mu))/(3sigma)`

`Ppl = ((mu - LSL))/(3sigma)`

`Ppk = \M\i\n(Ppu,Ppl)`

[If no lower tolerance exists, then `Ppk=Ppu`]


Estimates of Standard Deviation Based on Control Charts

The following calculations of estimated standard deviation are used in the calculation of capability indices for control charts:

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Sigma Based on the Range:

`Sigm\a_((R))=barR/d_2`
where `barR` is the average subgroup range from the XBar & R or X Tilde & R Chart and `d_2` is the standard SPC constant based on the subgroup size.

Sigma Based on the Subgroup Standard Deviation:

`Sigm\a_((S))=barS/c_4`
where `barS` is the average subgroup standard deviation from the XBar & S Chart and `c_4` is the standard SPC constant based on the subgroup size.

Sigma Based on the Paired Range:

`Sigm\a_((PR))=bar(PR)/d_2`
where `bar(PR)` is the average subgroup range from the RX Chart and `d_2` is the standard SPC constant using subgroup size 2.

Sigma Based on the Moving Range:

`Sigm\a_((MR2))=bar(MR)/d_2`
where `bar(MR)` is the average subgroup range from the XMR(2) Chart and `d_2` is the standard SPC constant using subgroup size 2.

`Sigm\a_((MR3))=bar(MR)/d_2`
where `bar(MR)` is the average subgroup range from the XMR(3) Chart and `d_2` is the standard SPC constant using subgroup size 3.

See also:

Capability Indexes: Table of Calculations


Calculation of Capability Indices

Calculation of Capability Indexes

All capability indices calculations are based on estimates of the standard deviation of the process. There are several formulae that can be applied to the data for the purpose of estimating the standard deviation. Control chart estimates are based on within subgroup variation and are dependent on the order of measurement. The sample standard deviation is based only on the distribution of the data. This estimate is not affected by the measurement sequence.

  • Sample Standard Deviation

  • Estimates of Standard Deviation Based on Control Charts

  • Calculating Capability Indexes

  • Control Chart Estimated Standard Deviation Constants


Sample Standard Deviation

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

In these calculations, N represents the number of measurements and X1, X2, …, Xn represent the measured values.

The first step is to calculate the mean (`mu`), the average of all the measurements.

`mu = ((sum X_i)) / N`

The sample standard deviation (`S_(Sampl\e)`) is calculated as follows:

`S_(sampl\e) = sqrt (((sum(X_i - mu)^2))/((n-1)))`


Estimates of Standard Deviation Based on Control Charts

Control chart estimates of the standard deviation depend on the control chart used and the subgroup size. In each case, the estimated standard deviation is calculated as the average subgroup variation divided by a constant which is a function of the subgroup size. The following table contains the control chart estimated standard deviation calculations.

Chart Type | Symbol | Sub Size | Formula | Comments
XMR(2) | `S_(XMR2)` | 2 | `(MRBar)/(d2(2))` | MRBar is the average moving range.
XMR(3) | `S_(XMR3)` | 3 | `(MRBar)/(d2(3))` | MRBar is the average moving range.
RX | `S_(RX)` | 2 | `(PRBar)/(d2(2))` | PRBar is the average paired range.
XBar&R | `S_(XBR)` | m | `(RBar)/(d2(m))` | RBar is the average subgroup range. Subgroup size is m.
XBar&S | `S_(XBS)` | m | `(SBar)/(c4(m))` | SRBar is the average subgroup standard deviation. Subgroup size is m.
XTilde&R | `S_(XTR)` | m | `(RBar)/(d2(m))` | MRBar is the average subgroup range. Subgroup size is m.


Calculating Capability Indexes

Datapage+ can calculate four different capability indices based on each estimate of the process standard deviation.

The capability indices that are based on the control chart estimates are Cp, Cpk, Cr and PC%.

The capability indices that are based on the sample standard deviation are Pp, Ppk, Pr and PP%.

Each calculation depends on an estimate of the standard deviation and on the lower and upper specification limits (LSL and USL).

The Calculation for each follows.

Index | Calculation | Applies to | Comments
Pp | `((USL-LSL))/(6*S_(sampl\e))` | All Cases | Notes 1 and 2
Ppk | `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(sampl\e)` | All Cases | Notes 1 and 3
Pr | `(6*S_(sampl\e))/((USL-LSL))` | All Cases | Notes 1 and 2
PP% | `(100*6*S_(sampl\e))/((USL-LSL))` | All Cases | Notes 1 and 2
Cp | `((USL - LSL)) / (6*S_(XMR2))` `((USL - LSL)) / (6*S_(XMR3))` `((USL - LSL)) / (6*S_(RX))` `((USL - LSL)) / (6*S_(XBR))` `((USL - LSL)) / (6*S_(XTR))` | Sub Size 1, XMR(2) Chart Sub Size 1, XMR(3) Chart Sub Size 1, RX Chart Sub Size > 1, XBar&R Chart Sub Size > 1, XBar&S Chart Sub Size > 1, Xtilde&R Chart | Notes 2 and 4
Cpk | `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(XMR2)` `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(XMR3)` `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(RX)` `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(XBR)` `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(XBS)` `(M\i\n((USL - mu),(mu - LSL)))/(3*S_(XTR)` | Sub Size 1, XMR(2) Chart Sub Size 1, XMR(3) Chart Sub Size 1, RX Chart Sub Size > 1, XBar&R Chart Sub Size > 1, XBar&S Chart Sub Size > 1, Xtilde&R Chart | Notes 3 and 4
Cr | `(6*S_(XMR2)) / ((USL - LSL))` `(6*S_(XMR3)) / ((USL - LSL))` `(6*S_(RX)) / ((USL - LSL))` `(6*S_(XBR)) / ((USL - LSL))` `(6*S_(XBS)) / ((USL - LSL))` `(6*S_(XTR)) / ((USL - LSL))` | Sub Size 1, XMR(2) Chart Sub Size 1, XMR(3) Chart Sub Size 1, RX Chart Sub Size > 1, XBar&R Chart Sub Size > 1, XBar&S Chart Sub Size > 1, Xtilde&R Chart | Notes 2 and 4
PC% | `(100*6*S_(XMR2)) / ((USL - LSL))` `(100*6*S_(RX)) / ((USL - LSL))` `(100*6*S_(XBR)) / ((USL - LSL))` `(100*6*S_(XBS)) / ((USL - LSL))` `(100*6*S_(XTR)) / ((USL - LSL))` | Sub Size 1, XMR(2) Chart Sub Size 1, XMR(3) Chart Sub Size 1, RX Chart Sub Size > 1, XBar&R Chart Sub Size > 1, XBar&S Chart Sub Size > 1, Xtilde&R Chart | Notes 2 and 4

Notes:

  1. The capability indices that are calculated using the sample standard deviation, `S_(Sample)`, are Pp, Ppk, Pr, and PP%. Different calculations are performed when a non-normal distribution is used to model the data.

  2. The indices Pp, Pr, PP%, Cp, Cr, and PC% are functions of the total tolerance zone `((USL - LSL))`. The value of these indices is questionable when applied to a unilaterally toleranced process such as true position, flatness, etc. In these cases there is not really a tolerance zone because 0.0 is a mathematical limit and not a specification limit. Use of non-normal distributions may be useful in unilaterally toleranced situations.

  3. The indices Ppk and Cpk are calculated using the specification limit that is closest to the mean. For unilaterally toleranced processes, the calculations are applied only to the actual tolerance. For example, in the case of true position or flatness Cpk and Ppk are calculated as `((USL - mu)) / (3*S_(???))`. If this alteration is not made, computations of Cpk and Ppk will indicate the process is less capable when in fact it is getting closer to the target of zero. This often causes the apparently impossible condition of Cpk (or Ppk) being larger than Cp (or Pp). The problem here is not in the calculation of Cpk and Ppk, but the non-validity of Cp and Pp.

  4. The capability indices that are calculated using the control chart estimates; `S_(XMR2)`, `S_(XMR3)`, `S_(RX)`, `S_(XBR)`, `S_(XBS)`, and `S_(XTR)`, are Cp, Cpk, Cr, and PC%.

  5. A common point of confusion is using the sample standard deviation in the capability calculations and to check the calculations of Cp, Cpk, Crk, and PC%; when these values are actually used to calculate Pp, Ppk, Pr, and PP%.


Control Chart Estimated Standard Deviation Constants

Subgroup Size | d2 | c4
2 | 1.28 | 0.798
3 | 1.693 | 0.886
4 | 2.059 | 0.921
5 | 2.326 | 0.940
6 | 2.534 | 0.952
7 | 2.704 | 0.959
8 | 2.847 | 0.965
9 | 2.970 | 0.969
10 | 3.078 | 0.973
11 | 3.173 | 0.975
12 | 3.258 | 0.978
13 | 3.336 | 0.979
14 | 3.407 | 0.981
15 | 3.472 | 0.982
16 | 3.532 | 0.984
17 | 3.588 | 0.985
18 | 3.640 | 0.986
19 | 3.689 | 0.987
20 | 3.735 | 0.988
21 | 3.778 | 0.988
22 | 3.819 | 0.988
23 | 3.858 | 0.989
24 | 3.895 | 0.989
25 | 3.931 | 0.990


Table of Constants

These constants are used to calculate standard deviation for control limit and capability calculations. The subgroup’s size determines the constant’s value.

Subgroup Size | A2 | AT2 | A3 | B4 | d2 | d4 | c4 | E2
2 | 1.880 | 1.880 | 2.659 | 3.267 | 1.128 | 3.267 | 0.798 | 2.660
3 | 1.023 | 1.187 | 1.954 | 2.568 | 1.693 | 2.574 | 0.886 | 1.772
4 | 0.729 | 0.796 | 1.628 | 2.266 | 2.059 | 2.282 | 0.921 | 1.457
5 | 0.577 | 0.691 | 1.427 | 2.089 | 2.326 | 2.114 | 0.940 | 1.290
6 | 0.483 | 0.548 | 1.287 | 1.970 | 2.534 | 2.004 | 0.952 | 1.184
7 | 0.419 | 0.508 | 1.182 | 1.882 | 2.704 | 1.924 | 0.959 | 1.109
8 | 0.373 | 0.433 | 1.099 | 1.815 | 2.847 | 1.864 | 0.965 | 1.054
9 | 0.337 | 0.412 | 1.032 | 1.761 | 2.970 | 1.816 | 0.969 | 1.010
10 | 0.308 | 0.362 | 0.975 | 1.716 | 3.078 | 1.777 | 0.973 | 0.975
11 | 0.285 | 0.350 | 0.927 | 1.679 | 3.173 | 1.774 | 0.975 | --------
12 | 0.266 | 0.320 | 0.886 | 1.646 | 3.258 | 1.717 | 0.978 | --------
13 | 0.249 | -------- | 0.850 | 1.618 | 3.336 | 1.693 | 0.979 | --------
14 | 0.235 | -------- | 0.817 | 1.594 | 3.407 | 1.672 | 0.981 | --------
15 | 0.223 | -------- | 0.789 | 1.572 | 3.472 | 1.653 | 0.982 | --------
16 | 0.212 | -------- | 0.763 | 1.552 | 3.532 | 1.637 | 0.984 | --------
17 | 0.203 | -------- | 0.739 | 1.534 | 3.588 | 1.622 | 0.985 | --------
18 | 0.194 | -------- | 0.718 | 1.518 | 3.640 | 1.608 | 0.985 | --------
19 | 0.187 | -------- | 0.698 | 1.503 | 3.689 | 1.597 | 0.986 | --------
20 | 0.180 | -------- | 0.680 | 1.490 | 3.735 | 1.585 | 0.987 | --------
21 | 0.173 | -------- | 0.663 | 1.477 | 3.778 | 1.575 | 0.988 | --------
22 | 0.167 | -------- | 0.647 | 1.466 | 3.819 | 1.566 | 0.988 | --------
23 | 0.162 | -------- | 0.633 | 1.455 | 3.858 | 1.557 | 0.989 | --------
24 | 0.157 | -------- | 0.619 | 1.445 | 3.895 | 1.548 | 0.989 | --------
25 | 0.153 | -------- | 0.606 | 1.435 | 3.931 | 1.541 | 0.990 | --------


Distribution Statistics

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

Values pertaining to the distribution of a sample. These statistics appear on the Process Chart and include S, 3S, High, Low, USL, LSL, Skewness, and Kurtosis, as well as the current Subgroup Chart mean and the current Individual Chart mean:

Subgroup Chart Means:

XBar & R Charts: `barX` and `barR`

XBar & S Charts: `barbarS` and `bars`

X Tilde & R Charts: `barX~` and `barR`

Individual Chart Means:

XMR Charts: `barX` and `barMbarR`

RX Charts: `barX` and `barPbarR`


Table of d*2 Values

The following d*2 values are used in calculations for GR&R Reports. The values are based on the number of samples (g) and the size of the samples (m).


Confidence Limit Calculations for Variance Components

Note: For the mathematical formulas to display properly in this help file, please download and install the free MathPlayer. Once this is installed, refresh this topic. The page will then display the math formulas in blue text. Clicking on these formulas displays them in a slightly larger size.

The following calculations of confidence limits are used for GR&R Reports based on the GR&R and ANOVA test types.

ANOVA Confidence Limit Calculations

Datapage+ uses the non-additive model when the interaction between parts and operators is significant; it uses the additive model when interaction is not significant.

Non-Additive Model

This model is used when the interaction between parts and operators IS SIGNIFICANT.

Variance Component | Confidence Limit (CL) | Degrees of Freedom
`tau2` (repeatabliity) | `CL = (MS_e)/(MS)` | `nk(r-1)`
`gamma2` (interaction) | `CL = (MS_e)/r \ \ [(MS_(po))/(F\ MS_e) -1]` | `(n-1)(k-1),nk(r-1)`
`alpha2` (part-to-part) | `CL = (MS_(po))/(kr) \ \ [(MS_(p))/(F\ MS_(po)) -1]` | `n-1, (n-1)(k-1)`
`omega2 + t2 + gamma2` (R&R) | `CL = (1)/(nr) \ \ [(MS_o)/(MS) +\ n\ (r-1)MS_e + (n-1)MS_(po)]` | `k-1`

`tau2`, `gamma2`, `omega2`, and `alpha2` are notations for the master variance components.

Additive Model

This model is used when the interaction between parts and operators is INSIGNIFICANT.

Variance Component | Confidence Limit (CL) | Degrees of Freedom
`tau2` (repeatability) | `CL = (MS_(p\o\o\l))/(MS)` | `nkr-n-k+1)`
`omega2` (reproducibility) | `CL = (MS_(p\o\o\l))/(nr) \ \ [(MS_o)\/(F\ MS_(p\o\o\l))-1 ] | `k-1, nkr-n-k+1`
`alpha2` (part-to-part) | `CL = (MS_(p\o\o\l))/(kr) \ \ [(MS_p)\/(F\ MS_(p\o\o\l))-1 ] | `n-1, nkr-n-k+1`
`tau2 + omega2` (R&R) | `CL = (1)/(nr) \ \ [(MS_o)/(MS) +\ (nr-1)\ MS_(p\o\o\l)]` | `k-1`

Degrees of Freedom: Degrees of freedom for the ANOVA test type are based on:

Operator `k-1`

Parts `n-1`

Oper X Parts `(n-1)(k-1)`

Gage (Error) `nk (r-1)`

where `n` is the number of parts measured; `r` is the number of times the part was measured; and `k` is the number of operators

For the ANOVA test type, degrees of freedom for errors associated with variance components will differ depending upon whether the additive or non-additive model is used (i.e., whether the interaction between parts and operators is significant or insignificant). Refer to the tables above for the calculations used in each model.

GR&R Confidence Limit Calculations

 | Lower Limit | Upper Limit
Repeatability (EV) | `EV sqrt((MS)(v1))` | `EV sqrt((MS)(v1))`
Reproducibility (AV) | `AV sqrt((MS)(v2))` | `AV sqrt((MS)(v2))`
Gage GR&R | `R&R sqrt((MS)(v1+v2))` | `R&R sqrt((MS)(v1+v2))`

Degrees of Freedom: For reports using the GR&R test type, degrees of freedom (n) are based on the number of samples (g) and the size of the samples (m). Refer to the Table of d*2 Values & Degrees of Freedom for specific values.


Troubleshooting Problems

Problem

Solution

Failed: Not enough information was selected

This means either you do not have enough transactions needed to display the particular chart or the required number of transactions needed is set to too high of a value.

Try adding additional transactions into the database and if that doesn't work try adjusting your the Subgroup Parameters settings in the Calculation Specifications dialog box. See "Modifying SPC Calculations".

The application hangs or crashes to the desktop

If Datapage+ hangs or crashes, it will generate a crash report which you can submit for review. This report consists of a screen capture at the time of the crash, a log file, and the software's registry information. Submitting this information will assist in efforts to eliminate these problems.

Target Plots

Invalid format for reference plane

The entry in the Reference Plane box (accessed through the Chart Options | Chart Display | Target Plot menu option) is incorrect. Be sure you have typed valid letters for the reference plane, such as XY. See "Chart Display - Target Plot".

No valid data

The selected features do not have variables in the specified plane, or the variables lack data.

Tolerances not set for selected plane and tolerancing type

Tolerances are not defined in the variable records and default tolerances have not been set. Type the default tolerances or type the upper and lower tolerances in the variable records through the Data Editor tab.

Tolerance ratio must be equal for all features

For Group Target Plots, each variable may have different tolerances, but the ratio of the X to Y tolerances must be identical for all features if you are using Elliptical or Rectangular tolerancing. If the ratio is unequal, the system cannot create the Target Plot. To create the plot, change the variables’ tolerances so that they are equal or their ratios are equal, or use True Position tolerancing.


ASCIIMathML sample page

ASCIIMathML.js sample page

Use auto-math-recognize mode (amath here x^2 and text is mixed endamath) or surround ASCIIMath formulas with left-quotes: `sum_(i=1)^n i=(n(n+1))/2` or LaTeX formulas with \$-signs $\int_0^{\pi/2} \sin x\,dx=1$.

And here is a simple graph: agraph plot(sin(x)) endagraph followed by a more elaborate graph (try double-clicking it, also while holding down shift or alt) agraph width=300; height=200; xmin=-5; xmax=5; xscl=1; plot((x-2)*(x-1)*x*(x+1)*(x+2)/2,-2.5,2.5); endagraph

Note: this page uses a relative link to ASCIIMathML.js, so the script should be in the same folder as this sample file.


ISIR Report

The ISIR Report (Initial Sample Inspection Report) is available only from the Output as EXCEL icon from the Text tab.


Preliminary Step: Export a Dump (*.dmp) File

Start the Import Process - Step 1


Refresh All Parts Icon

The Refresh All Parts icon, located on the Parts side bar, immediately refreshes data inside Datapage+ with the latest database information. This is useful if you want to pull in new data that been sent to the database while your Datapage+ session was running.


Right First Time (RFT) Chart

Understanding the Right First Time (RFT) Chart

The RFT chart is a chart-like report used by Rolls Royce. It may look something like the chart shown below, though your chart may vary due to different selection criteria.

Sample Week to Week RFT Chart

  1. The Y axis labels on the left of the chart show the percentage value for Right First Time.

  2. The black line is the conforming feature percentage line. Parts generally have many features, and this shows the statistical result of those features. If any of the feature fails, the part is considered defective.

  3. The blue line shows the percentage of conforming parts. For example, if the number of defective parts is 1, and the conforming parts are 4, this chart calculates the report using this equation: `1 / \(1+4) * 100% = 80%`

  4. Each colored column shows the conforming parts in green and the defective parts in red.

  5. The Y axis labels on the right of the chart show the number of parts.

  6. The X axis labels on the bottom show the chosen time period. The above image shows each label as a different week throughout the year. It draws columns if there is data for the time period specified. The YearOnly report will only show a single column for the selected year.

Displaying a Right First Time (RFT) Chart

To display an RFT chart, follow this procedure:

  1. From the Tools menu choose Options. The Option dialog box appears.

  2. From the Option dialog box, click the Definition tab.

  3. Define the Process number and Part serial number. At a minimum, these two items must be specified.

  4. Click Save and OK. The Option dialog box closes.

  5. From the side bar, click All Parts or select a category containing the part for which you want to display the RFT chart. The main view displays the part thumbnail.

  6. Right-click on the part thumbnail on the main view and from the shortcut menu choose RFT chart. The RFT Conditions dialog box appears.

RFT Conditions dialog box

    • Period query: Defines the time period to query. The transactions within the selected time period will be included. Click on the small calendar icon [image] to select the date for the period query. Once the calendar displays, you can use the left and right black arrows to go to different months and select the dates you want. If needed, click on the calendar's title to change from a single month calendar to a 12 month calendar, or again to a 12 year calendar to quickly get to the year or month you want.

Day to Day - Defines a query from day A to day B.

Week to Week - Defines a query from week A to week B. The selected day for the week doesn't matter.

OnYear - Defines a query for a year with 12 columns, one for each month. The selected day month, week, or day doesn't matter.

MultiYear - Defines a query from year A to year B. The selected month, week, or day doesn't matter.

    • Process NO: This defines the process to use in the analysis.

    • Apply to: This determines either the first or the last measurement to use in the analysis.

  7. Use the Period query to define the time period you want to use in the RFT chart.

  8. Choose a process number from the Process NO list.

  9. Choose what measurement the condition applies to, from the Apply to list.

  10. Click the OK button once everything is filled out. It remains unavailable for selection if you haven't defined a process number.

Copying and Printing the Right First Time (RFT) Chart

The two icons in the toolbar area of the RFT chart let you copy and print the chart:

The Copy to Clipboard icon displays the Copy to Clipboard dialog box.

Copy to Clipboard dialog box

Use this dialog box to copy the chart as an image to your Windows clipboard. You can then paste this image into any other software that accepts images (such as MS Paint, MS Word, MS Excel, and so forth).

  • The available Copy # by # buttons contain some preset sizes to use for the chart you're copying. These are: 640 x 480 pixels, 800 x 600 pixels, 1024 x 768 pixels, and 1280 x 1024 pixels.

  • The Copy Custom button copies the chart and sizes the image in the clipboard to use the custom dimensions in the two boxes under the Copy Custom button.

This Print icon displays a standard Print dialog box letting you send the output to a printer or similar output device.


Step 1: Access the Wizard

Click Next to Continue.


Step 2: Select a .dmp File

At the second screen, select a dmp file.

Click Next to customize your selection on further steps by selecting individual parts, transactions, variable sets, and variables to import; or at this point you may click Finish to have the wizard automatically select all items to import for the rest of the import process.


Step 3: Choose a Part or Parts to Import

Select one or more parts to import.

Click the Next button to continue, or you may click Finish to have the wizard automatically select all items to import for the rest of the import process.


Step 4: Select One or More Transactions to Import

Select one or more transactions to import.

Click the Next button to continue, or you may click Finish to have the wizard automatically select all items to import for the rest of the import process.


Step 5: Select One or More Variable Sets to Import

Select a one or more variable sets to import.

Click Next to continue, or you may click Finish to have the wizard automatically select all items to import for the rest of the import process.


Step 6: Select One or More Variables to Import

Select one or more variables to import.

Click the Next button to continue, may click Finish to have the wizard automatically select all items to import for the rest of the import process.


Step 7: Complete the Import Process

This screen displays the information you chose to import from the previous steps. If you clicked Finish on any of the earlier screens, the wizard defaults to importing all the items for any screen you skipped.

Click Finish to close the wizard. Once the dialog closes, the imported part(s), transaction(s), variable set(s), and variable(s) will be available for selection from within Datapage+.

Back to Getting Started Guide Contents


Subgroup Size

The number of consecutive data points that make up a subgroup. The subgroup size is set for Statistic Reports, Run Charts, Bar & Whisker Charts and Process Charts by clicking the Sub Group Parameters button accessed through the SPC Calculations menu option from the Chart tab's Chart Options icon.